commit 12318b9aee2bb47c1eb9b41083f1df442941f6a9
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Sat Oct 2 00:50:08 2021 +0200

    I18n: Update translation pt (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d9e3233eac8e166097fd98385eeeb37c07fb50a0
Merge: 5801eb2 ddc8e81
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 29 12:57:03 2021 +0200

    Merge branch 'issue_gh197'

commit ddc8e81fcc12cabc1bee6308494518e43f53bb7f
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 29 12:53:24 2021 +0200

    Fixed defining object's signal handler for signal "can-suspend" of XfdashboardCore to be run at "cleanup" emission as this signal handler is *always* run and therefore will *always* return FALSE in xfdashboard_core_can_suspend(). Additionally the daemon property (object private variable) must be set to TRUE or FALSE before the core is initialized, otherwise the "can-suspend" signal handler will return FALSE which causes plugins depending on daemon to be disabled.

commit 5801eb26770f6a7117c3c2d9008703f7d01b7893
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Tue Sep 28 12:51:16 2021 +0200

    I18n: Update translation he (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8dc59f62b77e26515e0027766d5eaeaf23da3726
Author: heskjestad <cato@heskjestad.xyz>
Date:   Tue Sep 28 00:49:51 2021 +0200

    I18n: Update translation nb (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 753f35610cf59388b7121de3a1507bd9bb79ffa3
Author: Anonymous <noreply@xfce.org>
Date:   Mon Sep 27 12:51:57 2021 +0200

    I18n: Update translation da (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 804e0d284cd0b9403edb2cf52889bdccbdf1e229
Author: Anonymous <noreply@xfce.org>
Date:   Sun Sep 26 00:49:56 2021 +0200

    I18n: Update translation it (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6f1e9dc85234fe9d81e3bebc733aae7c898957ac
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Sun Sep 26 00:49:56 2021 +0200

    I18n: Update translation fr (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 56e336d56ec1a14b0fd070ec1be3cf42d3bac515
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Fri Sep 24 12:53:32 2021 +0200

    I18n: Update translation zh_CN (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit da880ec0da6ae4769a6dcea821ecf92183a4390e
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Thu Sep 23 12:52:38 2021 +0200

    I18n: Update translation sq (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e9647d60bde2706541613337250796fe814f5f41
Author: Xiaobo Zhou <zhouxiaobo.500@gmail.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation zh_CN (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3fb6fb60f2f0c0f2fb0d1f38e1c2e718ff4e4555
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation tr (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a703d0362f9a500749143e0a9c824dde62c9f7c4
Author: Arve Eriksson <031299870@telia.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation sv (98%).
    
    151 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6257309dfdba2acf84f7aae394897d4ff4d99de4
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation sr (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e46780aa964c2b3bf79f9ba67635ccaf97b5ee00
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation sq (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c8236f91682b85fe4359488a09f7fcd4a8add1b3
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation sl (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit afeaaeb41248399391a14c3c740274a9c399c0b7
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation ru (92%).
    
    142 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f2f53dfa4dda14e76db8952a7dbf38af057ebf46
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Sep 23 00:50:34 2021 +0200

    I18n: Update translation pt (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 818794a757886330315f5b143fb54e5f01d66ad6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation pt_BR (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1369d81388001ff897b945d9e705c1d56ed61529
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation pl (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9dd96ddddd99aed7063bf39b9da708e24aa92853
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation nl (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 102568c20d37391c81941f56b2be5cdea7cf02e1
Author: heskjestad <cato@heskjestad.xyz>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation nb (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ac6409f71cc8cfb67dd3b659fcbd963faf1f7c8d
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation lt (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 93069d65a58537dd804f2227d4d03336c33b214b
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation ko (91%).
    
    141 translated messages, 13 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 61f63a4cf57182b1a24a5e58ae26b882dca49851
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation ja (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 72bdcf2efb2ff37b507815f1aad75262db0ef2e5
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation it (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d705db3d5edba3b69d900d3ed5470c12520910aa
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation id (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 84987be3b943ccb53f2961f2b831c4adf2c5ddc6
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Thu Sep 23 00:50:33 2021 +0200

    I18n: Update translation he (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fd8d304563437a9dfa3e49f2fbaebe1dbde7449b
Author: Daniel Muñiz Fontoira <dani@damufo.eu>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation gl (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 051f49327b23a92ec1d3e150af08a05b80b38c97
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation fr (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ba7d19c23e0e23eeaee4de3cbf84e97ddd5499e1
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation eu (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 857b8a91a6f338b6d3c692a04533af5593d53aa3
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation et (72%).
    
    111 translated messages, 43 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b5f4e57f21e315822650f533fb5b2b981632c566
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation es (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 11b1562370264095a6b5144f6d635a55d3b37a37
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation el (60%).
    
    93 translated messages, 61 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 00c4dd7dc1cc213f0a22c4c99452aae37e47e0f4
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation de (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit df1cc9fd523976725a99a4f34166b68f948bae85
Author: Anonymous <noreply@xfce.org>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation da (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e8451c9dfd4ec3f1261541018cab968bdb09b4b3
Author: Robert Antoni Buj i Gelonch <rbuj@fedoraproject.org>
Date:   Thu Sep 23 00:50:32 2021 +0200

    I18n: Update translation ca (70%).
    
    108 translated messages, 46 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b77b26464b4a6ff1cdf69caaf0d140da09cd5da0
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Thu Sep 23 00:50:31 2021 +0200

    I18n: Update translation bg (100%).
    
    154 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 54f2f70dd72faa7abab2c8556d6d7ce861f13a6b
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Thu Sep 23 00:50:31 2021 +0200

    I18n: Update translation be (99%).
    
    153 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e3808f8d84c23fcaf43573d42b75cdf1fbc67f88
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 22 09:01:37 2021 +0200

    Post-release version bump to 0.9.5

commit 7b5e2f2af03d244ce5f2475f9c435fada3a72ae7
Merge: 509f36a 2a1a36e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 22 08:58:39 2021 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 509f36a3758109d6104ecf6ebf76d55b45313cc0
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 22 08:58:12 2021 +0200

    Bump version to 0.9.4

commit 2ced14fa042ba22e51ba9fd71167fb64066ac469
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 22 08:57:11 2021 +0200

    Update application metainfo

commit a05c590443335929927abbeb7bf9423e3fdba8c1
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 22 08:52:56 2021 +0200

    Use g_memdup2() instead of deprecated g_memdup() when compiling against GLib 2.67.4 or higher

commit 2a1a36e40a122f18ace9a89724917f0e788c491d
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Sep 9 00:49:55 2021 +0200

    I18n: Update translation ko (92%).
    
    141 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5b0097fd581e8e082a2dfee928137371d4458c65
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Sep 6 09:05:07 2021 +0200

    Do not register focuables actors from primary monitor only but although from all other ones. Should fix GH#194

commit b22b5063f9756ba1b0030bb8d387b8a4b97e5578
Merge: 3730de6 cac2850
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 25 09:41:03 2021 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 3730de697c101f9198eac25c73e43ef4fca775ac
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 25 09:38:11 2021 +0200

    Plugin "autopin-windows" can only run in daemon mode, i.e. the core supports suspend. Also the application using core should return the correct state for support of suspend, e.g. running as daemon supports suspend but running standalone does not support suspend.

commit 0e7ec4394796430ef394dadd59ce659e7f9ac41f
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 25 09:23:47 2021 +0200

    Fix overriding signal handler ID for "window-opened" by "window-closed" at xfdashboard_autopin_windows_init() and use a new variable to store signal handler ID for "window-closed"

commit cac28508c12a5c7fa85c8d76e4fe28c33f758ff4
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed Aug 25 00:50:07 2021 +0200

    I18n: Update translation sr (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 78ef64401cc1579c622e41f080b6edc65d289fca
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Thu Aug 19 12:51:11 2021 +0200

    I18n: Update translation sl (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit df8f6583f789d851cc3c15d1553d10726c7e0701
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Wed Jul 28 12:48:56 2021 +0200

    I18n: Update translation he (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e027dd9975d72a8637bf563881e877df25798fa2
Author: Xiaobo Zhou <zhouxiaobo.500@gmail.com>
Date:   Sun Jul 25 12:48:23 2021 +0200

    I18n: Update translation zh_CN (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f451ff517c2812d608f705b3c0650563df094cf8
Author: Arve Eriksson <031299870@telia.com>
Date:   Fri Jul 23 16:09:15 2021 +0200

    I18n: Update translation sv (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 602dc82417d2d25b9ebf16807d54ced0a1e963ea
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Jul 23 16:09:15 2021 +0200

    I18n: Update translation sr (94%).
    
    144 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6cceae77bced96efce727f2357d395e5f0c0eaed
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Fri Jul 23 16:09:15 2021 +0200

    I18n: Update translation sq (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7c361112bbd6696b80801b2f5eb0d0c9e986061b
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Fri Jul 23 16:09:14 2021 +0200

    I18n: Update translation sl (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5939ba75ccbbd1045ddcdc333d3971869298d66c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 23 16:09:14 2021 +0200

    I18n: Update translation ru (92%).
    
    142 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 771a21707c677886b6f659c4b08d5c0fbd72c604
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jul 23 16:09:14 2021 +0200

    I18n: Update translation pl (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1538f7faf10b9aa806d470b3b7edf37110489165
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Jul 23 16:09:14 2021 +0200

    I18n: Update translation nl (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 54d1eec64bbc17f355f0d3852e0e229aa8020f73
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Fri Jul 23 16:09:14 2021 +0200

    I18n: Update translation ko (86%).
    
    133 translated messages, 20 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 261c67e9d7173b5bdbd5b5e6956944d6966a8abc
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Fri Jul 23 16:09:13 2021 +0200

    I18n: Update translation ja (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6e2c35e6c27bd58c659b58721f8890877f632819
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Fri Jul 23 16:09:13 2021 +0200

    I18n: Update translation he (98%).
    
    151 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 98099ba2ae0243eac7a1da4e0ca729e4da49a381
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Fri Jul 23 16:09:13 2021 +0200

    I18n: Update translation et (72%).
    
    111 translated messages, 42 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7456e8e7f882b3b6ebed96bd9348bff9adefc509
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Jul 23 16:09:13 2021 +0200

    I18n: Update translation es (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a59fc314b69e65b60f38d61131fb4df5dbcf6835
Author: Nick Schermer <nick@xfce.org>
Date:   Fri Jul 23 16:09:13 2021 +0200

    I18n: Update translation el (60%).
    
    93 translated messages, 60 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4465ecc4ba67a4a73e9dcfd6d527e9477403126a
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Fri Jul 23 16:09:12 2021 +0200

    I18n: Update translation de (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 34ddc801d6ca0bdb7b1842a2ffdedee056898a2b
Author: Robert Antoni Buj i Gelonch <rbuj@fedoraproject.org>
Date:   Fri Jul 23 16:09:12 2021 +0200

    I18n: Update translation ca (70%).
    
    108 translated messages, 45 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bbd5707b7cbce39915cd0425f35629bca3af298b
Author: Daniel Muñiz Fontoira <dani@damufo.eu>
Date:   Wed Jul 21 00:47:25 2021 +0200

    I18n: Update translation gl (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 05d4b95b543612f286722e6352fd8bad07431da9
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Wed Jul 14 00:47:41 2021 +0200

    I18n: Update translation id (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4f42128331fad68bf5cc9cd0d215f230b2f09a7e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 12 12:50:15 2021 +0200

    I18n: Update translation it (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 08a72f4f7f997a8e1cdefc3d6b8d65d2f676857e
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 11 00:47:27 2021 +0200

    I18n: Update translation pt_BR (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 370d4ed1b170ebf9adafa53998cead57d263909e
Author: Xiaobo Zhou <zhouxiaobo.500@gmail.com>
Date:   Fri Jul 9 00:48:26 2021 +0200

    I18n: Update translation zh_CN (99%).
    
    152 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 071da4ac4d9ae4ab60dc6e7f036c7d5bd2836232
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Sun Jun 27 00:47:57 2021 +0200

    I18n: Update translation be (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1b70458316a3f2f27165dfb111641c3722c6d524
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Mon Jun 21 00:46:53 2021 +0200

    I18n: Update translation fr (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b7b18c566730dcc8b49d5ab1058d46d42a3d1d9d
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 20 00:46:49 2021 +0200

    I18n: Update translation eu (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 30fbbcaf9b7aa1fae842b68349f7fe712f394076
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 20 00:46:49 2021 +0200

    I18n: Update translation da (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c53f9510a51838530226b23a5a228c66f1aa25f6
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Fri Jun 18 12:49:03 2021 +0200

    I18n: Update translation tr (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d051bd169c9991a54877e323d46e3b90b9644a85
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Jun 16 12:48:53 2021 +0200

    I18n: Update translation pt (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 202cff137a2ae19660b803d5b23e0a62b5009264
Author: heskjestad <cato@heskjestad.xyz>
Date:   Tue Jun 15 00:47:17 2021 +0200

    I18n: Update translation nb (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7dbe1f622c785e94fec0a957aa8f89452cddea8e
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 15 00:47:16 2021 +0200

    I18n: Update translation lt (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b1ab7c0818d9b69775d476555aa9e88f9e6bb3a4
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Jun 13 12:48:21 2021 +0200

    I18n: Update translation es (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d7c7a45ab2c01dd7e18d22a706f8ee3a1895efc
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Sun Jun 13 12:48:21 2021 +0200

    I18n: Update translation bg (100%).
    
    153 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c31d05504ac29a187463742e44acdcbb7771bf22
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 13 07:11:42 2021 +0200

    Because of missing $(XFDASHBOARD_DEBUG_CFLAGS) in all Makefile.am files (except of libxfdashboard and common folder) there were no debug messages printed as XFDASHBOARD_DEBUG macro was set to empty (noop)

commit 2dc13104218d5e0132bf72cba100fccba287e064
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 13 07:02:54 2021 +0200

    Add more debug messages to autopin-windows plugin

commit 52a3b7af1271386692a9b9d203fe04556ea39e50
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 11 15:07:11 2021 +0200

    Add missing files to POTFILES.in due to failed pipeline

commit ecb20d49eca80ae5ef85e0e82d9667ec270c873b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 11 14:58:03 2021 +0200

    It seems I need some time to realize ..... It is 2021 already ;)

commit bb7028bb31138e40c44e7483bb0408ca8186e8bb
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 11 13:21:23 2021 +0200

    Implement setting urgent state at X11 window and make a shared common function to retrieve X display. And a small bugfix because of a compiler warning that a value is returned on a void function :/

commit 114a5127553c49f24c83b515af566230aed7f89d
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 11 11:57:02 2021 +0200

    Remember the windows we pinned to unpin them when the plugin object instance will be destroyed and it is requested. But also track pinned windows by us which are closed in the meantime.

commit d2fdbaf254040926ae2ac9c13ec9e5a0c6410671
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 11 11:45:33 2021 +0200

    Only pin "normal" windows

commit 26797c291a44ee0c9055ef0a4774a9c60edf2d2f
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 9 09:14:05 2021 +0200

    Initial commit for new plugin "autopin-windows" which will pin all windows on non-primary monitors and unpins windows on primary monitor automatically

commit 952c57d4c89ebb4992cfd6ebe8a2e149e47762fa
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Thu Jun 3 12:48:27 2021 +0200

    I18n: Update translation ko (88%).
    
    133 translated messages, 18 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3a1dcfe90801a193285cecf8f523fdcabefb992e
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun May 30 00:47:16 2021 +0200

    I18n: Update translation he (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 769e4b675c997435bf0bb1f3dccfb557b5337c02
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Tue May 25 00:47:56 2021 +0200

    I18n: Update translation sl (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bd63c0f5f9cf2ecd115d94a03a436f9ef29b70d1
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 23 00:49:25 2021 +0200

    I18n: Update translation es (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b06ea9491d2edec70e2f5dbf20d0535e2376f35d
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 21 00:47:16 2021 +0200

    I18n: Update translation da (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit fb23ecd1b1cbb2ea3bf75fa882e44a79fef588d6
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Wed May 19 12:49:25 2021 +0200

    I18n: Update translation tr (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0f23a119e490a9b95a804bad5feff1c7a01f2538
Author: Lucas Wilm <lucaswilm@gmail.com>
Date:   Mon May 10 00:47:33 2021 +0200

    I18n: Update translation pt_BR (96%).
    
    146 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 409f80166ef96df5824c7a8fe16fde1778ab64a5
Author: Daniel Muñiz Fontoira <dani@damufo.eu>
Date:   Sun May 9 12:49:12 2021 +0200

    I18n: Update translation gl (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 756c43cc7402a37cacb3c0cc1ae3b31d5a04ff30
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun May 9 12:49:12 2021 +0200

    I18n: Update translation es (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bd6265e8114660f49dd2eb417f2338c776362491
Author: Arve Eriksson <031299870@telia.com>
Date:   Sun May 9 00:47:27 2021 +0200

    I18n: Update translation sv (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b78098c5ebafb4750c2cdb5dffeaa64b624cf3fa
Author: Daniel Muñiz Fontoira <dani@damufo.eu>
Date:   Sat May 8 12:48:26 2021 +0200

    I18n: Update translation gl (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 353b522a7c265d3df5f0e168ebaebaad26fd6088
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu May 6 00:47:34 2021 +0200

    I18n: Update translation et (73%).
    
    111 translated messages, 40 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0d4989cb8a5236353834a9c67554cae67e04963f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 4 11:41:47 2021 +0200

    Fix usage of undefined and undeclared variables

commit 7ae319e7cc4a8fcf6aa72ef92ccaa1693be82f0e
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 4 10:40:41 2021 +0200

    Simplify animation creation, signal connection for "done" callback in library and extend creation function to also return empty animation if animation was not found for simpler signal connection and "done" callback

commit 9f55b8b277118509f6de361de64ffaf3e82bc17c
Author: Nick Schermer <nick@xfce.org>
Date:   Mon May 3 00:47:51 2021 +0200

    I18n: Update translation pt_BR (96%).
    
    145 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d3a4652f776b40db055e7f52444d0555bac9ca23
Author: heskjestad <cato@heskjestad.xyz>
Date:   Sat May 1 12:49:55 2021 +0200

    I18n: Update translation nb (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5c5caf2e39786f0b7d70612c3f0fe9a8600587ac
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Fri Apr 30 00:47:11 2021 +0200

    I18n: Update translation pt (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dfe0c0478fa2497bbb22016dc1137e29650d99fe
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 29 00:47:53 2021 +0200

    I18n: Update translation it (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ae9a3fec52904633e0cb45fdaa0d9c4c073f92aa
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 29 00:47:53 2021 +0200

    I18n: Update translation da (97%).
    
    147 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 632f36f7dab0f894fb16b0dad8713d9e40fa68df
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Wed Apr 28 12:48:48 2021 +0200

    I18n: Update translation zh_CN (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 715731dbe3c32f7ac61e158c9c69036df8de6f17
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Wed Apr 28 12:48:47 2021 +0200

    I18n: Update translation fr (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 723416127865d263a2b56bbb1cdc92f0b867b721
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Wed Apr 28 00:47:00 2021 +0200

    I18n: Update translation ja (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 93e4532bdd26bd6bb9a5a5fc1587c25f075d9948
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Wed Apr 28 00:47:00 2021 +0200

    I18n: Update translation es (100%).
    
    151 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e49c5ea399060259ed79e5b55f97d6d16ae3a0d2
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 27 08:19:24 2021 +0200

    Quick'n'dirty fix for issue #9 to prevent crashes if no animation for 'collapse' or 'expand' signal for XfdashboardCollapseBox was found or user has disabled animations at all.

commit c6cdf1731c8141a43bca65c9b67ce22f4ea65827
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 26 11:30:41 2021 +0200

    Post-release version bump to 0.9.4

commit 4c5589125ab71610cb4d13b07f9e81c95874d009
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 26 11:28:40 2021 +0200

    Bump version to 0.9.3

commit c9e8bbc9c63355b41bb4a35ebbd68204e22aa4bf
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 26 09:00:32 2021 +0200

    Next step to complete API documentation

commit 08a6df64ea7de991499cb305c26a3285b0152297
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Fri Apr 23 01:07:16 2021 +0200

    I18n: Update translation et (70%).
    
    106 translated messages, 44 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7f6cdb01d888dfbe4fc3309ae52e93b0eba9876f
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Thu Apr 22 13:09:52 2021 +0200

    I18n: Update translation fr (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 92c9eb70ebea7a4de2c81cdfcbfbe668a5123db6
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Thu Apr 22 13:09:51 2021 +0200

    I18n: Update translation ca (72%).
    
    108 translated messages, 42 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit de911e2e31269bc72f3cd1a2b7be1f458b4a3ab4
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:16 2021 +0200

    I18n: Update translation zh_CN (97%).
    
    146 translated messages, 4 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b38b330118ecadd41a2afeb0a487baacf5276317
Author: Serdar Sağlam <teknomobil@msn.com>
Date:   Thu Apr 22 10:29:16 2021 +0200

    I18n: Update translation tr (96%).
    
    145 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f3c788d52b53e723482ee573a37a784118b62bcc
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Thu Apr 22 10:29:16 2021 +0200

    I18n: Update translation sv (99%).
    
    149 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3baab0fadb2b272f2c39b232866a13adb828e64a
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation sr (96%).
    
    144 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a82ccd5111e81ad0fdb74c85cd0691ba486979f4
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation sq (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 842abc11e3c0d222f5816177def19b5ff708d59b
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation sl (94%).
    
    142 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 89e6d55bcb1769590a96a81c56195f05297a932c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation ru (94%).
    
    142 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 28e3ec741a779ce48487ed9acde2e48ba291ac8a
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation pt_BR (96%).
    
    145 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 461f645d84217e7ab4afd3fa549baeda19ab3dc3
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation pl (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 752b3d0d0f5777650a474c918850a52ccdce6e35
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation nl (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 020c7419edb6fbc1fba4420d1bbacf81f82f06e8
Author: heskjestad <cato@heskjestad.xyz>
Date:   Thu Apr 22 10:29:15 2021 +0200

    I18n: Update translation nb (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aff914657ac2b770e328cd731cc32b9a17189bc6
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation lt (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eb8a4e22bb4a6b047354968b421b67c9917fedac
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation ko (84%).
    
    126 translated messages, 24 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e92c011504abe7f1e5f61badd21063d45d306863
Author: Emanuele Petriglia <transifex@emanuelepetriglia.com>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation it (98%).
    
    147 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b0265454d81315b9eb7d361a32d9b17403117217
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation id (94%).
    
    141 translated messages, 9 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 580d3852e1d6f8c828282a8df60ff21a84ddf826
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation he (96%).
    
    144 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 55618432ccd5ac5dff06f616b844999184bac19e
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation gl (96%).
    
    145 translated messages, 5 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5d47e094de7171b3a82579e2d00207dd92a0e375
Author: Urien Desterres <urien.desterres@gmail.com>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation fr (96%).
    
    144 translated messages, 6 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0f61c00e3d928df80bb6dc0a6ce8bb381d82c4d4
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 22 10:29:14 2021 +0200

    I18n: Update translation eu (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 79894cdfd6393c7d5c4854f5858689c98545b0b5
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Thu Apr 22 10:29:13 2021 +0200

    I18n: Update translation et (59%).
    
    89 translated messages, 61 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2e81205d1d111e51bb4bb6b9b7f9977644f77049
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:12 2021 +0200

    I18n: Update translation el (62%).
    
    93 translated messages, 57 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7057470662f6b77db359b8d642964f816b31cfeb
Author: Nick Schermer <nick@xfce.org>
Date:   Thu Apr 22 10:29:12 2021 +0200

    I18n: Update translation da (95%).
    
    143 translated messages, 7 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 88dc6611f42c5eb05c5be1426c52713df2bc9fac
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   Thu Apr 22 10:29:12 2021 +0200

    I18n: Update translation ca (66%).
    
    99 translated messages, 51 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 95c1b9cb08076ecad116193142e8cf0d0aa327c0
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Thu Apr 22 10:29:11 2021 +0200

    I18n: Update translation be (94%).
    
    142 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0fcb44e3b54d5dbdb7fcc19dc21e2ea2850efece
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 19 10:33:02 2021 +0200

    Move debug messages at plugins from g_debug to XFDASHBOARD_DEBUG

commit 938f62bb8d7defc8f6e1c4af7044b44887f07d7c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 19 10:13:46 2021 +0200

    Also plugins get their own access function to plugin-specific configuration and data files

commit 991d4887befafc7e66c9862d3d1d96f9672f9dc0
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 19 09:21:14 2021 +0200

    Use new settings for configuration and data file path

commit 1d04190cc06ea7006501d353367b7ffb1c0e7550
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 19 09:10:41 2021 +0200

    Do not provide public access to change paths or path lists of properties which can only be set at construction of XfdashboardSettings

commit 41969257fdba31e09dd731319fae7fcf2291d616
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 19 08:57:17 2021 +0200

    Also path to configuration and data files should be configurable.

commit 5a0ff572ea9311d24fe8ecba1a7e96694d3c0b0f
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Mon Apr 19 00:47:08 2021 +0200

    I18n: Update translation es (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c4fc12df24418f69af6ebf9a4e7a612060815fc4
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Sun Apr 18 12:48:27 2021 +0200

    I18n: Update translation ja (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9f4e7857136965271e385de9c4fd54c437356168
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Sun Apr 18 12:48:27 2021 +0200

    I18n: Update translation es (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7e0a8ff2e337b5f3b347fba1c6512396e9cddbf4
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Sun Apr 18 12:48:27 2021 +0200

    I18n: Update translation bg (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit debf26d3fdfa9414e7c0deab9c8b1ea8c4b2bb7c
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Apr 18 07:14:07 2021 +0200

    Fix wrong marshal and signal closure signature as GParamSpec has its own type

commit 48e316069cf33037a841070628fd5197d37a09ed
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Sun Apr 18 00:47:07 2021 +0200

    I18n: Update translation pt (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0be157682df0b77d3f9d520a9c61e6b3c4faa2d1
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 17 12:49:11 2021 +0200

    I18n: Update translation es (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5ff09019cf04cab095dce27142fb4917ea810bf4
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Sat Apr 17 12:49:11 2021 +0200

    I18n: Update translation de (100%).
    
    150 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 772fc89ce8fa1ce8ad0f233a9d1f07289120db64
Merge: bf87660 6ccc5df
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 16 10:51:30 2021 +0200

    Merge branch 'fix_is_not_plugin_on_shutdown'

commit 6ccc5df80eacb399672a7e1a045b3b7a917c6bdd
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 16 10:50:00 2021 +0200

    Oops ... I mixed g_list_remove_link() for looking up entry by data pointers in list to remove and g_list_remove_link() for removing entry by iterator :(

commit bf87660adeec3e351c0e07ffd6043970a1f276d9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 16 10:17:36 2021 +0200

    Fix pipeline #8329 by adding missed files at POTFILES.in

commit e9234bfa8980e96bb46d512a3d02b6d46b2ff842
Merge: 04b2bf2 f5d98ae
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 16 10:06:52 2021 +0200

    Merge branch 'recently_used'

commit f5d98ae9a6858ccbefe932cfe14c5f8a9f5df8b7
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 16 10:04:57 2021 +0200

    Fix unref-unreffed-object ;) (imho its a use-after-free)

commit 04b2bf26a228f2b01298bbe1f72d2d858b3657d8
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 15 13:09:26 2021 +0200

    Fix potential use-after-free as well as a memory leak

commit a97eb291a062de20f2a445239bf32928365cc527
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 15 13:09:02 2021 +0200

    Add "debug.h" to libxfdashboard.h

commit 903079de5aec7ff4cd664cabb3f4fb516d7de08e
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 15 13:08:45 2021 +0200

    Fix indention

commit a7cad17c8f63cd990924ee1b182fefcd838fdd7d
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 15 13:07:42 2021 +0200

    Add new plugin "recently used" to search through list of recently used files provided by GTK+ recent-used manager

commit 820f2f69056f2d8e62cccd81586becee381bfb1a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 14 00:47:41 2021 +0200

    I18n: Update translation it (100%).
    
    145 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5071b88c2357c6c08b59a6fd8d3a8a4ca5189e46
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Tue Apr 13 12:49:21 2021 +0200

    I18n: Update translation zh_CN (100%).
    
    145 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bcc44a78bd96e02d52ea16c64a53a5caa63866b9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 13 12:49:21 2021 +0200

    I18n: Update translation da (97%).
    
    142 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ca1de5eedac0e41ffc6f47a37c9581984d3d47d1
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 13 10:28:45 2021 +0200

    Prevent double-free of the GSList itself containing the list of (running) animations
    
    Iterate through list of animation and call destruction function _xfdashboard_actor_animation_entry_free() for each entry in list but do not free the list itself with g_slist_free* function familiy as the connected signal handler _xfdashboard_actor_animation_done() for 'animation-done' will actually remove the this entry from list resulting in an empty list with pointer NULL.

commit e1d6b52c55ec34f4199fc586bdfc3214e35a6739
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 12 10:19:27 2021 +0200

    Fix deprecation warning because of calling cogl_texture_get_format()

commit 73700b7dbecf70415c47dfb9f13fe34029caf2bc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 12 00:47:22 2021 +0200

    I18n: Update translation lt (100%).
    
    145 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e525f0a86b2768ed6df6aa6a0f7e684ea37eb7ea
Merge: 6a521c1 b1b3215
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Apr 10 15:51:14 2021 +0200

    Merge branch 'better_window_preview_layout'

commit b1b321561a5f0e830bfcc0164880fb463bb29b15
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Apr 10 15:50:45 2021 +0200

    Replace icon for running applications

commit 87e01b4e03422ae900d82a335824baeb58f84424
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Apr 10 15:39:41 2021 +0200

    Better placement and layout of windows preview in windows view by spreading unused space among last rows and center filled columns at each of these rows

commit 6a521c15ebada7053866d90134ee8b65a6778d7d
Author: heskjestad <cato@heskjestad.xyz>
Date:   Sat Apr 10 00:47:23 2021 +0200

    I18n: Update translation nb (100%).
    
    145 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5710036b393c006734d74fbe6f96f0af62466657
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 8 10:27:47 2021 +0200

    Post-release version bump to 0.9.3

commit aab94e142c842f5f882f41844ad348f409e18743
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 8 10:10:32 2021 +0200

    Bump version to 0.9.2

commit e37fab3d13b8f54eac7c655f23ebce4238e81b36
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 8 10:00:14 2021 +0200

    Disable applications-search-provider statistics as it will use a file instead of settings object. We need to find another way to implement it. Maybe a plugin?

commit 366107b389cd95c401dd673d52fd79410309d99a
Merge: 19224a2 1c1f251
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 7 11:43:11 2021 +0200

    Merge branch 'Tamaranch/xfdashboard-fix-build-warnings'

commit 19224a2af3043d5cd1093a5c379081cd203b5e53
Merge: f6c2a46 b99862a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 7 10:51:17 2021 +0200

    Merge branch 'better-window-matching'

commit b99862ae21cbc3989194d22f86a0242758c9f6e7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 7 10:49:55 2021 +0200

    Also try to resolve window's process executable to an AppInfo if all other resolve method failed and remove resolve X11 window role to an AppInfo as this too general.

commit bd55bf96dbd56ea4ce7190ef5ab4761a04837cd6
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 6 12:38:59 2021 +0200

    Move resolving window to running application as GAppInfo object into backend

commit b0f7ae9c1c67b37a39a000aaae2127526515d14c
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 6 10:13:35 2021 +0200

    Complete API documentation of XfdashboardDesktopAppInfo and add functions to get access to all entries of desktop application info key-file.

commit d17ed4f18d77cabcde5360138645f859ad6a5098
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 5 08:11:50 2021 +0200

    Fix missing variable when using the code switch for using keywords provided by GarconMenuItem

commit 509e24d7b67b46dbe1e579584abad689cf67ff3d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 5 08:07:08 2021 +0200

    Let create the X atom if it does not exist or xfdashboard crashes

commit f6c2a46fcc6e4388fedac46551c0d5e0b0d90f1d
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Fri Apr 2 00:48:08 2021 +0200

    I18n: Update translation es (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 900a9c76817052a9698384164a18fb877ddb4a9a
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 1 13:52:58 2021 +0200

    Fix code styling and reactivate a check for required minimum version of garcon (>=0.6.3) to retrieve keywords without loading a secondary source

commit b1078802d6d423941466fd3c55c1dbba17386a34
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 1 13:24:58 2021 +0200

    Also check for window property "_GTK_APPLICATION_ID" at X11 windows when we try to resolve a window to an application ID. This could find more running application, e.g. applications started from a terminal which does not neither set the environment GIO_LAUNCHED_DESKTOP_FILE nor GIO_LAUNCHED_DESKTOP_FILE_PID.

commit 8db534f546bef1d6591c191730209a467da6c9c5
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Thu Apr 1 12:49:28 2021 +0200

    I18n: Update translation nb (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 63a0462b868920032cc128bfa5be08440259da56
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Wed Mar 31 12:49:22 2021 +0200

    I18n: Update translation gl (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c5c564b1c9ef405e5aa44c9ec76c727f633501d6
Merge: 2088a87 e47587a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 31 10:08:25 2021 +0200

    Merge branch 'linear-gradient'

commit e47587ac40d89390e200c74f8dc441a17d53f843
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 31 10:07:52 2021 +0200

    Remove debug message when setting core singleton instance

commit 07461a25fc64c51c6826882e30bd68b760058241
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 31 10:04:59 2021 +0200

    Support all solid and gradient colors (linear and path gradients) at XfdashboardOutlineEffect also.

commit d77a30c6dd8b2e7edb7200bd4d1691e807356646
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 31 09:00:42 2021 +0200

    Support all solid and gradient colors (linear and path gradients) at XfdashboardBackground as background fill color. Improve gradient specification parse to create gradient color from CSS.

commit 2088a877258239a6e9e494367d4edc53a6e2643a
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Wed Mar 31 00:48:16 2021 +0200

    I18n: Update translation tr (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f1fc474e3655cc633cf0b66ba44aba22cfb578a3
Author: Lucas Wilm <lucaswilm@gmail.com>
Date:   Wed Mar 31 00:48:16 2021 +0200

    I18n: Update translation pt_BR (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 56f8b715d1870bca38e24f82499314c39aecff0e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 31 00:48:16 2021 +0200

    I18n: Update translation lt (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ab7d7624fc2a0f46547785bc90161e0297f18496
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 31 00:48:16 2021 +0200

    I18n: Update translation eu (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f94d8f63b62763ae599401740c76abc0d6f846a3
Author: Toni Estévez <toni.estevez@gmail.com>
Date:   Wed Mar 31 00:48:16 2021 +0200

    I18n: Update translation es (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c5ae47465dfb5878c302926396c1c9dd125b7bee
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Tue Mar 30 12:48:22 2021 +0200

    I18n: Update translation sv (100%).
    
    144 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9cecc002514f40eba9e2425976bc13192dd28097
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 22 15:48:26 2021 +0100

    New new linear gradient to gradient color and support gradient colors for background color also.

commit b48a7a4c781251ccd5dbe43292d21574265d3798
Merge: e996e80 071044f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 30 08:33:55 2021 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit e996e8017382a72b0834988497dad8fa6b7a9f75
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 30 08:30:04 2021 +0200

    Fix no to draw outlines with rounded corners if background type has not set rounded corners. The fill background has already checked it since years.

commit 26f48c0f5325057638f3a7c68067468ac57e8b9e
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 30 08:22:54 2021 +0200

    Fix visual bug in default theme drawing wrong fill and outlines corners at workspace selector

commit 26bae9da6f0ca817a23d59736e7df85a5f5c0d5f
Merge: bf32645 f7c1358
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 30 08:22:09 2021 +0200

    Merge branch 'issue_8'

commit f7c135821dc96d3755cfb2096fa7c2ec5b01aa68
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 30 08:21:31 2021 +0200

    Fix #8 when creating texture for outlines when either width or height is zero

commit 071044ffc8483b9580f08e347ea188841a603e2c
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Mon Mar 29 12:48:53 2021 +0200

    I18n: Update translation sv (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c0fce72592f681d4d80093438966caec6ea77fa1
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 29 10:08:53 2021 +0200

    Add more debug message to find source why textures are created with any of width or height is below 1 pixel as the g_return_val_if_fail([w/h]>=1.0f, NULL) at _xfdashboard_outline_effect_create_texture() should fetch it.

commit bf326457a572a7535418e8b62670fecbe66d27d9
Merge: ff6a8ef 87e9d2c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 29 08:47:25 2021 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit ff6a8ef2fccc4dd7b10a989ba7c1e3c98086ac4d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 29 08:44:06 2021 +0200

    Remove generated files from POTFILES.in

commit 9cc923cfa002b176941df6ea825384eb14dce076
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Mar 28 20:16:41 2021 +0200

    Add some debug messages to find failure of creating large textures and/or NPOT textures on some very modern systems as reported at #8

commit 87e9d2c5a9ca5a6f04546e0da9a3f12726c2054d
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Sun Mar 28 00:47:45 2021 +0100

    I18n: Update translation pt_BR (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9a3ace5e1156285639321a74fb6c1557d402b5c3
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri Mar 26 12:48:52 2021 +0100

    I18n: Update translation gl (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 410936e0d00b078055ceb82b639d5194e453fffb
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 19 08:50:30 2021 +0100

    Post-release version bump to 0.9.2

commit dd71847dae9b4741148808fa3a49a12ad53d6640
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 19 08:49:33 2021 +0100

    Bump version to 0.9.1

commit e1ead3c2d23b9a8e241378beb67a6c3b8128d1ab
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 16:27:04 2021 +0100

    Move GValue transform functions from utils.{h,c} to XfdashboardCore class define macro

commit 40117025007f8b4295159026739b4c275ffb4dd9
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 16:09:32 2021 +0100

    Fixed header inclusion and POTFILES.in

commit 244983d2de780bb3d00abd2cab868e74e11e6813
Merge: 74c5e17 3c59595
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 16:04:30 2021 +0100

    Merge branch 'multicolor-borders'

commit 3c59595229c21adfdb96f09fc6cada35cd6b5d37
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 16:03:06 2021 +0100

    Also allow creating gradient colors from string via public API by calling xfdashboard_gradient_color_from_string() as it was allowed already to create a string representation via public API by calling xfdashboard_gradient_color_to_string()

commit e3a46f2d26e37508e3f68baa1ac3c56fae5e7ad3
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 15:45:09 2021 +0100

    Make use of new path gradient in default theme

commit db0c6717defd0bfcc1e19a7629803deda1e53e2c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 18 15:28:03 2021 +0100

    Rename XfdashboardCustomColor to XfdashboardGradientColor and implement parsing function to use a string representation to define a path gradient for outlines - and yes, linear gradient was renamed to path gradient as it behaves completely different from linear gradients known from SVG or CSS

commit f70c9770d94dfba665f9bdd8ca7abf7ee5edd05e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 17 15:57:50 2021 +0100

    Implement XfdashboardCustomColor with param spec to make colors solid or gradient like at outlines.

commit 74c5e17a2c850d741168d640fe9b116a141e0255
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed Mar 17 12:48:34 2021 +0100

    I18n: Update translation sr (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 54036aba91133391d343a4787e108cf9884eba58
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Wed Mar 17 00:47:14 2021 +0100

    I18n: Update translation he (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7318bb36ab7ec415663fb1b7c4388f7399febd83
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Tue Mar 16 12:48:37 2021 +0100

    I18n: Update translation it (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bcf4c7a5a9df7f76121093c7ba5d367c3139e5d2
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 16 09:33:44 2021 +0100

    Revert "Make inner/center/outer colors of outlines configurable and themable"
    
    This reverts commit 85406659208f6be5ed9e8899057eee43fb615916.

commit 85406659208f6be5ed9e8899057eee43fb615916
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 15 15:44:02 2021 +0100

    Make inner/center/outer colors of outlines configurable and themable

commit 198db955d1b7daa152e9bb33f4a1eff9d819e1a9
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 15 13:17:16 2021 +0100

    Implement drawing outlines with solid or gradient (static colors so far) colors. Also fixed drawing solid single color outlines in wrong thickness.

commit 1f1a82b4a4d0e5abe91c1d906c440d9e742dcab2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 15 00:46:48 2021 +0100

    I18n: Update translation pl (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0b90d2400934b0ed87ea28e644aa7f971dc4cf22
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Mon Mar 15 00:46:47 2021 +0100

    I18n: Update translation de (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1c1f251b167e6c68a639e165b0b2b27274f4fdf8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 27 17:57:38 2021 +0100

    Fix compilation warnings

commit 634308546cda54586b8b2af354c1ff98f51e92c5
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 12 13:50:44 2021 +0100

    Move outline effect to use cairo instead of cogl as cairo does 2d graphics better than cogl and will also support some other nice features we could use now

commit f036a3e7406eb0b4407e8eb0bd412c6cec53ed26
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Jan 27 14:16:57 2021 +0100

    autoconf: Some updates
    
    * AM_CONFIG_HEADER -> AC_CONFIG_HEADERS
    * AC_AIX -> AC_USE_SYSTEM_EXTENSIONS
    * AC_ISC_POSIX -> AC_SEARCH_LIBS([strerror],[cposix])
    * Remove AC_HEADER_STDC
    * AC_OUTPUT -> AC_CONFIG_FILES + AC_OUTPUT

commit e3c0664c4006e2c828cd797007cefcd64cb868f2
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Fri Mar 12 00:47:24 2021 +0100

    I18n: Update translation fr (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 99642f8218c9a9d74a9a7a5cee48532375f1b742
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Thu Mar 11 00:47:17 2021 +0100

    I18n: Update translation ja (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 72c0b6ac764adec3b95231cf8983f90191147b96
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Wed Mar 10 12:49:21 2021 +0100

    I18n: Update translation bg (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit af8d724a928c8a6de6a1644116aab03131d913e1
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 10 00:47:06 2021 +0100

    I18n: Update translation eu (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cdf693fb496c243c415b5d3c281b27039e57a7ff
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 9 15:51:55 2021 +0100

    With commit 2d5b7ba1836dfbbea428fc4e68e7aa961bdf1cd6 the need and support for Xfconf legacy (<4.13.0) in combination with dbus-glib was dropped. So remove also these checks from configure.ac.in and do not include these library at libxfdashboard/Makefile.am

commit 2c1a872f37cb954b063e1b647f4d2945a2ccd0d2
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 9 13:10:26 2021 +0100

    Remove xfdashboard_*_get_default() function to access single instances of subsystems/component as these single instances should now to access through XfdashboardCore and its xfdashboard_core_get_*(...)

commit 2631eadd686121cca805b444539cf3beb15cbdc9
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 9 00:47:26 2021 +0100

    I18n: Update translation it (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cb285137998431f3a40a038aa51ba119f9f85e2c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 8 15:41:31 2021 +0100

    Fixed implicit coversions

commit 19054d6dc56fffd67b0fbe34dbd029c83bf71cc7
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 8 15:37:02 2021 +0100

    Correct POTFILES.in because of pipeline failed at "distcheck"

commit 8f3ed435477bfdf57d8ff6efdfa49045fbe1d61a
Merge: 8726beb 15a14f7
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 8 14:00:21 2021 +0100

    Merge branch 'core'

commit 15a14f7f7fdc3ea8704a0df87fffdf47d8eaaf23
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 8 13:57:36 2021 +0100

    Move XfdashboardApplication out of library libxfdashboard into application xfdashboard and turn libxfdashboard into a complete library.
    
    The only step missing is to enforce all components to use a XfdashboardCore object instance to call any function of xfdashboard_core_*(XfdashboardCore *self) instead of passing NULL to use the singleton. In short it means, do not store a singleton of XfdashboardCore.

commit 8726bebec35eae9495073aedd13ab686406673f8
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 7 00:47:28 2021 +0100

    I18n: Update translation es (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 371ec5aa2e041141e0ba190c897d9953228d8ef4
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Sat Mar 6 12:48:54 2021 +0100

    I18n: Update translation zh_CN (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 32b2398aa54fb8c8ecae6ff0cd99083c067838f2
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sat Mar 6 12:48:54 2021 +0100

    I18n: Update translation nb (100%).
    
    143 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4144186303f350633d273e8807f51f02919f634f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 5 12:22:52 2021 +0100

    Post-release version bump to 0.9.1

commit 2c0d0a15a39b6cc2c86133c664039ead43fb2702
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 5 12:21:16 2021 +0100

    Bump version to 0.9.0

commit bc5d5685b717b45f8ab6b25e39c72457af7ba3be
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 5 12:17:11 2021 +0100

    Update AppStream metainfo

commit b5bd551289c4a94680ee277c9ff89688a2e9562d
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 5 09:04:40 2021 +0100

    Restore old behaviour to force a theme path but this time via theme search path instead an environment variable.
    
    The behaviour was to take the provided path and add the theme file without any additional subpath like theme name or theme subpath folder. If this built path provides the theme file use it directly although it might not match the theme name (that is for sure as the theme name will not be added to the path built). This behaviour makes development easier to test themes without changing theme by settings or changing symlinks in any of theme searched paths.

commit c7ed116536ab62daff62ece24aef8637d8dff1a9
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 4 13:19:29 2021 +0100

    Update AppStream metainfo

commit 697df40b255f5e7f8cddb2be086b083ba6dd65f2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 3 12:49:42 2021 +0100

    Add missing $(CLUTTER_LIBS) to LIBADD of static library libxfconf_settings.la

commit aaa10db0b23a0ae0f66b27e517abafa73661ee30
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 3 12:45:56 2021 +0100

    Fix releasing unreleased GIcon object at dispose function of XfdashboardLabel

commit 4c5795364715379a56a16e53d5c8e378aa7f2a0f
Merge: 9dafe09 96e552b
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 2 12:28:46 2021 +0100

    Merge branch 'plugin-settings'

commit 9dafe0921c2d5d586a2107e5b6d70b9993396125
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 2 00:47:28 2021 +0100

    I18n: Update translation eu (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 96e552bddee8e6ba65a5ac6aaa894b986cfdedaa
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 1 13:57:53 2021 +0100

    Move hot-corner plugin settings (XfdashboardHotCornerSettings) to new plugin settings object XfdashboardPluginSettings

commit 0aa38031b00a24156d67abf6be5bf3a03b55d812
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 1 13:07:08 2021 +0100

    Use theme search paths from settings also in settings application

commit e3d65e048aa5e07f63a506f973a9b4c0257409d6
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 1 10:31:44 2021 +0100

    Complete plugin settings at class XfdashboardPluginSettings, create managing function to add plugin setting to XfdashboardSettings (for proxying) and move clock-view plugin settings (XfdashboardClockViewSettings) to new plugin settings object XfdashboardPluginSettings.

commit e5a0e8e9ffbeac153e7007a6a7ad528d46d236b4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Feb 27 00:46:59 2021 +0100

    I18n: Update translation eu (98%).
    
    139 translated messages, 2 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 16dc067c5dbad7bfe5a04706544759e4665f11e6
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 26 13:31:33 2021 +0100

    Revert "Add signals for plugin being loaded or will be unloaded to XfdashboardPlugin."
    
    This reverts commit e41707e14a827e92b928cb510b35c6687a33aa3a.
    
    Also remove functions at XfdashboardSettings to register plugins and retrieve plugin settings automatically. Instead replace them with simple functions to add and remove plugins.

commit d87629bf06c5c6a80dfd83adcf44529214d3b3c4
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 12:18:18 2021 +0100

    Register and unregister plugin settings at core settings for each plugin loaded and in use

commit e41707e14a827e92b928cb510b35c6687a33aa3a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 10:31:46 2021 +0100

    Add signals for plugin being loaded or will be unloaded to XfdashboardPlugin.

commit b0ee766637829dd8beb6d4ea1bb795b90ed019e3
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 10:14:07 2021 +0100

    Add property "settings" to store a plugin settings object of type XfdashboardPluginSettings at plugins. Also complete API documentation for XfdashboardPlugin.

commit b1013b3ab2816f23ccf99b83fda82fafdd905c29
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 09:40:12 2021 +0100

    Add abtract class for plugin settings

commit dcbc2057f4922532c0d06b338f73723d33517e61
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Mon Feb 22 12:49:44 2021 +0100

    I18n: Update translation sl (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 68c01e8dc299cb57e9587cce9dc4cebf2ef9d424
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 11:16:26 2021 +0100

    Do not compile and install the "example-search-provider" plugin anymore but include sources and Makefile example (now called Makefile.am.example) in distribution file. Should make life easier for packagers ;)

commit f404d191a8b4db759271857d16b8fa19017263b9
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 10:11:16 2021 +0100

    Fix implicit function declaration warning

commit d4a8c2c8e9de4f88fbe7f32c760464ea0a988b61
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 09:55:46 2021 +0100

    Add missing Makefile.am file for new subdirectory "common"

commit 1c84b2b243e8e7257f4b53db329737fe0aabfd5b
Merge: 4341b33 c400515
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 09:40:58 2021 +0100

    Merge branch 'settings'

commit c4005151c27904847e4f64aa8e4d8f1844e8e08d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 09:32:02 2021 +0100

    Remove direct access to Xfconf at settings application and make use of new settings object with Xfconf backend

commit 4341b334bcb6b88f7467ca6eeee428f366d60c53
Author: Anonymous <noreply@xfce.org>
Date:   Mon Feb 22 00:47:01 2021 +0100

    I18n: Update translation it (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 92b7b354c4cf23ca135eb27c1c9a143b201f07ae
Author: Anonymous <noreply@xfce.org>
Date:   Mon Feb 22 00:47:01 2021 +0100

    I18n: Update translation eu (94%).
    
    133 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 561ee04e03778467b44142f82a3b9ff1f27788a2
Author: Anonymous <noreply@xfce.org>
Date:   Fri Feb 19 00:47:35 2021 +0100

    I18n: Update translation eu (82%).
    
    116 translated messages, 25 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d1c3813af01943d1a688d3206f47c93262ca0ae8
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Fri Feb 19 00:47:34 2021 +0100

    I18n: Update translation et (62%).
    
    88 translated messages, 53 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e5574c6a30239da2e4f03869794966973f882285
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 11:49:38 2021 +0100

    Move search paths of plugins and themes as well as file locations of bindings files into (one-time only) configurable property at settings

commit 9a5c88559e2ccb386e3e1d178eeba7006b59cc7c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Feb 18 00:48:30 2021 +0100

    I18n: Update translation eu (65%).
    
    93 translated messages, 48 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 81bac07b8a9321ce0bcbf57fe52c09499e98fb7f
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sun Feb 14 12:49:36 2021 +0100

    I18n: Add new translation ko (88%).
    
    125 translated messages, 16 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4f9ffc11d52e93a52d092bf2bd7a5e31e2f9e2c7
Author: Anonymous <noreply@xfce.org>
Date:   Sat Feb 13 00:47:08 2021 +0100

    I18n: Update translation it (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8b742be446be56fa3252af73225d3fa3d2e24dd7
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 12 08:44:47 2021 +0100

    Fix visual patch files :P

commit d4f61e2044c722cabb289a1e23247363676c40cd
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 12 08:41:37 2021 +0100

    Added missing files for xfconf settings backend

commit bb12aac55b0b7719f1f53cbf63d84d5e4d6ee8b0
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 12 08:38:34 2021 +0100

    Complete permanent storage of settings via Xfconf (without handling plugins)

commit 3fd42a11e24ae5290612d6e476d6f50665036715
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Thu Feb 11 00:48:21 2021 +0100

    I18n: Update translation ja (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ec5e85ba01fbfd79fef932e15d365d55b7d46ee0
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Tue Feb 9 12:52:22 2021 +0100

    I18n: Update translation ja (94%).
    
    133 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 563f571f47069ad62fcaacac73c20a2150d96635
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Sun Feb 7 12:48:19 2021 +0100

    I18n: Update translation ja (85%).
    
    120 translated messages, 21 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2d5b7ba1836dfbbea428fc4e68e7aa961bdf1cd6
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 5 11:57:10 2021 +0100

    First step in libxfdashboard becoming a real library. Removed dependency on xfconf (will be moved to xfdashboard/settings applications) and created a settings class to get/set settings in-memory. Each application using libxfdashboard needs a wrapper around this settings class or has to derive a new class from it to store settings permanently, like at xfconf.
    
    Also removed unused functions and properties from XfdashboardPlugin and completed API documentation of it.

commit 400895e719069c413816b1d5f4f2935c589f923a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 3 00:47:22 2021 +0100

    I18n: Update translation it (94%).
    
    133 translated messages, 8 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 93efeae064f081c43efd215d75e0268a1342bcd8
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 29 00:47:37 2021 +0100

    I18n: Add new translation eu (64%).
    
    91 translated messages, 50 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a6cd35ca7df4549839c573e88cc17c554b43bc90
Author: AlexanderFilev <avfill@outlook.com>
Date:   Tue Jan 26 00:48:05 2021 +0100

    I18n: Update translation ru (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3b9887a0927e650064a4c0639ddc71c67c1dd42c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jan 21 00:47:19 2021 +0100

    I18n: Update translation it (92%).
    
    130 translated messages, 11 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3cb82e3eac9a33a6ec72dcfc9c6b2f80ee86ce39
Author: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Date:   Wed Jan 20 12:48:43 2021 +0100

    I18n: Update translation ja (79%).
    
    112 translated messages, 29 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7364a73ecc758187a648a255c85f9eddbef7545f
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Tue Jan 19 10:27:47 2021 +0100

    I18n: Update translation zh_CN (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8588300c9a9c785247b225243c6bdd04dc1f7503
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Tue Jan 19 10:27:47 2021 +0100

    I18n: Update translation tr (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1502945d50b8ee214abda2d9ad92215601dd7e11
Author: Arve Eriksson <031299870@telia.com>
Date:   Tue Jan 19 10:27:47 2021 +0100

    I18n: Update translation sv (99%).
    
    140 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aef3df88e7cecf5722e2953478c27093701ddb15
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Tue Jan 19 10:27:47 2021 +0100

    I18n: Update translation sq (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 61581b42d39d905ffa15eb666409caa47bbe94fe
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Tue Jan 19 10:27:47 2021 +0100

    I18n: Update translation sl (99%).
    
    140 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cfdb9cead1aaa05ab94e33376584ff3340f12224
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Jan 19 10:27:46 2021 +0100

    I18n: Update translation pt (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 22d0c19a064ecc8513a520d494eb4e97f109f453
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Tue Jan 19 10:27:46 2021 +0100

    I18n: Update translation nl (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dd4093ba4d274fea0b273ec2443ae5ea29678e3a
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Tue Jan 19 10:27:46 2021 +0100

    I18n: Update translation nb (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 220126ca7d7a9fa70becfe947b050f3e87df09fb
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 19 10:27:46 2021 +0100

    I18n: Update translation lt (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0029d59d86eeabe863a62ef5858cbd85eabbb576
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation ie (51%).
    
    73 translated messages, 68 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aacae74804e0996c9add1b1bf7f9fc5ee58b7b41
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation id (99%).
    
    140 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 72163558049b5982281bbf47181e2709f826d736
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation he (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 22a0aefc8b35a18ac336867a102fa1c0338f6def
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation gl (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5bdeb97481ba0e43c27ccc5f5f04bd4697d7189d
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation fr (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3e0ba4dbf337fb96340f9c87ab39d36c0777fffd
Author: emiliano casal chiarotti <emiliano.casal.chiarotti@gmail.com>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation es (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2d5a9c238d2c43b6f7e46877d1d1303183562f34
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation el (65%).
    
    92 translated messages, 49 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6042a0a2f16afd28b1ba72d06a7a3f7242c77cb2
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Tue Jan 19 10:27:45 2021 +0100

    I18n: Update translation de (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f1543a3a6af267b2c7e9088b9618d6eb4310828f
Author: Xfce Bot <transifex@xfce.org>
Date:   Tue Jan 19 10:27:44 2021 +0100

    I18n: Update translation ca (69%).
    
    98 translated messages, 43 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 35b663c7eefb7d639e211c309e24c9bbbe86029c
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 19 00:47:46 2021 +0100

    I18n: Add new translation it (55%).
    
    78 translated messages, 63 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d3965d6d666c3318b1e4e52b5e0e44d12b4fb0ae
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jan 12 12:50:52 2021 +0100

    I18n: Update translation da (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 1d1792a4775b73b33a078700273b2a28607f0376
Author: ivmazurenko <ivmazurenko@yandex.ru>
Date:   Mon Jan 11 00:47:26 2021 +0100

    I18n: Update translation ru (99%).
    
    140 translated messages, 1 untranslated message.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e5c959ac0b2d6a9822c61d928087227af09efdff
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 8 18:04:05 2021 +0100

    I18n: Update translation pl (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b4c15f0a21445ea27c59c62b2456adc987cc96d0
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Tue Jan 5 00:47:26 2021 +0100

    I18n: Update translation bg (65%).
    
    93 translated messages, 48 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 282d29db4cbbbfe935c015258e460d8b7437b515
Author: Priit Jõerüüt <transifex@joeruut.com>
Date:   Mon Jan 4 00:48:00 2021 +0100

    I18n: Add new translation et (58%).
    
    82 translated messages, 59 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 19f627294455707f8008936d808c9d60a6b5e099
Author: Andre Miranda <andre42m@gmail.com>
Date:   Mon Jan 4 00:47:59 2021 +0100

    I18n: Update translation pt_BR (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d06c8a965b29202dfc2fd95b0e0e8083dda8572d
Author: UTUMI Hirosi <utuhiro78@yahoo.co.jp>
Date:   Mon Jan 4 00:47:59 2021 +0100

    I18n: Update translation ja (75%).
    
    107 translated messages, 34 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 46870f38f11901ea2b1b67f3abaa517532a9e3c7
Author: Саша Петровић <salepetronije@gmail.com>
Date:   Wed Dec 30 12:50:26 2020 +0100

    I18n: Update translation sr (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 64a03c35116967977b68bcc5be626e980fc59fc4
Author: Źmicier Turok <nashtlumach@gmail.com>
Date:   Wed Dec 30 00:47:40 2020 +0100

    I18n: Add new translation be (100%).
    
    141 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 79a0676cac069f4f5eb466da6a5bfc6f649bd22a
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Dec 28 00:48:45 2020 +0100

    I18n: Update translation pt (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e6cff4592b3a8a23946b7f7d631c220301ba907c
Merge: 851ab02 63fd0f7
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:46:59 2020 +0100

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 851ab02fa6b91788dd22db3dbc97e66fae2244ab
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:40:16 2020 +0100

    Fix path in POTFILES.* (fix for issue #4)

commit e6e4f1d4e3d57b0ce6d6f590d23b9343a3a377cb
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:38:20 2020 +0100

    Dekstop files must match the new rDNS application name (org.xfce.xfdashboard) (fix for issue #4)

commit 5579e576aa635a8a71635419895e4d14e0fa5006
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:31:13 2020 +0100

    Missed a place which refers still to appdata instead of new metainfo subfolder (fix for issue #4)

commit 43ffdbe033df87eab36846e2eba4044eadd72f70
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:29:26 2020 +0100

    Rename subfolder appdata to metainfo and update ignore list for git (fix for issue #4)

commit 1673fc1be2aeec3cd72b3241501e2aeb175a8a4b
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:26:12 2020 +0100

    Rename xfdashboard to more unique identifier org.xfce.xfdashboard which matches the rDNS for the application icon and install AppStream data to /usr/share/metainfo instead of /usr/share/appdata (fix for issue #4)

commit 4bbd5d48667ce16fdb8df069829f4e26b5e5869c
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Dec 27 13:23:12 2020 +0100

    Change AppInfo to match AppStream specification (fix for issue #4)

commit 63fd0f71e6c3fef1e62a42e3ef9bc57e5aa56afd
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun Dec 27 00:48:08 2020 +0100

    I18n: Update translation he (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit caf40c77893e1f4043e78d5db97937e4a0707652
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Fri Dec 25 12:47:45 2020 +0100

    I18n: Update translation tr (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d9a1ebc96fc60dc0dae4bca52c296b56fb57ff95
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 25 00:47:06 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 508d7a1e07114fbbd18b90bd84312456ced683c5
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Fri Dec 25 00:47:06 2020 +0100

    I18n: Update translation fr (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 36efe9a61efb146f4cb4c1d1f297d130ca2ee1e6
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Thu Dec 24 12:48:43 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d4add1df7bfdf034f1186e0691eb756a01e61534
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Thu Dec 24 12:48:42 2020 +0100

    I18n: Update translation sq (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dd164b2acb01727a4d9bf8e2486cdb195305297c
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Thu Dec 24 12:48:42 2020 +0100

    I18n: Update translation de (100%).
    
    140 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9f4cfa851f1acf0ef812b3ec6d66effdf4ce0e9f
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 23 09:23:08 2020 +0100

    Post-release version bump to 0.9.0

commit 3b6e7a1fae5b6850ffd2b1037496f731ddd6ef5d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 23 09:20:25 2020 +0100

    Bump version to 0.8.0

commit 9c6d3d3d944c676bd39edae3560603868a4ed5c3
Author: ivmazurenko <ivmazurenko@yandex.ru>
Date:   Thu Dec 10 00:46:53 2020 +0100

    I18n: Update translation ru (95%).
    
    142 translated messages, 7 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4c6c076606570ffe849e6c5cfe9b43a5cac43960
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 10 00:46:53 2020 +0100

    I18n: Update translation pt_BR (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3367ab64610783a97c4e85e2fdda906bbc517124
Author: Anonymous <noreply@xfce.org>
Date:   Wed Dec 9 00:47:31 2020 +0100

    I18n: Update translation pt_BR (87%).
    
    130 translated messages, 19 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3f5b1f0c534bc3eb066f5b8d0f8d7e3e20b6d2b4
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Mon Dec 7 00:47:04 2020 +0100

    I18n: Update translation pt_BR (63%).
    
    95 translated messages, 54 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ec696dbae262f14df09c55f557743d799d8aff19
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Dec 3 10:44:53 2020 +0100

    Fix assertion raise for first-time call to xfdashboard_actor_enable_allocation_animation_once() without having stored a last tracked allocation box

commit c0f09a0cba673c0a90ed1e3c45449e2f0ece86bc
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 2 14:44:28 2020 +0100

    Make use of new safe function xfdashboard_actor_get_allocation_box() and adjust function signature to match the one of clutter_actor_get_allocation_box()

commit 5107c8f2cb8866e310d898e4cf56023300a46a73
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Wed Dec 2 00:46:54 2020 +0100

    I18n: Update translation sv (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit deb633123e2a2891d58dc5dc6662c789c0fb0fb2
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Dec 1 00:46:38 2020 +0100

    I18n: Update translation pt (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 246827ef7cc47c86dace18d4165319653efa7ccb
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Nov 30 00:46:58 2020 +0100

    I18n: Add new translation pt (50%).
    
    75 translated messages, 74 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 93f574405a6780f24b19f66c8d5f14d5bdaa22bc
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun Nov 29 00:47:12 2020 +0100

    I18n: Update translation he (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 717ef90c21a11b129ef544720e4263d2bcc049cc
Author: roxfr <roxfr@outlook.fr>
Date:   Sun Nov 29 00:47:12 2020 +0100

    I18n: Update translation fr (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e19da8d0bce49916d15a2b469f537998d0c852bd
Author: Michael Martins <michaelfm21@gmail.com>
Date:   Tue Nov 24 00:46:47 2020 +0100

    I18n: Update translation pt_BR (59%).
    
    89 translated messages, 60 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2931603a245cc51dcbc8d23810323f465cee2cc9
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 23 12:59:35 2020 +0100

    Apply last changes to animation theme file at default theme to all other themes

commit 99e6f799c82dc691f063b286fe2b8e2dd8176190
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 23 12:57:48 2020 +0100

    Create safe function replacement for clutter_actor_get_allocation_box()
    
    Calling clutter_actor_get_allocation_box() is dangerous with animation because it may modify the internal state of the position and size of an actor used for initial values for position and size at the animation to run. Therefore this safe function exists which returns the last allocation set to this actor.

commit c2fadfab66d5b48363dc1426432dc5af03ef7060
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Sun Nov 22 00:46:46 2020 +0100

    I18n: Update translation sl (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8e71569a5346a557c20bba129a301ddb676e3749
Author: YuHeng Chou <wojiushixxx@126.com>
Date:   Sat Nov 21 12:48:55 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b10cb18930cb83a790aee49af36d58ef1fe883e2
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Sat Nov 21 12:48:55 2020 +0100

    I18n: Update translation id (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit aa9bf4f79f99f31beeec2e54c0f7d8d5598443c2
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sat Nov 21 00:46:58 2020 +0100

    I18n: Update translation nb (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6bc285d245a8ccf452e000e4e28c2b81d540214e
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Fri Nov 20 12:49:55 2020 +0100

    I18n: Update translation tr (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6a1cf2674711cbb12924eea9b8b01ef67c2607d6
Author: Anonymous <noreply@xfce.org>
Date:   Fri Nov 20 12:49:55 2020 +0100

    I18n: Update translation es (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4021ed17bcb1377332f540d1ddf1800fc05f6588
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Fri Nov 20 00:49:39 2020 +0100

    I18n: Update translation pt_BR (59%).
    
    89 translated messages, 60 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 67524fa3e9cc4a3fb74ada71a4c4c305769d8359
Merge: ea12808 af74829
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Nov 18 15:15:10 2020 +0100

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit ea128085c1c8bac681b41cdd563a830455f8019d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Nov 18 15:14:29 2020 +0100

    Fix wrong allocation stored for further animation when no animation was found for signal "created" on first-time being mapped

commit af74829443b8ee41c90c0a76438297f42651b6eb
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 18 12:49:39 2020 +0100

    I18n: Update translation da (100%).
    
    149 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 625fac5f53fd3d99e9bb1bfc0ccaef6412ded701
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 17 08:28:10 2020 +0100

    Post-release version bump to 0.7.91

commit eb5530baaa9092fe01f6a47d8af774b295fe0edf
Merge: d788f77 c88c743
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 17 08:19:46 2020 +0100

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit d788f775e9110e38447622f9eeda8509ab64c922
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 17 08:19:21 2020 +0100

    Bump version to 0.7.90

commit c88c743c12c25432579d512c6af7c268623295e6
Author: Wellington Almeida <wsalmeida6@gmail.com>
Date:   Tue Nov 17 00:47:26 2020 +0100

    I18n: Add new translation pt_BR (59%).
    
    88 translated messages, 60 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b27af7f47a5120f435b68c507ab10b59a8dbab62
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 17 00:47:26 2020 +0100

    I18n: Update translation da (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3af0e1fff5337a7ef2f228c06a27954a7253736e
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Mon Nov 16 12:48:40 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8acc950b7d296a753003c72135b89a0c0b5164a2
Author: Emin Tufan <etcetin@gmail.com>
Date:   Mon Nov 16 00:47:20 2020 +0100

    I18n: Update translation tr (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e94e0d2c3b038eaa03343f0218abebe403de9609
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Mon Nov 16 00:47:20 2020 +0100

    I18n: Update translation nb (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c8450f0eca7c9218a99d54f1053782b522119f6d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Nov 14 00:46:50 2020 +0100

    I18n: Update translation zh_CN (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 13bfb19f933ba624047c847d5afbf38705dfbb85
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Fri Nov 13 00:46:41 2020 +0100

    I18n: Update translation zh_CN (91%).
    
    136 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cca47f9e442525f08fb23664872e0a176d2eae48
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Nov 13 00:46:41 2020 +0100

    I18n: Update translation nl (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cbb00e3834687963874cb260ed203eec7e8515ec
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri Nov 13 00:46:41 2020 +0100

    I18n: Update translation gl (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 4315ffadb9d58843cb131540f1e9552b53df8a98
Merge: 5464ee9 15018a8
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Nov 11 08:32:34 2020 +0100

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 5464ee9624e8159ba09699dd1b3281940c6e649d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Nov 11 08:31:46 2020 +0100

    Support explicit allocation animation of position and size if <property> nodes are specified at 'created' animation

commit 15018a886705016f1d2c66de25dbe023695d3f24
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Wed Nov 11 00:46:51 2020 +0100

    I18n: Update translation de (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e2c45542c91845f3cd70e442850cdef402dbe76a
Author: Arve Eriksson <031299870@telia.com>
Date:   Tue Nov 10 12:49:05 2020 +0100

    I18n: Update translation sv (100%).
    
    148 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b6454a145947328998ca7bdaac06c1e5dd92a4d3
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 10 10:15:44 2020 +0100

    Do not allow general allocation animation during 'created' animation which is searched and started at the first time an actor is shown

commit 9d4e92b07ab463c784dde0abb651df048f9289eb
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 12:33:49 2020 +0100

    Environment variable XFDASHBOARD_PLUGINS_PATH, which manages temporary additional search paths for plugins, can now be a colon-seperated list of paths

commit 668cdf5a434e04af90905bcc0f8afe061a0367b6
Merge: 24c32a7 291326c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 12:22:17 2020 +0100

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 24c32a73beebb071590ea97fa3b2f03c74fc57e7
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 12:21:06 2020 +0100

    Make option "primary-monitory-only" at plugin hot-corner configurable via UI
    
    Fixes issue GH #191

commit 291326cf943238a530f3a6758440c288503421f8
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 12:21:06 2020 +0100

    Make option "primary-monitory-only" at plugin hot-corner configurable via UI

commit 4c0a407d5268d0e9c8643ef9c77d7e7f8def038d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 11:28:01 2020 +0100

    Added missing flag to get displyed the debug messages for plugins

commit 7b2dd59fcad8eb451f60f3cc6cabca09450a38b7
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 11:24:21 2020 +0100

    Support hot-corner also at additional monitors and not primary-only

commit 06e0e5a82f44069d86de1439521a8b6bf5f6c076
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 09:42:55 2020 +0100

    Remove unused enums

commit 252b002b704158cc1d127c0e1e2fc1dd14da3412
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 9 08:07:24 2020 +0100

    Regardless if a 'created' animation will be found or not when the actor is mapped the first time, set flag that first-time mapping happened.

commit 8004e62b793814bbe77cda68aa27c999149e5b94
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 8 00:46:52 2020 +0100

    I18n: Update translation lt (85%).
    
    125 translated messages, 22 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 5300bd2aa5b1924a1d16993f18f9d77319df22b4
Author: YuHeng Chou <wojiushixxx@126.com>
Date:   Sat Nov 7 12:47:49 2020 +0100

    I18n: Update translation zh_CN (91%).
    
    135 translated messages, 12 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c15f5e530afe19fb7dd51d92439cfb9388416c35
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Sat Nov 7 12:47:49 2020 +0100

    I18n: Update translation nb (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8a2ef1c4b2c881364b219f7b8822a43350a62416
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Fri Nov 6 12:47:57 2020 +0100

    I18n: Update translation bg (64%).
    
    95 translated messages, 52 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0aa50cc8f06ac6aceb88ff72876ef48fc4a83bf5
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Tue Nov 3 12:48:45 2020 +0100

    I18n: Update translation zh_CN (74%).
    
    110 translated messages, 37 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3a68e0e35bf13ba278881077eea324d552edd98c
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 3 12:48:45 2020 +0100

    I18n: Update translation es (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7460d8058e87f8f28e49720fd41068d63b64a357
Author: jc1 <jc1.quebecos@gmail.com>
Date:   Mon Nov 2 00:46:59 2020 +0100

    I18n: Update translation fr (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0307703632f68a1789d44d6f07cddae5e66e2cec
Author: Anonymous <noreply@xfce.org>
Date:   Sun Nov 1 12:48:41 2020 +0100

    I18n: Update translation da (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7706fd3c31720b19ae5c37d8fb6d75b0292e9067
Author: Andreas Eitel <github-aneitel@online.de>
Date:   Sun Nov 1 00:47:39 2020 +0100

    I18n: Update translation de (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ec6f59328050c56446c4d468e95fdcade884a361
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Sat Oct 31 00:46:41 2020 +0100

    I18n: Update translation sq (100%).
    
    147 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2546826aae2c5f7746dbd811bf1c113e08ef2c9e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Oct 31 00:46:41 2020 +0100

    I18n: Update translation lt (70%).
    
    104 translated messages, 43 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ac62d8a7c5461dedd497f13d93bb805d97ba0cfa
Author: 玉堂白鹤 <yjwork@qq.com>
Date:   Fri Oct 30 12:48:38 2020 +0100

    I18n: Add new translation zh_CN (67%).
    
    99 translated messages, 48 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit eeac2a5a9d0e9d41bd9d9a87c7ca6b4f823e6c86
Author: Luna Jernberg <bittin@cafe8bitar.se>
Date:   Fri Oct 30 12:48:38 2020 +0100

    I18n: Add new translation sv (75%).
    
    111 translated messages, 36 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 71fbdc23bf9a4a33f8c1e744fb5bb4a0dc25a0ac
Author: Besnik Bleta <besnik@programeshqip.org>
Date:   Fri Oct 30 12:48:37 2020 +0100

    I18n: Add new translation sq (86%).
    
    127 translated messages, 20 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 23996d02f70002995040c57ec8b5c64c51919854
Author: Arnold Marko <arnold.marko@gmail.com>
Date:   Fri Oct 30 12:48:37 2020 +0100

    I18n: Add new translation sl (68%).
    
    100 translated messages, 47 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 0907dfb0612057a03f58c2edafc634b56e890a81
Author: Kjell Cato Heskjestad <cato@heskjestad.xyz>
Date:   Fri Oct 30 12:48:36 2020 +0100

    I18n: Add new translation nb (71%).
    
    105 translated messages, 42 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 71de3997b73c28a996a39a2905f9b8e5f04a4f90
Author: Kiril Kirilov <cybercop_montana@abv.bg>
Date:   Fri Oct 30 12:48:35 2020 +0100

    I18n: Add new translation bg (60%).
    
    89 translated messages, 58 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit da18440fef5d1b218d8e3ba36a45cd300e9fd2bc
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 29 14:59:23 2020 +0100

    Reduce number of translatable string at plugins from 86 to 26 (savings ~70%)

commit 5d88aaf139582c954b19cc9cd58459997fae3924
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 29 14:28:23 2020 +0100

    Reduce number of translatable string at settings from 46 to 23 (savings 50%)

commit b76e4585814c0ad3713bf47db2f0fc5c8b8a890b
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 29 14:24:58 2020 +0100

    Reduce number of translatable string at xfdashboard from 5 to 0 (savings 100%)

commit ea6a30ad31f69d9de6424c5cfc739ce9d911110c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 29 14:22:02 2020 +0100

    Reduce number of translatable string at libxfdashboard from 980 to 74 (savings ~93%)

commit 9a8fae6c6bbb05263af79eec06a2b2f400a042da
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Tue Oct 27 00:47:08 2020 +0100

    I18n: Update translation he (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e389a822738081fb3b19651909c0bff6df67529f
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sun Oct 25 00:46:46 2020 +0200

    I18n: Update translation nl (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 04c1a242fb056a4e1f145249fd5b0255e472d2e0
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sun Oct 25 00:46:46 2020 +0200

    I18n: Update translation he (81%).
    
    765 translated messages, 174 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cc560b925082e66215072862e310c713675940c7
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sat Oct 24 12:47:27 2020 +0200

    I18n: Update translation nl (96%).
    
    905 translated messages, 34 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8911921a0ecac3637ff893b88c18ce454b6723e0
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Sat Oct 24 00:46:37 2020 +0200

    I18n: Update translation nl (90%).
    
    852 translated messages, 87 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c4c9250f5674a6ee6ce599442c15ba35064d6e34
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Sat Oct 24 00:46:37 2020 +0200

    I18n: Update translation he (74%).
    
    695 translated messages, 244 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 61c937fb87a6a3017f890ffe76294eacebda918b
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Oct 23 12:49:03 2020 +0200

    I18n: Update translation nl (80%).
    
    755 translated messages, 184 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 2a7daaab0967a20ccc50dd2e133904e508266999
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Fri Oct 23 00:47:13 2020 +0200

    I18n: Update translation nl (77%).
    
    726 translated messages, 213 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 3fbbbb08f78813cfa1cbc71d8cc912c42811c4eb
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 23 00:47:12 2020 +0200

    I18n: Update translation da (70%).
    
    663 translated messages, 276 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 71dac6d2e8dbfaff814b03996c77cd6a9ac83892
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Oct 22 12:47:55 2020 +0200

    I18n: Update translation nl (71%).
    
    669 translated messages, 270 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 94372c1b5238c892daee0352a855b7fa5e47d743
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Thu Oct 22 00:46:45 2020 +0200

    I18n: Update translation nl (63%).
    
    596 translated messages, 343 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d50579a7a064ca361954acf7c65b2e5551b86af8
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Thu Oct 22 00:46:45 2020 +0200

    I18n: Update translation he (68%).
    
    641 translated messages, 298 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 8584974e6c83f36d67134187948b26c9b21b27ca
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Wed Oct 21 12:48:06 2020 +0200

    I18n: Update translation nl (52%).
    
    492 translated messages, 447 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6fbeb43059b3d9c4fe935e0bffc01edda78633de
Merge: 0026ac8 abdb7cb
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 21 09:01:38 2020 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 0026ac84ff32788348e6c5d763d8101a1d7f7e53
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 21 09:00:03 2020 +0200

    Set CSS pseudo class for actor that will be destroyed when animation is done to check for this state, e.g. quicklaunch checks the existence of this pseudo class to skip these "destroying" actor when updating favourite apps for xfconf

commit 86dca9168b5ff781fdebcfc25df934994a0b7f87
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 21 08:55:38 2020 +0200

    Fix return from function without value

commit 7aa8df281548ef798408fb499bc22dad8d8ad41a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 21 08:53:52 2020 +0200

    Replace clutter_actor_destroy*() with xfdashboard_actor_destroy*() where it makes sense, i.e. do not replace in virtual destroy() or dispose() function of ClutterActor as at that time the actor is already destroyed.

commit abdb7cb30d1359714f73c13e9d8aed34d21cb35f
Author: Pjotr <pjotrvertaalt@gmail.com>
Date:   Wed Oct 21 00:46:30 2020 +0200

    I18n: Add new translation nl (50%).
    
    470 translated messages, 469 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e816619d828c7d1ade74bf683ec9b07abcf31010
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Wed Oct 21 00:46:30 2020 +0200

    I18n: Update translation he (63%).
    
    593 translated messages, 346 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit e776f1304d46727fe4e3a62fe9340c22503d7222
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 21 00:46:29 2020 +0200

    I18n: Update translation da (69%).
    
    655 translated messages, 284 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit ec7481428e4343b5c6676e0c0e8b8d95c036afb9
Author: Elishai Eliyahu <elishai@mailfence.com>
Date:   Tue Oct 20 00:46:56 2020 +0200

    I18n: Update translation he (57%).
    
    540 translated messages, 399 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c506b41ffa03891cc3b082482f96ee9ac69cc0ef
Author: Anonymous <noreply@xfce.org>
Date:   Sun Oct 18 01:02:22 2020 +0200

    I18n: Update translation da (68%).
    
    644 translated messages, 295 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit f5b261a1d58bc4be6e1ba79d407e3d138debb8c9
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:34:31 2020 +0200

    I18n: Update translation sr (63%).
    
    593 translated messages, 346 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit df5a7edbbe0d1074f20b41d029e98a4c078aa3b0
Author: Xfce Bot <transifex@xfce.org>
Date:   Fri Oct 16 18:34:31 2020 +0200

    I18n: Update translation ru (66%).
    
    628 translated messages, 311 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit a6c87e218b53864d966dfaec1063a85508a96af3
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 16 18:34:31 2020 +0200

    I18n: Update translation pl (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit cecc37945aabd06c2bafbc5a8cccb6ddbb3fabec
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Fri Oct 16 18:34:31 2020 +0200

    I18n: Update translation gl (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d39ff46a8a1a5d3358f71011bf6d43c297a0318c
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 15 12:48:14 2020 +0200

    I18n: Update translation da (61%).
    
    582 translated messages, 357 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b46d2b127f3379c8c2fae82abafa034be7a23c7f
Author: Triyan W. Nugroho <triyan.wn@gmail.com>
Date:   Wed Oct 14 12:48:06 2020 +0200

    I18n: Add new translation id (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dc63433c1863179e0c254ec4719c5ad3a327be49
Author: Anonymous <noreply@xfce.org>
Date:   Wed Oct 14 00:48:15 2020 +0200

    I18n: Update translation da (58%).
    
    551 translated messages, 388 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7179926bbebc76444f7715967bb5c9291745d5b5
Author: Yannick Le Guen <leguen.yannick@gmail.com>
Date:   Sat Oct 10 12:47:17 2020 +0200

    I18n: Update translation fr (88%).
    
    834 translated messages, 105 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit bc5121462c159bffab83e0d3056fa7378f29be57
Author: Anonymous <noreply@xfce.org>
Date:   Fri Oct 9 00:46:50 2020 +0200

    I18n: Update translation da (58%).
    
    550 translated messages, 389 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit acd6653b89cb395e900666ee51bd1622b5f73a89
Merge: 47636dd 165ec7b
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 8 12:27:37 2020 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit 47636dd51845661f97071b6560774e21850b472a
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 8 12:25:05 2020 +0200

    Add support for animation of destroyed (or going to be destroyed) actors and fix critical warnings at X11 window content object by the way ;)
    
    First actor supporting animation at destruction of XfdashboardLiveWindowSimple.

commit 165ec7b063144d19044526021fd80366075ae0ed
Author: Xfce Bot <transifex@xfce.org>
Date:   Thu Oct 8 00:46:51 2020 +0200

    I18n: Update translation sr (63%).
    
    593 translated messages, 346 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 9447465ac81dc65c0398d8d02ee95873dacc89d0
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 8 00:46:51 2020 +0200

    I18n: Update translation pl (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 7443a59e7c2bbc10fc238bf5b77acdc925b941ef
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Thu Oct 8 00:46:50 2020 +0200

    I18n: Update translation gl (100%).
    
    939 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 849aaa9d0499ea70df218ff089f492fabc4558b0
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Wed Oct 7 12:58:35 2020 +0200

    Remove marshal.c from POTFILES.in
    
    - Then we can use intltool-update correctly
    - Related to bug #3

commit 201b2949ddf5655a77addd1393e37c404e4329a0
Author: Gaël Bonithon <trash.paradise@protonmail.com>
Date:   Fri Jul 10 18:38:18 2020 +0200

    Use shared field codes expansion

commit 8390a8b0ed0633dc6ffc91faf0d09aec0ed4cba7
Merge: bff5b4a abbfbc6
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 23 08:30:50 2020 +0200

    Merge branch 'kevinbowen/xfdashboard-update_README.md'

commit bff5b4a3036bedb2b7ebd49b3c505b4b4ac8f170
Merge: ccc2e6b 97fb487
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 23 08:24:56 2020 +0200

    Merge branch 'm4u9/xfdashboard-new-icons'

commit ccc2e6b7a9fa7acd27c06138e945aaef03148ac5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 22 14:28:55 2020 +0200

    Reflect updated minimum version of some dependencies in README.md

commit 64b5c93481004d2c27b77b274ba35b64d8083e80
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 22 13:01:17 2020 +0200

    Post-release version bump to 0.7.9

commit 72076ca8fe453fe64b6ee992f3de13067b1e9ee3
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 22 12:59:35 2020 +0200

    Bump version to 0.7.8

commit 503b2bc2e3fdf172060e766e1d27c1eb2acbd639
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 22 12:57:44 2020 +0200

    Update AppData

commit ffdb4e548c5fd4d4d32c294dd1038d301cf7e94d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 22 12:41:40 2020 +0200

    Fix crash when reselecting a search result item on search update but the container as destroyed while updating

commit e646b3c12d7a1c0e281efbcd3c4879ba5e396fb5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Sep 20 09:05:39 2020 +0200

    I18n: Add new localization (it_IT, ru_RU, sv_SE)

commit 7c957765ffcbf658df54135cc44cf125b476b04e
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Sep 18 13:47:46 2020 +0200

    Add object class documentation for XfdashboardAnimation

commit 64eb2174fbe7fb9a3e79af6e1aff0aed626d191b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Sep 18 11:02:44 2020 +0200

    Added convenience functions to create and free animation default values (initial/final) and use them ;)

commit 4d4d98e9ff79441658fe3f00ac6a8d1e9a3d5403
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:36:12 2020 +0200

    Remove some left-overs of "TODO:"

commit 59f2ce20f8c62baa0368826d78fa07cb51fc6f19
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:35:22 2020 +0200

    Remove code switch for explicit allocation animation as it is the new default (and the only one ;) )

commit 2dc68ba89e791ee0f0ee15080fdf3022beeb8e17
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:34:03 2020 +0200

    Also remove code block for second implemetation of implicit allocation animation

commit 3ed6d4df2b139d490fbbf4a4f0424bf01374597a
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:32:01 2020 +0200

    Remove code blocks for first allocation animation implementation

commit 7aaebebdf74cccd6a4eef225f2484990adc6732a
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:28:50 2020 +0200

    Remove debug messages for explicit allocation animation

commit 5646575297abf190c4a18d6521e8a665a3f5a427
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Sep 17 14:25:44 2020 +0200

    Changed from implicit allocation animation to explicit allocation animation model. That means that the xfdashboard_actor_enable_allocation_animation_once() must be called to get the actor be animation for one allocation change if the theme defines an animation for it.

commit abbfbc6f964652bba6e2fe037e429b58551d00da
Author: Kevin Bowen <kevin.bowen@gmail.com>
Date:   Mon Sep 14 07:24:40 2020 +0200

    Fix link to license. Capitalisation fixes.

commit 9c478d3a1337e53c7c4d9b9b7ba079f4e59dd1e5
Author: kevinbowen777 <kevin.bowen@gmail.com>
Date:   Thu Sep 10 19:44:02 2020 -0700

    Updates README.md to follow xfce4-settings README.md as template

commit 97fb48706eb07949a2c636f9cb4791452a04afbf
Author: Maurizio Galli <maurizio.galli@gmail.com>
Date:   Sat Sep 5 10:58:10 2020 +0800

    Switch to new icons

commit 8ba989c66111c91c3bc7ddf112dd7e9433af6d11
Author: Maurizio Galli <maurizio.galli@gmail.com>
Date:   Fri Aug 28 17:20:39 2020 +0800

    Added new stock icons and use reverse DNS file name

commit 84b5f00a8d301a45a796a64ac2bf7f64923fe15f
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 17 12:38:41 2020 +0200

    Respect fixed position of children when (re-)layouting

commit 67a2105d65a2f3325a8cfe6d88a5689489ed0fc7
Merge: fc843c9 3faeb6d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 17 11:44:28 2020 +0200

    Merge branch 'master' of ssh://gitlab.xfce.org/apps/xfdashboard

commit fc843c92d561176ad8463a1189f39a4be7b1ed2b
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 17 11:42:20 2020 +0200

    Skip libxfdashboard/enums.c in POTFILES as it is auto-generated and will not contain any translatable strings (#3)
    
    Note: From now on "#123" refers to an issue at gitlab.xfce.org and not to a bug reported at Xfce's Bugzilla

commit 798013f6dc4e79abb7c8db264883460da8c46380
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 17 11:28:50 2020 +0200

    Speed up (decrease duration) of allocation animation of live windows at default theme.

commit cc0700ae028111df0a966c588e62ec52d787d8a6
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 17 11:26:36 2020 +0200

    Seems that I completed my "more-than-one-year-of-headache" mission no. Animation for move and/or resize (via allocation) should work now. Note to me: Maybe the layout manager need some love now to respect fixed positions at least.

commit 3faeb6de63b7167c97f67d2134f1d99b0414f013
Author: Andre Miranda <andreldm@xfce.org>
Date:   Thu Jun 25 19:26:34 2020 -0300

    Remove po files not present in Transifex

commit 426fb26500273ed4f72e637cd4500973feaaae48
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Mon May 18 12:11:16 2020 +0200

    Add basic GitLab pipeline

commit 25bc0db921860f14d46b5ccb50a3c33d4d950037
Author: Romain Bouvier <skunnyk@alteroot.org>
Date:   Mon May 18 10:04:40 2020 +0200

    Fix make distcheck
    
    - Now we can enable CI for the project !

commit eeae0cbad6f87b94de75dd277c2fd44306b9e70a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 13 07:42:40 2020 +0200

    Yepp again I forgot to update the year ;)

commit ef72029dc3aa1c94bd00efb80075d73d99424df5
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 13 07:40:11 2020 +0200

    Following main Xfce project by switching to "foreign" mode for automake
    
    - This way, we don't need to provide a README file, now that we start to
      switch to README.md for markdown readme on gitlab
    - "[..] differences between the gnu and foreign flavours is
      that the former requires the presence of a number of files in the
    top-level of the projects": https://autotools.io/automake/options.html
    - It also stop warning when using GNU make syntax, but we already
      mandate gnu make, so it's not a problem

commit 2c1d467a511e1ff635f71667b0ed02ad83d9c781
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 7 08:31:43 2020 +0200

    Added dummy example search provider plugin. It's main purpose is to provide a skeleton for creating new search provider plugins.

commit f20aa9742a3c0effbbffb5922a705afd428f05c5
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 6 12:28:26 2020 +0200

    Replace returning valid but empty animation in xfdashboard_theme_animation_create() with NULL pointer

commit 04c149e68df56cf576285f118b020a5b490a3040
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 6 12:16:48 2020 +0200

    Adding support to animate actor when it will be shown or hidden

commit ba4ebddda5031c1683c6eddef8fa28435b67c46d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 25 08:12:00 2020 +0100

    Refactor internal code to add and remove animations at actors to make them commonly usable.

commit 7cd6b31daf608dba73d06a713e3606069dc94640
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 24 06:58:47 2020 +0100

    Adding support to animate actor when it was shown for the first time

commit b21788cda48ffe0f4932caa7d41c30af7a9fa470
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Mar 15 16:48:47 2020 +0100

    Fix typo

commit 5bdb0022a7420322e586c52cefe4e2060860cfba
Author: DanielChabrowski <danchabrowski@gmail.com>
Date:   Sat Mar 14 19:30:45 2020 +0100

    Fix compilation - undeclared self

commit ee2c3b3bfadfa6bbd328ecee4aced1ad49446df4
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 10 09:51:27 2020 +0100

    Silence critical warnings when requsting a desktop file for a non-desktop ID but add debug messages.

commit b55c16fe0e5eab207f449911a91078fbca78ab1b
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 4 10:35:40 2020 +0100

    Free list of animation when actor is disposed (remaining TODO ;) )

commit 232b866b6a3aff2f44ae6f3b070967a8161a16c3
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 31 15:46:47 2020 +0100

    Adding support to animate actor when a class or a pseudo-class was added or removed.

commit 9c8a56389fcdec0b26436734c3103910d1fb4d22
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 20 13:51:05 2020 +0100

    Add signals to interface XfdashboardStylable for adding and removing classes and pseudo-classes

commit a675c2d1ce75e0d2cf7e90acbf098b9f37143e50
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 13 12:35:04 2020 +0100

    I18n: New translations (ie) and updated translations (fr)

commit b1350679c35f9513650fe6f2c4c7f2b4965cfe99
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 13 12:28:17 2020 +0100

    Add help button to xfdashboard-settings standalone dialog (not plugged into xfce4-settings-manager). Fixes bug #16332.

commit d3d1912d59a70e58c4bca18ca96bc4dea4c5fae3
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 13 11:58:33 2020 +0100

    Support help button in xfce4-settings-manager. One fix for bug #16332

commit f5ab2716b0f80da6efdc23c4e572fa0563471726
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Dec 3 09:50:53 2019 +0100

    Post-release version bump to 0.7.8

commit 5383d2059c58db12b7170b00ca1573352ec21fae
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Dec 3 09:20:34 2019 +0100

    Bump version to 0.7.7

commit ad4630e1fd00029dba57dbc6887883c4e7874a24
Author: Kevin Bowen <kevin.bowen@gmail.com>
Date:   Fri Nov 29 07:53:14 2019 -0800

    Update URLs from goodies.x.o to docs.x.o

commit 6a6178126159a50556e1db1aefb9a6eadca1984b
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Dec 2 10:56:57 2019 +0100

    Fixed packing missing animation.xml file in themes (16230, GH#184)

commit de9960dbf6c37147f8b433c687f8fbe61ed70764
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Dec 2 10:37:02 2019 +0100

    I18n: New translations (gl, ru, ru_RU)

commit cb8660a32ff5a914618d869f18e44e504432558f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 29 12:43:47 2019 +0100

    Post-release version bump to 0.7.7

commit 6b9cee9313868cfd9723fb31bd1369ee7f935922
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 29 12:33:08 2019 +0100

    Bump version to 0.7.6

commit 6d29d10f82fdcb091f9a37e6cbbdac0c256f918f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 29 12:31:59 2019 +0100

    Update AppData

commit 2b43efd6d91874da6b174693f96eff3adb91f9fc
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 29 12:19:04 2019 +0100

    I18n: Updated translations (kk, ja, da, ca, lt, fr, sr, he, el, es, de, it_IT, pl, tr)

commit 7ad2098817378c1435bf5ab33d52ca9c6c17d951
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 19 12:11:46 2019 +0100

    Correct sender in animation.xml, copy animation XML file to all themes and enable animations

commit 22b53df22b0b07b68379883fe7b0dc181ab7036b
Merge: 2555e50 054f0ee
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 19 11:48:37 2019 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 054f0eeed0520a6319a9ed049eab7ae25c4c79af
Merge: 6b649f5 eab8eec
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 15 14:13:14 2019 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 6b649f55f995c9ef3fff56f9ff26b490a9c120af
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 15 14:12:38 2019 +0100

    Complete animation XML parser and create animation XML file for default theme (xfdashboard)

commit 2555e50cfd5e2823db0d8ab9e1993c350c4cc102
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 5 12:58:35 2019 +0100

    Fix code comments

commit eab8eecc8a54c66938f15e9932adf260acd0a36c
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 5 12:02:01 2019 +0100

    Add settings option to allow user to enable or disable animations at all

commit a37944e150ee0f1aa7c7d8d062bc12b3b2a62850
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 5 11:40:55 2019 +0100

    Allow user to decide if animations should be enabled at all via Xfconf settings

commit 0fa7008e0e8c7485347135fdd6b037561ef31937
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 23 18:45:42 2019 +0200

    Add hard-coded animation for expand and collapse of XfdashboardCollapse

commit 62e05fa4fe66c1567a4e5a9a8284b59616f1fb12
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 28 10:41:22 2019 +0200

    Fix "implicit-fallthrough" compiler warnings in libxfdashboard/click-action.c

commit 27e3a7cc82ceba90c25862cd5a63bf1dfad6355b
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 15:23:10 2019 +0200

    Raise minimum version of Glib to 2.38 for replacements of deprecated g_type_class_add_private() function

commit ce312b202dad48407277a17473a6f2627b1cc3d4
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 15:18:48 2019 +0200

    Fix runtime warning "garcon_menu_directory_equal: assertion 'GARCON_IS_MENU_DIRECTORY (other)' failed" in function _xfdashboard_applications_menu_model_find_similar_menu at libxfdashboard/applications-menu-model.c

commit 8c90fcdbc048a8a692ab89db75fde8deea8c2325
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 15:11:11 2019 +0200

    XfdashboardActor: update for g_type_class_add_private() deprecation and silence compiler warning at libxfdashboard/actor.c

commit 063a27ac17f08449c548432f2d1660895d400604
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 14:37:12 2019 +0200

    Silence compiler warning at libxfdashboard/stage.c

commit a1e59c117533f7818ebd02def2366dda95e0baf2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 14:32:43 2019 +0200

    settings: update for g_type_class_add_private() deprecation

commit 7cade62603e2981fc9bde05b5b7fd0d34f5302f2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 14:28:21 2019 +0200

    plugins: update for g_type_class_add_private() deprecation

commit 3e610bd2a421f78e6f73c16e48193f1408f6c24f
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 13:50:32 2019 +0200

    libxfdashboard: update for g_type_class_add_private() deprecation

commit 6454eff2aa7f9b55f56c7b058e9a727e5e5933c9
Merge: 7add693 c911f32
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 08:57:18 2019 +0200

    Merge branch 'master' of github.com:gmc-holle/xfdashboard

commit 7add6935a002b3efbee4c2e00f23f805dea06950
Merge: dfba993 05defe0
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 21 08:44:40 2019 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 05defe0300813901d1f484e5ee1a48b4a0b3a55b
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 20 14:10:34 2019 +0200

    Yes, it is 2019 ... at least since nearly eight months ;)

commit c911f32221e49d96396b897dc9723e94a0b3527e
Merge: 61676fd 934ebbc
Author: gmc-holle <nomad@froevel.de>
Date:   Thu May 2 13:48:11 2019 +0200

    Merge pull request #180 from damufo/master
    
    Update search-manager.c

commit 934ebbc77e0e63fc5fe8e4fe2c48ea38eb5db307
Author: Daniel Muñiz Fontoira <dani@damufo.com>
Date:   Wed May 1 23:26:11 2019 +0200

    Update search-manager.c
    
    Spell fix

commit dfba9936e9c5ebc0a37da27b4c64437d6d5db8ed
Merge: 1d97cd3 61676fd
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Apr 29 13:20:45 2019 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 61676fd951baa8b3b5829b91207e7b4684c90b72
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 26 15:03:47 2018 +0100

    Add an invalid desktop file for a desktop ID to application database to prevent that a valid desktop file for the same desktop ID will be found at path of lower prioritory which will then be store in the database as no entry exists at that point of time. The first entry found - valid or invalid - has the highest priority. Later all invalid desktop IDs in the application database are removed before populated.
    
    Should fix the expected behaviour at GH #169

commit 1d97cd3377a703853a53c403684bc567bf383b88
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 14 12:46:56 2018 +0200

    I18n: Updated translations (tr)
    
    Besides french the second 100% completed translation yet :)

commit 9f6a2d283d2967f0a07f763fdb54b90777b69cb9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 14 12:46:56 2018 +0200

    I18n: Updated translations (tr)
    
    First 100% completed translation :)

commit a7851d82ec89b3cd49952c6022813bbe6b8b0bc9
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 8 12:35:19 2018 +0200

    Post-release version bump to 0.7.6

commit 42291830e32441591bf1ee9055c8f91e37fa8fbe
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 8 12:34:09 2018 +0200

    Bump version to 0.7.5

commit 1940b1a5ea2c00898ef74ef2d6df75debaed86e8
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 7 10:27:46 2018 +0200

    Add missing POTFILES files and fix distcheck warning for automake (I believe it affects version 1.15+)

commit a92f3f30f80c3430dab8c33732b86b73846b2ebc
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 7 08:01:40 2018 +0200

    Fix warning when old and/or new monitor in signal handler is NULL at windows view

commit 7ac04e13ac3b698d60998e0725e00c4d0e0f060f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 7 07:55:31 2018 +0200

    Fix warning in "hot-corner" plugin when window tracker returns NULL for active window

commit 0c506e79e000d3a5d9a7c5c0a96fb53b47feefb8
Merge: 0b531cf 35cbe7d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 1 06:30:18 2018 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 0b531cfdbdbc7ea016290cf71a94561f06707d62
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Aug 1 06:29:41 2018 +0200

    I18n: Updated translations (tr)

commit 35cbe7df8aca834bea546d5e12c71568c6d4900d
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jul 26 15:17:05 2018 +0200

    Fix handling signal "workspace-changed" for windows

commit 51715621ccb230669fe38d50ac03b732880508e1
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jul 13 07:24:38 2018 +0200

    Fix serveral signal signatures (closures, marshal, signal handlers/callbacks) for XfdashboardWindowTrackerWindow and its derived sub-classes (e.g. XfdashboardWindowTrackerWindowX11).
    
    Another fix for issue GH #149

commit 3d5680d810044e310f631813953cfd4f6350df58
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 28 06:58:25 2018 +0200

    I18n: Updated translations (de)

commit ed3770703ea9c7b7609b090e6b08a10e78c6b9ec
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 28 06:57:00 2018 +0200

    Add debug messages to XfdashboardLiveWorkspace and its decision if a window is visible or not

commit 0a1fe71d54d443a272af410bfca3748d9b089e33
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 26 19:09:07 2018 +0200

    Adjust XfdashboardLiveWindowSimple to make use of new signal "closed" for windows. Also added new property "destroy-on-close" to XfdashboardLiveWindowSimple which is set to TRUE by default. If this property is set to TRUE the actor will be automatically destroyed when the window was closed.
    
    Could (hopefully) fix issue GH #149

commit 84e5d8587bcd2c5b8643d2873a7e0364039b11f1
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 26 16:22:25 2018 +0200

    Typo fixes:
    
    enviroment → environment
    criterias → criteria
    colum → column
    
    Thanks to Unit 193 :)

commit 1c22ad3fc0d763c55be9259bbcbe494bd684ea06
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 26 15:37:55 2018 +0200

    Adjust stage to make use of new signal "closed" for windows.

commit 85d4e6c02f91bdd67d365ec27c7a840fc5d48d66
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 26 07:45:54 2018 +0200

    Implement new signal "closed" at window interface XfdashboardWindowTrackerWindow and implement a default signal handler at window manager interface XfdashboardWindowTracker also which emits the new windows' "closed" signal and will be inherited by all backend by default.

commit cbed0b6e6ac8540ef290a3367a8f6e81850b342c
Merge: 032ac3a 13ecc64
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 18 11:18:20 2018 +0200

    Merge branch 'master' of github.com:gmc-holle/xfdashboard

commit 032ac3a37fefaa3b95ecf624996bf6048a02cd65
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 18 11:16:50 2018 +0200

    Do not create application button for desktop file not found.

commit 92f8511ef80a32455245d3d20fc9cd95fda7023b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 18 11:06:36 2018 +0200

    Add signal 'style-revalidated' to interface XfdashboardStylable
    
    This signal is emitted when the style information for a XfdashboardStylable derived object was invalidated and the new style information was calculated and applied. This signal is mostly useful for stylable (inheriting XfdashboardStylable interface) non-actor (no sub-class of #XfdashboardActor) objects to also invalidate their style information and to get them recalculated and applied if they depend on the stylable object which emitted the signal. Connected XfdashboardDynamicTableLayout layout manager to this signal.
    
    This commit fixes issue GH #168

commit 9c352b2d269862452f26496470455c637c5867fd
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 18 08:44:49 2018 +0200

    Make XfdashboardDynamicTableLayout stylable and add a new (stylable) property "fixed-columns" to disable dynamic allocation of columns depending on largest width of a visible child and enforce a fixed number of columns. Setting this property to 0 (default) will disable this feature.
    
    This commit addresses issue GH #168

commit 13ecc6455bf018b0cb63289052021a18220fb5c5
Merge: c332913 2710e40
Author: gmc-holle <nomad@froevel.de>
Date:   Sat May 5 15:18:56 2018 +0200

    Merge pull request #170 from gsantner/gsantner_master
    
    Add blue theme screenshot

commit 2710e40c6f47fc26dfacf44abf88f0bfa261fce3
Author: Gregor Santner <gsantner@mailbox.org>
Date:   Fri May 4 18:17:21 2018 +0200

    Add blue theme screenshot
    
    * fixes #162

commit c332913e59442114925c6004e2ce97201bcf0d2f
Merge: b712d58 61059de
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 4 10:05:48 2018 +0200

    Merge github.com:gmc-holle/xfdashboard

commit b712d58692b9dc261a58991a0585dd5343e57d86
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 4 10:04:14 2018 +0200

    Fix overriding a binding in hash table as g_hash_table_insert preserves the already stored key and frees the passed one but g_hash_table_replace will free the already stored key and use the passed key instead.
    
    This commit addresses issue GH #167

commit 518691b1472640b0fa18de776b8bc86795e3c341
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 4 09:42:58 2018 +0200

    Changed loading key bindings to one-or-nothing to incremental loading.
    
    The default behaviour how bindings are loaded has been changed. Previsouly it tried to the first bindings configuration file from these location (in this order): The full path defined at environment variable XFDASHBOARD_BINDINGS_POOL_FILE (if debug mode was enable at configure script), the user's configuration folder (usually $HOME/.config/xfdashboard) and at last the system-wide folder. Now it tries to laod the system-wide one first, then the one at user's configuration folder and merges all bindings loaded from there to the one already loaded. At last it check if the environment variable is set (no need for debug mode anymore) and loads the bindings from this file and merges them.
    
    This commit addresses issue GH #167

commit 61059defdcd4312232351da266702dab0b37a341
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 4 09:42:58 2018 +0200

    Changed loading key bindings to one-or-nothing to incremental loading.
    
    The default behaviour how bindings are loaded has been changed. Previsouly it tried to the first bindings configuration file from these location (in this order): The full path defined at environment variable XFDASHBOARD_BINDINGS_POOL_FILE (if debug mode was enable at configure script), the user's configuration folder (usually $HOME/.config/xfdashboard) and at last the system-wide folder. Now it tries to laod the system-wide one first, then the one at user's configuration folder and merges all bindings loaded from there to the one already loaded. At last it check if the environment variable is set (no need for debug mode anymore) and loads the bindings from this file and merges them.
    
    This commit addresses issue GH #164

commit 06be04a59426aa26baae851e16630585a4e73af0
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 27 06:40:32 2018 +0200

    Fix typo

commit d8e717765174d05e3be66e1f4724f33387024ecc
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 27 06:38:23 2018 +0200

    Add property to search result container items in icon view mode to get the icon also displayed as in list mode.

commit fad37c87c85985fa5f42a115446f7e96472ef77b
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 26 08:07:10 2018 +0200

    Fix indention

commit 0ee69571f929b44430ba44fd347f6444c8636333
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 9 10:19:37 2018 +0100

    Remove debug messages

commit 11886db92b89f2e34adc18293e46eeb9d2d2ce4f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 9 10:16:41 2018 +0100

    Hardening creation of singleton except window tracker related ones as they are too dynamic.

commit ab61859bb14c7eb7b71125546dfc1c447aba9f46
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 6 16:37:35 2018 +0100

    Fix signal signature (closure) for signal "actor-created" at XfdashboardStage.
    
    This commit fixes for issue GH #165

commit 2461f52972d301b6b20a9272d056518265d13ae3
Merge: 880c74a 5c1ea09
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 24 07:12:27 2017 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 880c74ae8a8a6f11731f30e8daa77eeadd5a2720
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Nov 24 07:10:10 2017 +0100

    Fix translatable string
    
    Fixes issue GH #163

commit 5c1ea09e09d087225703abede8f01f9e3f53c2ca
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Nov 23 06:29:55 2017 +0100

    Fix typo

commit aef30c8f92ba77651c93c60b4c6af0211cd4fc26
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 21 17:35:08 2017 +0100

    Fix typo

commit a5dc96881907ed6c96acd5c78a0fad80675f3771
Merge: cfddbc5 553b28a
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 21 14:08:27 2017 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit cfddbc5d96c91f771afd150d74b2814e6ae10869
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 21 14:01:31 2017 +0100

    Prevent showing "show X more results..." text in button when showing all results was requested regardless if number of results exceed a calculated maximum.
    
    Hopefully fixes issue GH #152

commit 553b28af33e9d042de7212164378796f88ef4fe3
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Nov 13 07:37:26 2017 +0100

    I18n: Updated translations (tr,sr)

commit 5d88f0556f500554ccf500bd8fb7bbaa2cf9932d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Nov 7 17:43:25 2017 +0100

    Support keywords in applications search provider
    
    This commit fixes issue GH #159

commit c687cfc42fc59a2e46cad9658a9f7e289655f3e5
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Nov 2 08:40:40 2017 +0100

    Only load actions and keywords on first access
    
    To reduce I/O when secondary source is used only load actions and keywords on first access and not at start-up or each reload of menu item

commit 68d63b2d024d7ae47e12cdb582d3e05a3f548dd4
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 27 11:51:55 2017 +0200

    Fix escaping text before setting it at label

commit 276205099956c4e4ba9e7728c8d3107dc8057cc6
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 27 11:24:14 2017 +0200

    Remove trailing separator because no other menu items will follow - never.
    
    This commit addresses issue GH #160

commit dbdc57dcc0c8dac6f433b8c6b91f7272a6fb5358
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 27 11:21:56 2017 +0200

    Add pop-up menu to menu items in result actors of application search provider in search view
    
    The pop-up menus used at application buttons (result actors of application seaarch provider) in search view is mostly the same as used in quicklaunch, except that the menu items to add or remove the application from quicklaunch are not included.
    
    This commit addresses issue GH #160

commit d8fb82a62c7681300f2de3cdbb3d3f8d01df1704
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 27 11:03:18 2017 +0200

    Add pop-up menu to menu items in applications view
    
    The pop-up menus used at application buttons in applications view is mostly the same as used in quicklaunch, except that the menu items to add or remove the application from quicklaunch are not included.
    
    This commit addresses issue GH #160

commit 100cb33edb488dcb8bfd89d84ca644265e0f7403
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 27 10:16:11 2017 +0200

    Split out pop-up menu setup functions from XfdashboardQuicklaunch to XfdashboardApplicationButton to make these functions reusable at other actor classes.
    
    This commit addresses issue GH #160

commit cc5fb119af0e5cfafea8d6d50b7f84ee1913cfef
Merge: 95cfd98 bfa435d
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 26 08:11:48 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 95cfd982cce89b7e3a380d6b21495e48aaef5408
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 26 08:09:52 2017 +0200

    Cancel active pop-up menu when application was suspended
    
    An active pop-up menu did not get notified when a daemonized instance was suspended. The result was that if the application resumed, the pop-up menu was still active. But that is not expected by the user. So cancel pop-up menu now when application suspends.
    
    This commit addresses issue GH #158

commit bfa435d421946807c030690d9ffbb46a0526bcf9
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 25 16:18:23 2017 +0200

    I18n: Updated translations (tr)

commit 408be5e5d59453fe41e91c45973cc0808f532480
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 25 10:41:50 2017 +0200

    Add support for keywords in desktop entry
    
    This commit addresses issue GH #159

commit 75bed1592fbbb0cd0fabd11521c74e76a53713b8
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 25 10:15:57 2017 +0200

    Implement fallback code path to get application actions of a desktop entry
    
    Garcon prior to version 0.6.0 does not provide accessor function for application actions of a desktop entry and the first version providing these function returns the action in an unpredictable order but not the order as listed in "Action" keyword of desktop entry. So we need to load the secondary source and grab them ourselve.
    
    The secondary source in XfdashboardDesktopAppInfo is called so although it is the same file as used for GarconMenuItem. But it is not the same source because the file is loaded via a GKeyFile object to get access to entries not provided by garcon or implemented in an unusable way for xfdashboard.
    
    This commit addresses issue GH #158

commit 42d4d0567b5bb5e28f6ba353fcb6ed76cfd136eb
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 24 18:27:06 2017 +0200

    Add simple '--version' command-line parameter to determine the version of xfdashboard running.
    
    * If this option is used and no instance is running, show version and quit
    * If this option is used and an instance is running (usually the daemon) then show version of xfdashboard executed with this option is the terminal where it is executed and the daemon is show in the terminal (or in ~/.xsession-errors) where the daemon is runnning
    
    It is really a very simple version requesting option.

commit bc6cee87160f546ea8281d9f342414c61753d599
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 24 17:53:48 2017 +0200

    Quit (or suspend) application when an application action in pop-up menu was selected.
    
    This commit addresses issue GH #158

commit d89727410c8de8456c2723e9bb730562fa033e65
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 24 17:49:31 2017 +0200

    Prevent background image layer to be deleted when workspace is changed at XfdashboardLiveWorkspace and show background image layer when desktop window can be found when changing background image type to desktop.
    
    This commit should fix issue GH #148

commit 58e2c25e06ddc5e67bd6da922145cd256bcaa429
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Oct 23 12:23:18 2017 +0200

    Fix function arguments for pop-up menu item callbacks in XfdashboardQuicklaunch

commit 15b5708e57cf54fa19fbc980ad24185f34031711
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Oct 23 12:17:57 2017 +0200

    Implemented actions into pop-up menu of application buttons at quicklaunch
    
    This commit finally closes issue GH #158

commit f89e417b417c4f37b837c688322a8ec17491a1f6
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Oct 23 09:25:18 2017 +0200

    Remove wrong documentation block as this file is not documented at all yet

commit 403bb4b03dfa1bc0584c86dbe0339e6a8c433242
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Oct 23 07:38:08 2017 +0200

    Revert commit 1b02280bb6999d3c68f8fdaa25a1cde5e428ec0b as it renders pop-up menu at application buttons in quicklaunch unreachable.
    
    This commit moved pop-up menus being shown only on left-clicks (and touchscreen taps) instead of right clicks and the left click is first handled by application button activation event handler, usually starting the application and quitting xfdashboard. So pop-up menus are never reached.
    
    Reverting this commit turns on right-clicks again.

commit f7e9436237c95ce7d0ccc49ad2ce05b9f2029b9c
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 20 09:47:11 2017 +0200

    Fix typo in API documentation

commit 2784f55276608deadbdcb9145bebcabaf13a50f5
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 20 09:37:22 2017 +0200

    On reload of a desktop entry (XfdashboardDesktopAppInfo) also update path to binary executable file of the application

commit 972389e2ef4116ac8c01cb8a2dd721b981ddf1a9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 20 09:32:41 2017 +0200

    Load application actions in XfdashboardDesktopAppInfo
    
    This commit addresses issue GH #158

commit f279ee6ac0e451920f76daaffd0f1d8de7f0d065
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Oct 20 07:13:50 2017 +0200

    Add new informational object XfdashboardDesktopAppInfoAction containing information about a desktop entry's actions.
    
    This commit addresses issue GH #158

commit ee9d672442c7cc4eca485542c8353f53dcab8efa
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 19 08:40:17 2017 +0200

    Fix typo in API documentation

commit 78c1b3d9c1bb3dce9e279e7f04a92f6257e748af
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 17 14:26:13 2017 +0200

    Add correct marshaler signature to marshal.list and usage of closure in XfdashboardSearchResultContainer::item-clicked as variants have their own type for generation by glib-genmarshal. Declaring a variant as object may cause closure assertion at some systems and item-clicked signals are not emitted anymore which then cause problems in activation in search results.

commit 211b3639e468acc97a435374e9fff3b6e519aba4
Merge: b04152d 4ca56f5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 10 09:06:52 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit b04152d2d4df0852cf557e7d069570b4e22a6ca3
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 10 09:06:10 2017 +0200

    I18n: Updated translations (lt, fr, es, de, ca, el, sr, he, tr, it_IT, pl) and new translations (ja)

commit 4ca56f59dd47bbea6a9c6c351ce0d576206348dd
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Oct 5 10:55:06 2017 +0200

    Fix function to lookup X11 window from GDK window for a ClutterStage in GDK backend
    
    When xfdashboard is run in daemon mode the stage window will be created on first visible state. That means that looking up GDK window for a stage will return NULL at start-up until the stage is shown for the very first time. When iterating through the stages and determining GDK windows we need to respect this, otherwise xfdashboard crashes in daemon mode at start-up when resolving a NULL pointer of GDK window to a X11 window ID (XID).

commit 3b8b8c26e60234a9ad1b1659a733a187842ca030
Merge: dc60c81 7860d9e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 4 10:29:21 2017 +0200

    Merge branch 'master' of github.com:gmc-holle/xfdashboard

commit dc60c81a8d546be4a1711090c26f2a99750907d2
Merge: 8973b5a a4564d3
Author: gmc-holle <nomad@froevel.de>
Date:   Wed Oct 4 10:23:30 2017 +0200

    Merge pull request #157 from TheZoq2/master
    
    Make xfdashboard touchscreen-aware.
    
    Thanks to TheZoq2 for his work :)
    
    Fixes issue GH #157

commit 7860d9ec38f61af395dc2087452c1e85f9966d75
Merge: 8973b5a a4564d3
Author: gmc-holle <nomad@froevel.de>
Date:   Wed Oct 4 10:23:30 2017 +0200

    Merge pull request #157 from TheZoq2/master
    
    Make xfdashboard touchscreen-aware.
    
    Thanks to TheToq2 for his work :)
    
    Fixes issue GH #157

commit a4564d3291e5e67d86c990570de9348aad28b772
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Wed Oct 4 09:28:34 2017 +0200

    Rename touch utility function and add return value to documentation

commit 64c2d0a2abf505840e41f2370c926787b3517ddb
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 16:46:12 2017 +0200

    Use tabs instead of spaces in popup menu item button

commit d08dc18dfc86dc9e471d63d99e30b92860a1130b
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 16:45:37 2017 +0200

    Correct usage of tabs instead of spaces for indentation

commit 4c4d42ff3e51a5478355f639cf1e43ee3d2e21f1
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 16:42:19 2017 +0200

    Add utility function for checking if a click action was a touch or a left click

commit 1b8d11a9dee9c7b762b47e2a8beb1b1e01df5090
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 15:55:17 2017 +0200

    add touch handling to popup-menu

commit 1b02280bb6999d3c68f8fdaa25a1cde5e428ec0b
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 15:52:52 2017 +0200

    Add touch handling to quicklaunch

commit 6473ccb132b6623e579e7ae1b1cf3f2091bdcb80
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 15:30:28 2017 +0200

    Add touch handling to buttons

commit 6d84a1a8ac7dda40a3389de35708f02d9b4cc8f2
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Tue Oct 3 15:19:32 2017 +0200

    Revert "Allow clicking buttons on a touch screen" in order to implement
    it outside ClickAction
    
    This reverts commit 3b82a21980bd674175fae78aede158e92e2723d6.

commit 3b82a21980bd674175fae78aede158e92e2723d6
Author: TheZoq2 <frans.skarman@gmail.com>
Date:   Mon Oct 2 17:05:41 2017 +0200

    Allow clicking buttons on a touch screen

commit 8973b5aa68ad1fea1a47f93209ef5e0880deb4c9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 19 08:09:34 2017 +0200

    Update README for changes in requirements

commit a0d3640adc3d224b6428e368e1a53bac556040ea
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 19 07:48:38 2017 +0200

    Post-release version bump to 0.7.5

commit 3e8032db20b49e161716e79eb90d5d54fa7c22fb
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 19 07:45:11 2017 +0200

    Bump version to 0.7.4

commit 85080c9c9f6c40ea55d60eecae047e9a91ba5d4b
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 19 06:53:02 2017 +0200

    Update AppData

commit 62701e9054c5d2bd535a83a64bdd941f25fd8536
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 19 06:45:21 2017 +0200

    I18n: Updated translations tr

commit 1fb678329b4aeff5e8cabb7458eefa7e3670a0ca
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Sep 18 16:15:07 2017 +0200

    Fix building list of libraries depending on when checking for Clutter version and its supported backend
    
    Fixes bug #13860

commit 2bbd63888036782f5fb84519eb1f4d7f643391ed
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Sep 15 10:57:58 2017 +0200

    Add compile-time checked support for xfconf version 4.12.x (called legacy here) and xfconf 4.13.x.
    
    When using newer xfconf 4.13.x string arrays could not be retrieved anymore via a GPtrArray provided by dbus-glib but native GPtrArray gtype can be used. That means in addition that - when using xfconf 4.13.x - we can get rid of dbus-glib. So make dbus-glib optional and check for it only if xfconf 4.12.x was found and used in configure script
    
    Thanks to Olivier Duchateau for the initial patch.
    
    Fixes bug #13824

commit 003f345967c3b17004213a3289e2b68339d6221b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Sep 15 10:45:35 2017 +0200

    Additional check for Clutter backend
    
    Added additional check for Clutter backends, i.e. GDK backend. These check are needed because at least FreeBSD (and maybe NetBSD) do not have this Clutter backend. These checks will automatically recognize if this backend is available and will enable support for it in xfdashboard.
    
    Thanks to Olivier Duchateau for the initial patch.
    
    Fixes bug #13766

commit 0c0025ccc6c81a558d0acf173e0f9f368ef24ab1
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Sep 13 18:04:45 2017 +0200

    I'm even too stupid to use "tx" - the transifex tool. So I did only update the translations already includes in "po" subdir but I did not fetch any new translation available at transifex.
    
    So a note to myself: Instead of "tx pull" (like "git pull") I have to use "tx pull -a" to fetch also new translations.
    
    Fixes issue GH #155

commit 021bf6b1c2a90805f60c3dff0bfde07b7b4eb551
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 31 07:44:23 2017 +0200

    Fix a compile issue at x11/window-tracker-x11.c when GTK+ prior to version 3.22 is installed.
    
    One access to priv->needScreenSizeUpdate was not wrapped into #ifdef to handle the code path for GTK+ < 3.22
    
    This commit fixes GH #153

commit d1a8f3cdc2c8e268b0ff1765b4a0f91ea2294e4b
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 10 09:38:05 2017 +0200

    Post-release version bump to 0.7.4

commit c330c5ea16d4c77a0134a350e3d91d6340c6d5f6
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jul 7 08:36:08 2017 +0200

    Bump to version 0.7.3

commit 3c0d4c2702994ee879753b57674ec6cdf6fd207b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 16 10:48:17 2017 +0200

    Improve handling of requesting a specific backend
    
    Enhancement for issue GH #129

commit bf0f5730d500e5c9afc81cd421a5a3b2ab0cc954
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 16 09:40:25 2017 +0200

    Update single header inclusion file libxfdashboard.h to include all neccessary and new header files
    
    Addresses issue GH #129

commit 7a62c8afa95cb9eda2ee53cbdba95d734d46ed6f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 16 09:35:28 2017 +0200

    Fix code layout
    
    Addresses issue GH #129

commit c88b5ffb5d72fc454b96027b8c30e723ab65b679
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 16 09:18:16 2017 +0200

    Select window tracker backend based on Clutter backend in use.
    
    Enhancement for issue GH #129

commit 2af8d7f7e1a15cfa958e86090660cd8aca32719c
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 14 10:57:12 2017 +0200

    Add missing code to unreference backend in API documentation
    
    Fix for issue GH #129

commit 3eaf5ecc5893f511e4f4ecd69aea96001edba0e7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 14 09:49:15 2017 +0200

    Fix code path for use with GDK backend
    
    Fix for issue GH #129

commit 8ff041cb49b60822e80a9d739c9d9a8d91266b8f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 18:06:46 2017 +0200

    Remove API doc for removed virtual function
    
    Fix for issue GH #129

commit efeb27f754841161060e1b475ec99393b2aea023
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 17:51:09 2017 +0200

    Remove unneeded files for GDK backend
    
    Enhancement for issue GH #129

commit f581aab0e790a6c89002200699aa4369bac04497
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 17:24:50 2017 +0200

    Fix applying correct user-data when connecting signals to stage window in X11 window tracker backend.
    
    Fix for issue GH #129

commit 0b1b99259751dfcc99c7581ee04f944651b0a30e
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 17:06:14 2017 +0200

    Move virtual function get_stage_window() of XfdashboardWindowTrackerWindow to new window tracker backend and redirect moved virtual function to new ones in window tracker backend.
    
    Enhancement for issue GH #129

commit 2a7233dc8e9e75d5196368c62e724fe4d2d0cadc
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 15:35:40 2017 +0200

    Add API documentation for new virtual function of last commit
    
    Fix for issue GH #129

commit d36cf6bbbeb7f163addd8692dfb831ec8792babe
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 12:32:23 2017 +0200

    Move virtual function get_stage() of XfdashboardWindowTrackerWindow to new window tracker backend and redirect moved virtual function to new ones in window tracker backend.
    
    Enhancement for issue GH #129

commit 71a592cec469b42a6d0e2672d87cce0f25346ec4
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 09:36:00 2017 +0200

    Redirect interface functions show_stage() and hide_stage() of XfdashboardWindowTrackerWindow to virtual functions of new window tracker backend interface.
    
    Enhancement for issue GH #129

commit 34c55e2eeea7fb0546068d5da8195ace942dfb21
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 08:30:18 2017 +0200

    Redirect xfdashboard_window_tracker_get_default() to accessor function of new window tracker backend interface.
    
    Enhancement for issue GH #129

commit 39081904ed894c78eb6893c5f5968b064b37d28a
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 08:00:37 2017 +0200

    Fix interface type accessor function at XfdashboardWindowTrackerBackend
    
    Enhancement for issue GH #129

commit d863cede633e18fc55b209dfa4c21b720ff363a9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 07:41:24 2017 +0200

    Now as the window tracker backends for X11 and GDK exists, remove comments to include them in window tracker backend interface.
    
    Further enhancement for issue GH #129

commit 2adf25ead816b302001360ce541a9f5f26add783
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 07:37:54 2017 +0200

    Added GDK (for X11) window tracker backend
    
    Enhancement for issue GH #129

commit 02c921a6a87ed7cc46e35fa12c008c5fb7f31384
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 07:36:41 2017 +0200

    Added X11 window tracker backend
    
    Enhancement for issue GH #129

commit 4eb70f05b132a067bf179f33a2893e97da31a02f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 13 07:33:51 2017 +0200

    Adding window tracker backend interface
    
    Enhancement for issue GH #129

commit 7be223df1fc3378691ee851dc7fcc0de3ea312d7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 7 11:48:45 2017 +0200

    Allow user to override CSS files of theme to apply user's favourites settings.
    
    Changed the way and order how CSS files of themes are loaded:
    
    - First the CSS resources define in theme's theme file (xfdashboard.theme) are loaded
    - Then user's global stylesheet ($HOME/.config/xfdashboard/themes/global.css) is loaded if it exists
    - At last user's theme related stylesheet ($HOME/.config/xfdashboard/themes/user-[THEME_NAME].css) is loaded if it exists
    
    This commit addresses issue GH #152 to make user's changes to one or all themes more convienient.

commit 43e675d75c5857dc2a8b8ba7c773eec4dc3db2ec
Merge: ad53595 1e28628
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 6 12:03:49 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit ad5359538f7001c1a160aa96362f5024d079d8a7
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 6 12:03:11 2017 +0200

    Use generic should_show() function of GAppInfo to determine if a menu item should be shown and remove unneeded functions
    
    Fixes issue GH #151

commit 7d860e93628feff42485206ca40d6671a165128f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 6 11:56:38 2017 +0200

    Use garcon_menu_element_get_visible() in virtual function should_show() of GAppInfo overriden by XfdashboardDesktopAppInfo as Garcon will perform all checks needed to determine if menu item is visible and could be shown, e.g. correct environment, is not hidden, installed at all by checking TryExec keyword etc.
    
    Fixes issue GH #151

commit 1e28628f7d32f4aa3ee28f8ee7b6ef03efbc5036
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 2 10:12:38 2017 +0200

    Implement simple and stupid switch between x11 and new experimental GDK backend. It can be controlled via environment variable XFDASHBOARD_BACKEND which can be set to "x11" or "gdk". If this environment variable is missed the old behaviour (enforcing X11 backend) is used.
    
    Affect enhancement for GH #129

commit 05b4a05268a50e2c8b63d459823f71e578f02d43
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 2 08:36:42 2017 +0200

    The commit 2200acb50cc72545547f1911616a3125b82d3711 to fix issue GH #141 seems to break some clients which worked before. So we try to use both methods the last one implemented as most preferred one and the old behaviour as fallback if getting window width or height is zero with first method.
    
    Hopefully fixes issue GH #149

commit 404d782bc2888135885736a2d5e54097eb38bf40
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 2 08:21:36 2017 +0200

    Added experimental GDK backend
    
    Enhancement for GH #129

commit 6456f050fac55657b43a583e5615fa6374405a27
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 18 09:38:58 2017 +0200

    Do not rely on clutter_x11_has_composite_extension() to check for Composite extension at X server

commit 7b9f1344732ce08c37b061517c63a2f8b1ee0320
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 15 07:36:33 2017 +0200

    Post-release version bump to 0.7.3

commit 0bf9a3b408cf223c6ab85f7b7e57ea30bc9d47c6
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 15 07:34:33 2017 +0200

    Bump to version 0.7.2

commit b0e093ddb8413b70d06bac8d014377f0b4c8c7b8
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 15 07:33:44 2017 +0200

    Updated POTFILES.in

commit 3ac8569f4094caa3264cb738ab65ebc0b0aec14c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 15 07:30:48 2017 +0200

    Updated AppData

commit a9807b421b3e7f6c1e78d7f3c65765765b8a947f
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 15 07:23:57 2017 +0200

    Revert "Revert the reversion "Add workarounds for known window managers having problems with default implementation""
    
    This reverts commit 1b240ff21e31c788c9a74438e2e04621db0f26ce.
    
    The workaround will not work regardless what I try. I do not know if I could blame the X11 backend of Clutter but it is strange that a second call to clutter_actor_show() will never show the stage in fullscreen although the size of the window seems to be correct for fullscreen.
    
    I think other window managers have to wait for a GDK backend at xfdashboard. :(

commit 3944dab757d257b3ad8c7a24f656d4bcbb803d99
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 12 09:33:38 2017 +0200

    Complete documentation annotations for XfdashboardWindowTrackerWindowX11

commit 2d20f1cf2ac44a778569cb6f3f9d9d346ee28501
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 12 09:32:08 2017 +0200

    Complete documentation annotations for XfdashboardWindowTrackerWorkspaceX11

commit 3fe11225a459e5ad523b7937348136c46f9d4ea5
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 12 08:37:51 2017 +0200

    Add annotation for API documentation of XfdashboardWindowTracker

commit 1b240ff21e31c788c9a74438e2e04621db0f26ce
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 12 07:18:07 2017 +0200

    Revert the reversion "Add workarounds for known window managers having problems with default implementation"
    
    This reverts the commits ffb4044c287474e73d77b19e12672b861eb45491 and 33b12877c2d073525cb8c478f7d68f4c0ca77f61
    
    Should now work with commmit 370f1060c201acc4ccb33fc54939594a3e3d65ba

commit 370f1060c201acc4ccb33fc54939594a3e3d65ba
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 12 07:15:16 2017 +0200

    Revert commit 2e676ddf96b378ad758fe2724c9830359529044f and add signal handler which also tracks if the stage window was closed to reconnect the signal handler for "window-opened" to find new stage window. This way the XfdashboardStage object should always know its window regardless if just hidden or destroyed and recreated.

commit 33b12877c2d073525cb8c478f7d68f4c0ca77f61
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 11 17:40:17 2017 +0200

    Revert "Add workarounds for known window managers having problems with default implementation"
    
    This reverts commit ffb4044c287474e73d77b19e12672b861eb45491.
    
    Does not work because the window representing the stage will be destroyed and gets invalid so a second call to *_show_stage() will fail with an assertion about an invalid XfdashboardWindowTrackerWindow object. :(

commit ffb4044c287474e73d77b19e12672b861eb45491
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 11 15:12:38 2017 +0200

    Add workarounds for known window managers having problems with default implementation

commit 2e676ddf96b378ad758fe2724c9830359529044f
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 11 14:41:13 2017 +0200

    Set fullscreen only once at stage when stage object instance is created.

commit c57eee718d15d6ef13a807f10bba784be4ea17f7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 10 16:09:40 2017 +0200

    Instead of window functions which just turn a window into stage window, it should handle it completely from setting it up to showing it. In addition the function to "unmake" a stage window should also hide the window directly. Because of this change in functionality the function were renamed.

commit daffb4f2f00c938421ed94491112f165e5eee549
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 10 15:40:16 2017 +0200

    Turn signal XfdashboardWindowTracker::screen-size-changed into a simple notification signal without additional data

commit c1ec759379d37b099afd8318c4716fd81beb2484
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 10 11:09:05 2017 +0200

    Add signal and access function to get window manager name

commit 80457d3b54a4fbd3292d8a00deecf63aa829f557
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 8 06:43:04 2017 +0200

    The view to switch to on application resume should always be applied, i.e. at start-up in non-daemon mode or on resume (also initial resume) of application in daemon mode. It should also always respect the view specified via --view command-line parameter first and then the configure one in the setting in all cases.

commit be2ac2e02f235f43bdbc68afdc06b5e44bad30fa
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon May 8 06:24:10 2017 +0200

    Fix typo

commit 8e3f8529045376189f9e8453aafd3ee08d7cb20f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 5 08:49:16 2017 +0200

    Allow user to configure if the pre-selected focus (as specified by the used theme) should always be re-selected each time the stage is shown (at application start-up or if application is resumed after it was suspended)
    
    This commit fixes issue GH #144

commit 00f81bbc91f2c396c9c68a5f7064ef4bb189db8d
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 5 07:22:04 2017 +0200

    Missed to also prefix IDs used at settings application at 'switch-to-view-when-resumed' with 'builtin.' as it was introduced with commit 8539ae3b7172e9f1ff8ff20396d3906b7a06da06
    
    This commit fixes issue GH #147

commit 6e15cc20a26c1c114d01d1996ed9a6bf202a4164
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 4 09:04:04 2017 +0200

    Do not allow to daemonize when a temporary new instance of xfdashboard should be spawned (enviroment variable XFDASHBOARD_FORCE_NEW_INSTANCE is set to anything)

commit 796d62017edc74c92e19d61ab0e99d74f4cdd72a
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu May 4 07:54:50 2017 +0200

    Remove window content cache because since XfdashboardWindowTrackerWindow is a real object (and not a pseudo-object sharing the same GType as WnckWindow) we have a "content cache" for each object instance via private variables.

commit ac664362576318d0171a1c9ab34b5541c3222249
Merge: 9295801 eeb02a2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 3 08:20:45 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 9295801e08fb574d291c0dcd1e00e46910b5f305
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 3 07:08:36 2017 +0200

    Do not assume that each XfdashboardWindowTrackerMonitorX11 object instance created is valid and will represent the first monitor connected. Instead assume it is invalid with a negative monitor index and set up as soon as a valid monitor index was set.

commit eeb02a22410c9b9ba7370ae9b43a17cd3a5f171e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 3 07:08:36 2017 +0200

    Do not assume that each XfdashboardWindowTrackerMonitorX11 object instance created is valid and will represent the first monitor connected. Instead assume it is invalid with a negative monitor index and set up as soon as a valid monitor index was set.

commit 5e2a06b337f3c42bd043276dc1611421e8d38c28
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed May 3 07:02:55 2017 +0200

    Fix getting primary state of a monitor when compiling against GTK+/GDK version 3.22 and above. This bug has set the primary state to true for *all* monitors :(

commit 43da9ce3a45785dc848342d19c910888f1d11204
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 2 17:36:53 2017 +0200

    Fix order of newly created window actor at XfdashboardLiveWorkspace by iterating the window stacking order in reversed order to find the index to place new window actor at. This fixes the issue that a moved window from another workspace to a new workspace will not show the window as it will place it above the first window which has an actor at the target XfdashboardLiveWorkspace actor but not above the last window actor as the comment said so it was invisible although the window is above all other windows in real.

commit 6e1f9a9f36d0487aa02af1cc29caee3e90a1a85f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 2 16:55:18 2017 +0200

    Allow and handle dragging window from XfdashboardLiveWorkspace to XfdashboardWindowsView
    
    This commit fixes finally the long-lating issue GH #79

commit c0ef54d3c5e36bc2c591b4e040636e5cb62e2578
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 2 16:42:11 2017 +0200

    Remove action when actor is disposed because adding it does not make any sense ;)

commit 99bdeab12f1a082591ef4e2b757fffb8b2632942
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 2 16:40:59 2017 +0200

    Allow and handle dragging window from XfdashboardLiveWorkspace to XfdashboardWindowsView
    
    This commit is also part of fixing issue GH #79

commit d37e0aa26677054902b39941931d5c04f6faf898
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue May 2 10:47:36 2017 +0200

    Make window at workspaces draggable like windows in windows view
    
    This commit is part of fixing issue GH #79

commit 5932b6e0ae325a604fd635cb438f95f447b52c10
Merge: 43db331 e678d99
Author: gmc-holle <nomad@froevel.de>
Date:   Tue May 2 08:50:04 2017 +0200

    Merge pull request #146 from DanieleDaccurso/DanieleDaccurso-patch-readme-glib2
    
    Fix debian apt-get library name for glib2

commit e678d9940afe73382ad5d374f828583f5f2f45f6
Author: Daniele D'Accurso <daccurda@gmail.com>
Date:   Fri Apr 28 16:12:25 2017 +0200

    Fix debian apt-get library name for glib2

commit 43db3312293055ba4e684990603d054100bf506a
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 28 10:39:54 2017 +0200

    Do not use deprecated GTK+/GDK functions and silence compiler warning when compiling again GTK+ version 3.22 or later

commit 097a6b9af7104bafd2dbefde6fe13b4cf05ee9e0
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 28 08:24:20 2017 +0200

    Use new scoring functions of XfdashboardCssSelector in plugins

commit a1303f2f21723140b4a038108731b07489f4561d
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 28 08:20:34 2017 +0200

    Rename scoring functions in XfdashboardCssSelector (the function names were kept when splitting selector function from XfdashboardThemeCss into XfdashboardCssSelector class)

commit 1787f82e77d3ce853a419a979c3e09a7d306fca1
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 27 09:39:52 2017 +0200

    Implement actions to move focus to any registered focusable actor (focus-move-to).
    
    This is useful at key bindings file to create a keyboard shortcut to focus a specific actor like the quicklaunch: <key code="<Ctrl>-q" source="XfdashboardFocusable" target="XfdashboardQuicklaunch" when="released">focus-move-to</key>
    
    This commit fixes issue GH #145

commit 717fd4f43082426bc7262d2fd01f8261369d84a4
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 25 16:00:57 2017 +0200

    Implement actions to move focus to first focusable actor (focus-move-first) or last one (focus-move-last).
    
    This commit addresses issue GH #144

commit 0c1fa61833a40976170c5caa881e610563a83427
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 21 19:04:15 2017 +0200

    Implement also actions to move selection to next (selection-move-next) or previous (selection-move-previous) one.
    
    This commit addresses isseu GH #144

commit 20920e77061d71ea82dd2ccea03c71b8e4a9f784
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 21 09:42:14 2017 +0200

    Implemented enhancements to layout xml file to specify which actor of the focusable ones should be selected on theme load. The following changes were applied:
    
    - Added a new optional attribute to <focus>, a sub-node of <focusables>, in layout xml files called "selected". This attribute "selected" is a boolean attribute and expects to be set to either "true" or "false". If set to "true" this actor will be selected instead of the search box. If set to "false" it has no impact and handled as this attribute does not exist.
    - The new optional attribute "selected" of <focus> is optional. If not used at all the old behaviour, selecting the search box by default, applies.
    - The new optional attribute "selected" of <focus> should only be used once over all layout xml files. A warning will be printed if it used more than once but the theme will load successfully.
    - Removed unfocuable actor "view-selector" from primary stage interface layout
    - Improved code at XfdashboardStage to use weak references instead of connecting signal which get called when actor is destroyed to set reference pointers to NULL
    - Modified packaged theme to use new theme possibilities
    - Fixed typos
    
    This commit addresses issue GH #144

commit c780ef10476adc7326244f39e08b618eaf67c607
Merge: b957cbd 306930c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 20 20:39:05 2017 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit b957cbd380aa024177db5397e161dbcac08dd1c8
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 20 20:36:47 2017 +0200

    Do not begin traversal at NULL pointer if no root actor was provided and no stage actor could be retrieved.

commit 306930cd8e267be44c97fc74882414a93f3f9e84
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 18 10:30:27 2017 +0200

    Only show notification if a notification box is known where the notification could be shown at

commit 0c1b74b9c2856836dc5ed17a082e94ec9d04a3fe
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 14 18:07:40 2017 +0200

    It seems that newer Glib version do better check marshal parameters and now recognize that I have specified the wrong type of G_TYPE_OBJECT at signal actions for the event parameter. ClutterEvent is a boxed type (G_TYPE_BOXED) and therefore the marshal parameter must be corrected to it.

commit 4a5361d46f6dcf7d0563637d363ebf045a1439e9
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Apr 13 15:16:34 2017 +0200

    Implement missing function to retrieve windows in stacked order at new window tracker for X11 (XfdashboardWindowTrackerX11)
    
    This fixes a visual error at live workspace in the workspace selector because the windows were shown in wrong order (and maybe the desktop window always on top) without a sorted list of windows in stacked order.

commit dfd62458aa274ff394a412b87743415f84c8d5d7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 12 10:57:28 2017 +0200

    Add detection of indefinite recursion while resolving an @-constant in CSS file.
    
    Finally fixes issue GH #143

commit c63d267bac0f412bdaae644c9bb1f874dbf9cf23
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 12 09:19:09 2017 +0200

    Add call depth counter for function resolving CSS @-identifier to detect possible indefinite recursion and stop parsing CSS file because it is handled as an error.
    
    This commit fixes GH #143

commit a3adac4cdb1d66a6ca92d5b21b589fe30777a9c4
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 18:41:10 2017 +0200

    Adjust existing plugins to new window tracker interfaces
    
    Preparation work to support multiple backends is now done. But as before only X11 backend is supported yet.

commit f862004f8601fbf86e9cfbcc262559d7960b13d5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 18:31:47 2017 +0200

    Adjust existing code to new window tracker interfaces

commit 11e927dc7b387cc24fa193b3e84907130508e691
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:55:59 2017 +0200

    Add marshal function for signals 'state-changed' and 'actions-changed' at XfdashboardWindowTracker interface

commit c6d5f32165c6b8de161ea2a9b2fecb1ae6acdfab
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:39:01 2017 +0200

    Ignore .dirstamp files created from autotools

commit 68b91878e23d791929f35b97c5b29add5d450ca5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:37:32 2017 +0200

    Revert usage of singleton in XfdashboardWindowTrackerX11 as access to singleton is not possible and throws compiler error

commit 5d16deb516563006c72c393ed3dc9fb3c25c4234
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:36:48 2017 +0200

    Add sub-directory "x11" with X11 specific window tracker and window content code to build system to get it compiled

commit 54b1d7a5320f2a5268b8f52acd358b8a0e7fa9ff
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:31:08 2017 +0200

    Remove window tracker and window content with new interface classes to support multiple backends like X11, GDK and later maybe wayland. At the moment only X11 is supported as before.

commit db70887e50f7cec64f45ed6a5d6924738f33a625
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 17:25:26 2017 +0200

    Add new X11 specific window tracker and window content classes

commit 137bac53cac4b041717548d7f69aecb7cc43bb46
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Apr 4 12:18:44 2017 +0200

    Remove unneeded marshal functions and clean-up messages printed on application start-up.

commit ffe08a931ecf85a08185bb82decd28135a29f03e
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 28 14:23:06 2017 +0200

    Fix compiler warnings about unused variables

commit d6c48d5ad00c265ff81a2bb26c5a035b76ee4af9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 28 07:32:50 2017 +0200

    Where possible replace NULL in XFDASHBOARD_DEBUG() macro with singleton object

commit 056ec94f0987e00213648078b7200f7efbef2094
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 28 07:24:21 2017 +0200

    Fixed using the correct marshal for signal emission of XfdashboardApplicationDatabase

commit 2200acb50cc72545547f1911616a3125b82d3711
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 23 10:01:06 2017 +0100

    Use new experimental code to determine preferred size of XfdashboardLiveWindowSimple which will ask the window directly for its size and not the window content (XfdashboardWindowContent).
    
    This commit fixes issue GH #141

commit 65b9231b4f83587502537c92c3b6dcefffc74664
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 23 09:28:12 2017 +0100

    Improve application help shown when xfdashboard is launched with "--help" in command-line

commit 6071b997e6ce4d8053c30a9489000e12abb9f76c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 23 09:10:20 2017 +0100

    Experimental new code to determine preferred size of XfdashboardLiveWindowSimple. The new code will not check the size of window content (XfdashboardWindowContent) anymore but ask the window directly for its size.
    
    Experimental new code for issue GH #141

commit 94f19189ddec10e6fe73b7bf6cbc40a6a7cbc5fa
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 22 18:31:45 2017 +0100

    Add fine-grained controllable debug system
    
    If debug is enabled in configure script the user can use the environment variable XFDASHBOARD_DEBUG to enable categories to debug. But also classes like XfdashboardActor can be set in this environment variable to debug a specific class. Classes are case-sensitive and must be in camel-case. You can mix categories and classes in enviroment variable. You can set multiple categories and/or classes to debug by separating them by commas.

commit 2f0d8edc15b957919f40019c7258a9fa2dc7d370
Merge: 9133a6c ef42558
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 16 11:09:13 2017 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 9133a6cebd574c6c496353a4ba95815c59a99305
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 16 10:35:13 2017 +0100

    XfdashboardLabel does not need to be smart anymore when to load images because XfdashboardImageContent is now smart enough to do this job everywhere it is used.

commit 4f4750abfffc68568e3c502a30e80f94b8c5f400
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 16 10:15:41 2017 +0100

    Use new function _xfdashboard_image_content_load() when missing-icon property is changed instead calling a signal handler

commit 21a3debbac28adb39dc4fa7317a79c7dcbb4a59f
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 16 08:54:30 2017 +0100

    Add debug messages about which images are still in cache and not released to XfdashboardImageContent

commit 8e4482b34e8dd73b5b765598bb5b6ba21498faf3
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 16 08:49:40 2017 +0100

    Only load images at XfdashboardImageContent if actor to which this content is attached is mapped.
    
    If it is not mapped defer loading image until the actor is mapped. As the content could be attached to more than one actor the first known actor being mapped will trigger loading the image and disconnecting signal handlers from all other actors.

commit ef425582f326f7529528fc864cd992c2da6495d7
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 6 10:34:49 2017 +0100

    Post-release version bump to 0.7.2

commit 7eb9210267de3943a1d1e27e16398f8bbc570ba1
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 6 10:31:29 2017 +0100

    Bump version to 0.7.1

commit 46df23f06851af4617f04108afa33e950f3ac50d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 6 10:29:47 2017 +0100

    Updated AppData

commit fc943ac88b19b560e5cd52e848fd1b20180403b1
Merge: 7a2f756 111a6cd
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 6 07:08:51 2017 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 111a6cd8c5d9659b511e01dff4c61589b189c810
Merge: f7f4824 19320d4
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 28 11:17:45 2017 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit f7f48246dc25a6b27dd889bd8f76f8b869c0bbfa
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 10 10:35:38 2017 +0100

    Add options in settings to allow or disallow sub-windows in XfdashboardLiveWindow. This is interesting at slower machines as it should increase the performace if lesser window live previews are tracked, displayed and updated.
    
    This commit closes issue GH #132 finally.

commit 7a2f7560ba7fd8994a0ba54f9bc368fa4432e6c9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 21 07:47:23 2017 +0100

    Update POTFILES.in

commit 19320d496d0914319f10cb6f8d03a0ebb3c157cf
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 14 07:03:53 2017 +0100

    Fix warning of scan-build about garbage values at _xfdashboard_label_get_preferred_(width|height), i.e. use of uninitialized variables

commit dec55421ca297fb3c9b857953022843bb645607b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 10 10:35:38 2017 +0100

    Add options in settings to allow or disallow sub-windows in XfdashboardLiveWindow. This is interesting at slower machines as it should increase the performace if lesser window live previews are tracked, displayed and updated.

commit 4e09ec5214daf9c90fcfd81aa565fbfd7e113631
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 7 08:31:06 2017 +0100

    Added missing generation for version.h from version.h.in in Makefile

commit 1d2b06cefa3c48001ff4cfc9b26c1460e137a7a9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 7 08:20:17 2017 +0100

    Wrong Xfconf property used to disable sub-windows as it not part of windows view only but a general setting. So move setting to top-level of xfdashboard's Xfconf channel.

commit 2fed8d26f84433477bdd40f6f359a4a00c9148f6
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 6 18:43:14 2017 +0100

    Fix plugin 'middle-click-window-close' to use new XfdashboardLiveWindowSimple actors to retrieve window to close

commit 134a1ecb4efe8b567a84b93c53261569dd2402cc
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 6 18:40:56 2017 +0100

    Allow user to disable live previews of sub-windows, e.g. for performance reasons. Disabling live previews of sub-windows means to disable them at all regardless what the theme requests.

commit 26733cb572950d6e8d4a14c7cd60588fbe594d31
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 6 12:04:34 2017 +0100

    Add version macros for compile-time version checks. This is useful for plugins.

commit fe179d12a525b8fd0a596b085952f19337330247
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 6 08:00:50 2017 +0100

    Make showing sub-windows at XfdashboardLiveWindow themable

commit af97b4484f9a6058a3f2a061b16c406380f0e3b1
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 3 13:12:50 2017 +0100

    Add support to show sub-windows of main windows at XfdashboardLiveWindow as they are used in windows view (XfdashboardWindowsView).

commit a813174a210b9f6918f237790707f329ec1a7c32
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 2 16:24:20 2017 +0100

    Remove stupid "shortcut" functions xfdashboard_window_tracker_window_is_visible_on_workspace() and xfdashboard_window_tracker_window_is_visible_on_monitor() as they lead to false assumption and it should not harm anyone to call two functions, i.e. xfdashboard_window_tracker_window_is_visible() followed or preceeded by xfdashboard_window_tracker_window_is_on_workspace().

commit 53dcfd77b59eeb4bc71d87c0b4c0632206e75256
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 23 18:42:08 2017 +0100

    Remove functions xfdashboard_live_workspace_get_show_window_content() and xfdashboard_live_workspace_set_show_window_content() from XfdashboardLiveWorkspace because it needed to be themed before via 'show-window-content' property and can now be themed via 'display-type' property of XfdashboardLiveWindowSimple.
    
    Just replace the following CSS:
    
    XfdashboardLiveWorkspace
    {
      show-window-content: <true or false>;
    }
    
    with
    
    XfdashboardLiveWorkspace XfdashboardLiveWindowSimple
    {
      display-type: <icon or live-preview>;
    }

commit 5552bdc0cf37c0dca9b4835d687407ab35d57743
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 23 18:39:24 2017 +0100

    Make XfdashboardLiveWindowSimple themable if a live window preview should be shown or just only the window's icon

commit e5a615da7c2304f01b3716be62127cb66c85fcdc
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 23 10:50:53 2017 +0100

    Make use of new simple live window actor (XfdashboardLiveWindowSimple) at live workspace actor (XfdashboardLiveWorkspace)

commit 38626c0fa6f1b5454f5264146fca77acda1f7198
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 20 10:04:50 2017 +0100

    Move controls, title and icon of XfdashboardLiveWindow into a container, the controls layer to group them and to enforce them all to be the top most actors always.

commit 86727ab4d86f9af52733b799b8eb8909d0d698c9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 20 08:26:04 2017 +0100

    Remove redundant code by deriving XfdashboardLiveWindow from newly created XfdashboardLiveWindowSimple and add controls, title and icon to it

commit 8d6a0f3c50a095765e0cdb8ffdb6a581badc8918
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 20 07:25:41 2017 +0100

    Remove TODO marked code lines

commit d7cc6c2732a8dbb562e7cc07954f2e9843982e33
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 19 11:33:35 2017 +0100

    Add missing header files in libxfdashboard.h

commit 173ec3c77210b3ff2fad3440c1cb7b325e42ab38
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 19 11:30:42 2017 +0100

    Create simpler version of XfdashboardLiveWindow as new class XfdashboardLiveWindowSimple which just shows the preview of a window but without controls or title actors

commit aca83c5e6a737794f1024e22727fc21b665f6ba7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 18 10:11:38 2017 +0100

    Add function to XfdashboardWindowTrackerWindow to get the parent window of a window if there is any.

commit d48ccff055ae9e23944f1256f23b7224c3a02adc
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 17 17:29:36 2017 +0100

    Fix compiler warning about unused variable in XfdashboardPopupMenuItem

commit 14d5fc2abe6217afca76fac3a365989af91eac57
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 17 09:49:58 2017 +0100

    Remove "enabled" property from interface XfdashboardPopupMenuItem and implement functions at actors (implementing this interface) to get/set enable state.

commit 90a6f548859fdafebd92dd8278b5a821253b291d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 17 08:59:25 2017 +0100

    Allow pop-up menu items to be enabled or disabled. At the moment only the item "activation" function checks if the pop-up menu item is enabled before activating it.

commit ebf92e86d9cbe10c70e186eaa0f20d58c4ae5774
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 17 08:27:20 2017 +0100

    Also properties should only be defined once in interfaces

commit f73963b97d1e1fc969bf831cf1e3838f7a108355
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 16 06:59:53 2017 +0100

    Add missing section for API documentation at XfdashboardPopupMenuItemSeparator

commit dd0e14681b58eb5b9320754cacba4285f54793c5
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 11 17:59:24 2017 +0100

    Turn XfdashboardPopupMenuItemSeparator into a more powerful and themable pop-up menu item

commit 7d3aff45c3daa959cd29ff137500c29ef02a9593
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 10 06:22:56 2017 +0100

    Derive XfdashboardPopupMenuItemSeparator from XfdashboardBackground instead of XfdashboardActor to make it more stylable

commit 275da9a9c4ce3eefcdf37fa21c0c6224461a1d1c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 5 12:02:39 2017 +0100

    Happy new year :)
    
    Updating to new year 2017

commit 3f0c75c3be49347cd34648e1a1c2e0c9c7d5f0c5
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 5 11:56:50 2017 +0100

    Fix compiler warning about using NULL as unsigned int parameter

commit 720f677e5802561c2e6d67c4457b813a0c10c59b
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 5 11:54:20 2017 +0100

    Add a yet very simple menu item separator via class XfdashboardPopupMenuItemSeparator

commit d9865e3e779e3d1f0dced4c9519653205efde88f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Dec 23 11:38:13 2016 +0100

    Replace XfdashboardPopupMenuItemMeta with an interface called XfdashboardPopupMenuItem which each actor used as pop-up menu item must implement. It is not allowed anymore to use "normal" actors as menu items.
    
    XfdashboardPopupMenuItemButton is the first menu item class which can be used and replaces the "normal" actors used in quicklaunch so far.

commit a396addba20c8e9fdb078159b3ea5d842f1c514f
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Dec 22 17:04:54 2016 +0100

    Update AppData

commit 12000ff1358c6d234bd7d4b28552e3cea7a01f65
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 21 18:17:25 2016 +0100

    Move more code to new GDK API when GTK+ 3.20 or newer is installed to avoid deprecation warnings.

commit 954a9250f40533fcdaf5c59eec4ec428142a6678
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 21 18:12:59 2016 +0100

    Move to new GDK API when GTK+ 3.20 or newer is installed to avoid deprecation warnings.

commit 984a111ad6576ff285cadfd330abd0125107e0db
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 21 18:00:55 2016 +0100

    Add or remove CSS class "primary-monitor" to XfdashboardStageInterface depending on the primary state of associated monitor. With this CSS class the stage interface of the primary monitor could be themed different as the others non-primary or secondary ones.

commit 2aa3f0159ff7a84995ee11d9495b7c884611dd5e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 7 17:57:14 2016 +0100

    Make "button-style" used in themes to set style of XfdashboardButton work again after XfdashboardButton was refactored into a button and a label called XfdashboardLabel.

commit d22ed42a21109602963d583688aa0a2c55c8eb2a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Dec 7 11:46:28 2016 +0100

    Refactor XfdashboardButton into XfdashboardLabel and make XfdashboardButton a sub-class of it.
    
    XfdashboardLabel is like the previous XfdashboardButton but without "click" signal and XfdashboardButton is now a sub-class of it which just handles the additional "click" signal.

commit 37441ba3dbcb19eae4a6add8e7df745fabddbf0e
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Nov 3 13:02:42 2016 +0100

    Hopefully a better explaination of command-line option "--toggle".
    
    See GH #137

commit 865de47780e370f4cd627c837a59cf4ba9e7ef0e
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Oct 5 12:10:41 2016 +0200

    Fix typos in command to install requirements at Debian

commit a3d2f9189d67cd180c76e56cec9000cc3ee8276d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Oct 4 18:33:49 2016 +0200

    Fix Makefile generation by autotools
    
    Simply renaming README to README.md was not a good idea. So reverting renaming.

commit baf55c08c59e9a0722b552d3c919e3e61bc86efa
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Oct 3 17:24:08 2016 +0200

    Revert commit with blank lines from last pull request

commit f7560cf5b85a240f97df2573bab8ec1630b0e4e4
Merge: 781d1ff d305d8a
Author: gmc-holle <nomad@froevel.de>
Date:   Mon Oct 3 17:07:05 2016 +0200

    Merge pull request #134 from Pablohn26/master
    
    Add debian requirements installation and change README to markdown

commit 781d1ff3ece3b2ac03c09af25977a2fb45d2a2e7
Author: Olivier Duchateau <duchateau.olivier@gmail.com>
Date:   Mon Sep 12 21:34:50 2016 +0200

    Fix typo in defaultApplications array
    
    Fixes bug #12842

commit 042e92f0f7e2d65573cdb13a5ec5e82e20591c95
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:36:30 2016 +0200

    Post-release version bump to 0.7.1

commit e42b7323bdb00c7e6fa1334ce6becd17e1e76de5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:34:42 2016 +0200

    Bump version to 0.7.0

commit 6d6ad6c9222e226ab2b075e22c9a9f1ce334fdea
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:33:50 2016 +0200

    Update Appdata

commit aea63aed26d796571cfa52f5b2e19876843ea9cd
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:29:53 2016 +0200

    Updated POTFILES.in

commit 930770a3c56d7ce331ee5dba2b06cb181125c635
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:24:15 2016 +0200

    Revert "Next attempt to allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of outline"
    
    This reverts commit fc1c520bccbf0eb4d98a5f6abecd2be64db9b9c9.
    
    It is not the solution I wanted although it works ... somehow.

commit 9142af7a684fec30bea44d762dd944533e6538e5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:23:57 2016 +0200

    Revert "Remove parameter for target actor in signal handler to draw outline at XfdashboardBackground as the target is this actor ;)"
    
    This reverts commit ee0d7d43fe55d4a538f485b6805935eb5a615ec5.
    
    It is not the solution I wanted although it works ... somehow.

commit 57e17bc92f6263dc5b719590b8ddfcd182bf10ed
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:23:34 2016 +0200

    Revert "Next attempt to allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of background"
    
    This reverts commit dc2bbb4ec4ac5487177ef3b001df185e79a476c3.
    
    It is not the solution I wanted although it works ... somehow.

commit 30459223f8dacf2b1c95eb1bc24f6b9f95cf653d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Sep 6 19:22:53 2016 +0200

    Revert "Aloow to get default background drawing function of XfdashboardBackground get called if a custom function at virtual function (*draw_background) of XfdashboardBackground was set and FALSE or CLUTTER_EVENT_PROPAGATE was returned by this custom function."
    
    This reverts commit 2c0376b9cf760d70d3963a27ade76c3d46efa4e9.
    
    It is not the solution I wanted although it works ... somehow.

commit 2c0376b9cf760d70d3963a27ade76c3d46efa4e9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Aug 26 13:35:57 2016 +0200

    Aloow to get default background drawing function of XfdashboardBackground get called if a custom function at virtual function (*draw_background) of XfdashboardBackground was set and FALSE or CLUTTER_EVENT_PROPAGATE was returned by this custom function.

commit dc2bbb4ec4ac5487177ef3b001df185e79a476c3
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Aug 26 13:00:26 2016 +0200

    Next attempt to allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of background
    
    This time XfdashboardBackground connects to "draw" signal of ClutterCanvas used to draw background (filled with a color and with rounded or not) and proxies this signal through itself. It also provides a virtual function (*draw_background) which will be called if set. That function has to return TRUE if it handled the painting of background canvas and FALSE if not. If no virtual function was set, XfdashboardBackground will return FALSE to get the next signal handler to draw the outline getting called (which is usually the default signal handler of XfdashboardBackground with the original code).
    
    Also typos were fixed :)

commit ee0d7d43fe55d4a538f485b6805935eb5a615ec5
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Aug 26 12:41:20 2016 +0200

    Remove parameter for target actor in signal handler to draw outline at XfdashboardBackground as the target is this actor ;)

commit fc1c520bccbf0eb4d98a5f6abecd2be64db9b9c9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Aug 26 12:34:15 2016 +0200

    Next attempt to allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of outline
    
    This time the XfdashboardOutlineEffect provides a "draw" signal to paint the outline because the original code is the default signal handler.
    
    Next XfdashboardBackground connects to this new signal of XfdashboardOutlineEffect to proxy this signal through itself. It also provides a virtual function (*draw_outline) which will be called if set. That function has to return TRUE if it handled the painting of outline and FALSE if not. If no virtual function was set, XfdashboardBackground will return FALSE to get the next signal handler to draw the outline getting called (usually the default signal handler of XfdashboardOutlineEffect).

commit 4af8d57f5da3bf825d2c1554dadb1c44ea3aa757
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 23 13:54:26 2016 +0200

    Revert "Allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of background."
    
    This reverts commit 387eb45962eb05a18a50b2bd227dc300744922cd.

commit 8ff46fdf4bd3c5fe94aaf213edf47155691cc2ff
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 23 13:54:11 2016 +0200

    Revert "Allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of outline"
    
    This reverts commit 30745d685e119b9e5d4f254f2bc7991d6b418e19.

commit 30745d685e119b9e5d4f254f2bc7991d6b418e19
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 23 13:42:21 2016 +0200

    Allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of outline

commit 387eb45962eb05a18a50b2bd227dc300744922cd
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Aug 21 21:04:58 2016 +0200

    Allow overriding draw function of background borders and corner, e.g. interesting for popup-menus to draw an arrow on any side of background.

commit 864192fceaa33c756774dbcf571601578ad25676
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Aug 15 21:33:02 2016 +0200

    I18n: Updated translations fr,lt

commit d305d8a9cb1a387611dee568d74cdd4cab703b69
Author: Pablo Hinojosa <pablohn6@gmail.com>
Date:   Fri Aug 5 02:52:10 2016 +0200

    Fix README.md syntax to look better

commit c4c77438c4029b86919a265ead145cb77cd7f287
Author: Pablo Hinojosa <pablohn6@gmail.com>
Date:   Fri Aug 5 02:50:47 2016 +0200

    Change readme to .md to markdown support

commit 6066588638b36428a87f03d50c1b84976fa64dcc
Author: Pablo Hinojosa <pablohn6@gmail.com>
Date:   Fri Aug 5 02:49:49 2016 +0200

    Add debian requeriments installation

commit 8c35a0dd335d2403092e78b03a8eb4811204886b
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 2 13:21:05 2016 +0200

    Get rid of deprecated Cogl functions in XfdashboardEmblemEffect

commit 07df9736012cf052cb3f8d5cf66bebc1e821ffef
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 2 09:02:41 2016 +0200

    Make use of new pop-up menu in quicklaunch

commit 8390f0676e43f5ecae94a100f0e381389d9ca9d7
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Aug 2 09:02:05 2016 +0200

    Implement pop-up menu

commit 4096082587582c7d048e42066377ec5c4df25b77
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jul 29 09:31:00 2016 +0200

    Do not restart application via session management when it crashed but was started as force new instance (via environment variable XFDASHBOARD_FORCE_NEW_INSTANCE which is used for debugging purposes).

commit c08d8c52137b66958a257b72b5c591d4f28f8aed
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jul 29 09:24:40 2016 +0200

    Do not restart application via session management if application object was disposed which is the usual and clean way and not a crash which could require a restart.

commit abed645b2df8ad76436b5efa5eb5e24d82424740
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jul 29 08:52:26 2016 +0200

    Fix typos

commit 029207b57163db43254a2315c2f75544f9d4cf5b
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jul 28 16:18:03 2016 +0200

    Remove weak pointer with g_object_remove_weak_pointer() from selected item to prevent GObject system setting a variable to NULL which is not available anymore so this memory access will cause a segmentation fault.
    It shoud not happen that this weak pointer still exists but you never know ....

commit f30963f7f6420fcb4d37f84a8f3177772967f9df
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 14:03:23 2016 +0200

    Make properties 'margin-top', 'margin-bottom', 'margin-left' and 'margin-right' of ClutterActor themable via XfdashboardActor

commit d011b5b658a099bd6f47656863bdcd13ddb95a06
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 13:45:58 2016 +0200

    Fix setting pseudo-class ":insensitive" on actor's reactive state (it was wrongly added when reactive and vice versa)

commit 8ffcfa0a19fa21d93b2ab8dbf69a8746780f7b4e
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 13:32:51 2016 +0200

    Fix selecting next selectable actor in windows view

commit a5507d17d0f3e7536c8b4f017670f5db417a7adc
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 13:17:09 2016 +0200

    Better debug messages by using textual representation of enum value

commit 5be93a1d2ac2d9e56eeea4f66bd96eb1df760915
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 10:50:08 2016 +0200

    Add utility function to retrieve list of target actors and the action to perform from focus manager

commit 11a50bd5fe2c40fb6db8de17499aa2095380f250
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 10:49:08 2016 +0200

    Fix moving focus backwards when pressing <Shift>-Tab in default bindings.xml

commit c30ef0d0e3c4a0b889f701fef18f5a237880cbdc
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jul 25 10:48:44 2016 +0200

    Fix typos

commit e6e6d49fa2e799939091e7b0842b29705c3c7c2d
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jul 21 10:04:30 2016 +0200

    Use correct macro to return value even if both macros define the same value

commit 03e18fa015ecc869180f0b0237c2e2a2c04d44e1
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jul 21 09:57:53 2016 +0200

    Fix documentation annotations

commit 88f6dfaa7f4144a0e87b7c78fb7193e46e75bc12
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jul 20 08:32:29 2016 +0200

    Better dump information for xfdashboard_dump_actor()

commit b189c943ac11c25ce61cc9f6e1759dccd1159806
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jul 20 08:18:16 2016 +0200

    Add utility function to check if a position is a specific monitor

commit e481c2ebe819dadc2b6c8a48ffcc7dfe3695a9f9
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jul 14 09:07:35 2016 +0200

    Add annotation for API documentation of XfdashboardSearchView

commit 6f0ae43ba8324af0e3d60b97b584d8ce584a46e4
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jul 13 08:31:55 2016 +0200

    Hopefully a better description of XfdashboardBoxLayout

commit 43e124bea65e07954622abd49d72fc5f984457bf
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jul 13 08:29:46 2016 +0200

    Add missing annotation for private structure fields in header files

commit 21ad77ee339589d14f540e694c600bdb775ef221
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 30 10:02:08 2016 +0200

    Split loading theme into seperate signals. So rename signal "theme-changing" to "theme-loading" and add new signal "theme-loaded" to application which is emitted after loading theme is complete but not yet applied. It is the last chance for a plugin to load additional resources (CSS etc.), e.g. to override theme's CSS.

commit 0adfc89f46fad18204444aef357fb5f5453e6145
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 30 09:56:31 2016 +0200

    Set up theme object basically to have it in a basic operational state and can be used when "theme-changing" signal is emitted.

commit aa39a749cf653b10ac06f39ea72607c6508412cb
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 30 08:14:44 2016 +0200

    Set new theme object instance in "theme-changing" signal parameter instead of current theme instance. Also set new theme name in application property only if loading new theme succeeded.

commit 2ff8fb6db412c5af6a8ff0ad1cda1e3d4d11a9c1
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 30 08:08:16 2016 +0200

    Implement new signal "theme-changing" at XfdashboardApplication that is emitted before a new theme is going to loaded and to be changed to.

commit e55140615fc4de5472bf6697eccd116b3a8a3978
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jun 27 12:27:49 2016 +0200

    Add annotation for API documentation of XfdashboardPluginsManager

commit 20e768fb2376de69091996e475f1a3785b5dd256
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jun 25 21:12:46 2016 +0200

    I18n: Add new localization (ca, el)

commit 5eacc7fad94391f1bd9c8b0b061b6a477728cfa0
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 18:51:38 2016 +0200

    Even more documentation fix

commit 6e76e6e3a2c84010640250219b9af08b5726f0c3
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 18:50:55 2016 +0200

    Fix more documentation

commit 693015676dcf8298fef5d503b1dcb37175d429b8
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 18:49:32 2016 +0200

    Fix documentation

commit dba3ab05a5c556451ebfc7f3da2cdefdb90e9145
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 18:44:30 2016 +0200

    Fix documentation

commit 1fedffbcace536c40798fafda9878fd43b736101
Merge: 22b671e 4148f3f
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 18:43:02 2016 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 4148f3f6343aee0a090e4707a5491438866f8a87
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 24 15:27:48 2016 +0200

    Add annotation for API documentation of XfdashboardActionButton

commit 22b671ed641ab27f1fa34ea2e1538f1d505688c1
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 22 19:11:31 2016 +0200

    Fix documentation annotations

commit dfdbeba49634eabda24d2118a47291f02668712d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 22 19:05:17 2016 +0200

    Add missing documentation for signal 'exit' at XfdashboardApplication

commit f0310c98592b13087176c070e04b9fc550fd1c8a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 22 16:11:35 2016 +0200

    Add function xfdashboard_toggle_button_toggle() to XfdashboardToggleButton to change between "on" and "off" state easily. Its a convinient function when click actions are handled on its own - automatic toggle mode is disabled (FALSE).

commit 8669f34b96a45e35a6f32d4d906c5bd38999394a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 22 16:07:15 2016 +0200

    Because XfdashboardToggleButton is derived from XfdashboardButton it should have the same creation functions.

commit 5b27397e45456bd40b3770d392b30f6af8745a90
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jun 22 15:37:28 2016 +0200

    Add annotation for API documentation of XfdashboardToggleButton

commit aed3c5498ed73b8978d4fbd72fb705aaf31051c6
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 14:14:36 2016 +0200

    Add new plugin 'middle-click-window-close' which (when enabled) allows the user to close windows in windows view with a middle click. This plugin is not configurable.
    
    This commit addresses GH #128

commit 3074048e3d527515c41accb8abfade3987283c5d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 14:11:40 2016 +0200

    Reorder emitting "quit" signal of application before the stage is destroyed so plugin which rely on the stage being still accessible can still access the stage on shut-down of application.
    
    This is the consequence of "initialized" signal on which plugin can rely on to be sure that the stage exists on start-up.

commit 867d48154ba9d0a4e3f5b0ad49c51eec00a1b64a
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 12:52:02 2016 +0200

    Add missing annotation for API documentation to files already documented

commit 42c5ee3e8b36f8045f1a06080792d1e7244621f6
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 12:47:24 2016 +0200

    Add annotation for API documentation of XfdashboardClickAction and replace hard-coded numbers for checking button pressed with macros

commit 03d90d3b9078be7a20557364538f2418b3ca01c0
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 10:41:08 2016 +0200

    Fix typos and I changed a wrong signal handler (reverted it)

commit 405f0dcf9dbf3f5be8ffcf1e070b6de70d67e469
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 10:37:27 2016 +0200

    Change signal handlers for 'clicked' signals emitted by XfdashboardClickAction to check also for left-button pressed.

commit a8ad339609a8453a6784cd9a7e29b95bb149da65
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 10:17:18 2016 +0200

    Revert "Differ between "clicked" which is usually associated to a left-click and a "click" with any other button at XfdashboardClickAction."
    
    This reverts commit db21a8ddc3a449ff968d3743029f94ec912e3720.
    
    It does not make sense. It is better to extend the 'clicked' signal handlers to check if left-button was pressed. It is more work but cleaner.

commit 7be5e4d63dcfbf0b2c56609757077b52130036a5
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 09:56:26 2016 +0200

    Fix debug message (one item per line - forgot to add new-line)

commit db21a8ddc3a449ff968d3743029f94ec912e3720
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jun 21 09:46:39 2016 +0200

    Differ between "clicked" which is usually associated to a left-click and a "click" with any other button at XfdashboardClickAction.
    
    Therefore the signals "clicked" and "long-press" at XfdashboardClickAction are only emitted if the click was done with the left button. To get clicks with any other the new signals "button-clicked" and "long-button-press" are emitted (also for left-clicks) which tranfer also the button which was clicked.
    
    This changes the default behaviour of XfdashboardClickAction but should interfer with the current behaviour as left-clicks were assumed so far.

commit 6847725570a2789d1c9166bc950549771ae4dd04
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jun 20 09:45:42 2016 +0200

    Add flags to XfdashboardPlugin to define behaviours of plugin which can only be set once via xfdashboard_plugin_set_info() and only while loading.
    
    Currently only early initialization of plugin can be requested so the plugin gets enabled on load, that means before theme is loaded and application's stage is created and set up. The default behaviour of plugins now is to get enabled after stage was created and set up.

commit f70f3f4ccdfc69fb613e7eb7246b1fe4bbce148b
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jun 20 08:54:44 2016 +0200

    Initialize plugin manager as last component when all other components are available and initialized but before the theme is loaded and the stage created.

commit 444e5be4438eb4d3932c0f92bac9d10426d62540
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jun 20 08:53:14 2016 +0200

    Load theme later in initialization process just before the stage is created. Doing it later will give plugins the possibility to define new actors which can be used in themes.

commit 5ba19f79c3f3af2c141988cb985ce8a8fd935a46
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jun 20 08:36:16 2016 +0200

    Emit new signal "initialized" in XfdashboardApplication if it is the primary instance and fully initialized, that means all managers and the stage were set up successfully.
    
    The main purpose for this signal is for plugin which need to initialize after application is fully initialized and all components are available, initialized and ready for use.

commit 16315e13ef0a95e5e9c9ec961785620a903c24ca
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 12 22:06:17 2016 +0200

    Clean up xfdashboard_notify() not to iterate through all actors by itself and supporting multiple stages (as only one stage exists) but use new xfdashboard_traverse_actor() function.
    
    Ideally we could even stop using xfdashboard_traverse_actor() function as one stage exists so we could use xfdashboard_application_get_stage() directly. But maybe sometime we use XfdashboardStageInterface (which exists for each monitor) to send notifications so it is easier to modify this code instead of re-implementing it.

commit ce1738a897fce473adbe79d4514c191e9fae65ac
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 12 21:42:41 2016 +0200

    Make use of new function xfdashboard_application_get_stage() in xfdashboard_traverse_actor() to get root actor (the stage) if NULL was given.

commit 316898ddb116d0c00e74894adf88be0d9625592f
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 12 12:48:35 2016 +0200

    Remove utility function xfdashboard_get_global_stage_of_actor() as the code to handle and manage multiple stages was also removed. There is only one stage and this can access via xfdashboard_application_get_stage().

commit a87e16ee4bbeca7402d8da2ab49a2fc0420aae36
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jun 12 12:41:56 2016 +0200

    Remove handling and managing code for multiple stages as only one stage is created by application. Add an access function xfdashboard_application_get_stage() to XfdashboardApplication to get the global stage.
    
    Also add annotation for API documentation of XfdashboardApplication.

commit 91e4eb81196271f2d5e0d2c4f7352bd1940b0a9e
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jun 11 15:01:16 2016 +0200

    Implemented xfdashboard_traverse_actor() utility function which iterates through all children beginning at a provided actor. For each child matching the provided selector it calls a callback function.
    
    This function is mainly useful for plugin which need to find actors to modify them when this plugin was enabled specially after a long the application has already run and stage was setup.

commit fed1c35ed456427c7f3db027bde4e3bb862a895e
Merge: 1c70ab8 653b38b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 10 11:57:16 2016 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 1c70ab8cf29930b8ca91ea94460a56ee0810df87
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jun 10 11:52:23 2016 +0200

    Emit signal 'actor-created' at stage where a newly created actor was placed on.
    
    This signal is emitted for the very first time a new actor gets its parent set and so it is the first time the actor belongs to UI and - from point of view of application - it exists now / was created. The main purpose of this signal is for plugins to react on newly created actor to filter and/or modify them and/or to connect signals. E.g. a plugin wants to connect a signal to each XfdashboardButton in XfdashboardQuicklaunch, so it has to listen for 'actor-created' signals at stage, then filter all actors for XfdashboardButtons whose parent is XfdashboardQuicklaunch. Then it can go on with its work.

commit 653b38b95f7281691f42f8c9fb6e9171e9e50db5
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jun 9 08:45:54 2016 +0200

    Move to workspace where the window to activate (by clicking it in windows view) is placed on if it is on a different workspace than the active one.
    
    This only happens in windows view if 'filter-workspace-windows' is set to FALSE. The default value is TRUE so this code path is usually not run.
    
    This commit addresses issue GH #126

commit 6b11d475af8f868d0c85fc9e1338be4627931e2a
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat May 28 12:30:49 2016 +0200

    Allow windows view not only to filter windows which are only on current monitor (via themable property 'filter-monitor-windows') but also for windows on current workspace via a new themable property called 'filter-workspace-windows'. This new option is set to TRUE by default so that all themes will still work as they did before.
    
    This commit addresses issue GH #126

commit 0b4fa87587fc927862e0225c2f1052c8253e31bf
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 20 21:40:07 2016 +0200

    Post-release version bump to 0.7.0

commit 130aea9f8c777fc6cda3f94fe357154d0fd7742e
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 20 21:37:00 2016 +0200

    Bump version to 0.6.0

commit ac9fff44f52f1a11cbad9c83722afc1f542fd611
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 20 21:35:44 2016 +0200

    Update AppData

commit f2eb5b29e0fe60b9cb3d1b899ed49e93d3623657
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri May 6 22:05:06 2016 +0200

    I18n: Updated translation lt

commit 683f5048c1dc37af503709e3c8666efce77f6ba5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Apr 30 10:30:16 2016 +0200

    Viewpad did not find a view by its internal name as it checked against the wrong expected return result :(
    
    This fixes GH #124 where the bug was reported that switching to a requested view on application start-up or resume does not anymore.

commit b6584fa5fb990e1c203dbaf1fb7b89514e2ed16d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Apr 13 13:10:40 2016 +0200

    I18n: Updated translation lt

commit 08cd04c334f085b47dcf99fdc9c5869b4031cda3
Merge: a783465 0153687
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Apr 2 10:03:57 2016 +0200

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 0153687399ad0951e8aa094f1d4996d3b2d48d65
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Apr 1 11:44:18 2016 +0200

    Also support deprecated 'icon-data' in Gnome-Shell search provider when looking up icon for a result item to create an actor for.

commit a783465f8a59e1893fc9c78d5c8b1c5f1a33acee
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 31 20:42:04 2016 +0200

    Post-release version bump to 0.5.93

commit 933e5a92f03d5ee4e366f71d3df8450644109871
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 31 20:29:39 2016 +0200

    Bump version to 0.5.92

commit 2a401550c26cea980e262000d6d30f16578b1ebc
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 31 20:31:19 2016 +0200

    Post-release version bump to 0.5.93

commit 5c44cd461ae1e1b2c42db72c72120c9dc0bb5f7e
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 31 20:29:39 2016 +0200

    Bump version to 0.5.92

commit 610ab94b032fb20d9385aebc17b362c29a6059f1
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 30 20:29:32 2016 +0200

    Add also a "configure" button to call the configuration dialog for the selected plugin in settings application.
    
    This commit fixes GH #120

commit a9df0f92dc3b711a39cd47bc4d1030c15eab29df
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 29 10:15:24 2016 +0200

    Add weak reference pointers to current selections at view classes to prevent accessing destroyed selections of which we are not notified by "destroy" or "hide" signals.
    
    Another fix for GH #123

commit 0bf72ea60c669fe98813b36f617876f8ce9977d3
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Mar 26 09:13:36 2016 +0100

    Fixed DBUS method signatures for "ActivateResult" and "LaunchSearch"

commit 59c62eefb04b371a5e92badca1b48da5644b320e
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Mar 26 07:50:36 2016 +0100

    Call gdk_notify_startup_complete() after GTK+ is initialized.
    
    I do not believe that it makes any difference but I looks like since rewriting the application object (commit 748e6d280724391e505e3b9f7295aaf1c0a79205) it doesn't work anymore.

commit 564eecf58b8237bafcdf5dda98170e7efb560d19
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 25 08:52:55 2016 +0100

    Fixed freeing an maybe uninitialized variable in XfdashboardGnomeShellSearchProvider by initializing it with NULL.
    
    This should fix GH #123 (Upstream bug report from https://bugzilla.redhat.com/show_bug.cgi?id=1321186)

commit e9014882db90ca5ca9fdf2c9f8ce94bd06be3112
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 22 20:03:08 2016 +0100

    Post-release version bump to 0.5.92

commit d322328a677693ab6516d1625e328f814e6f0f5e
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 22 20:01:39 2016 +0100

    Bump version to 0.5.91

commit e177d3808297a188027d0b95b10129b772f09f25
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Mar 21 07:01:40 2016 +0100

    Do not only check for first items in result container (as in commit c84c7fc1ebdb4b4a3199fb2655f9533f4a6680db) but do also check for last items even if it should already be handled globally by focus manager. I just want to be safe ;9
    
    This commit addresses also GH #119

commit c84c7fc1ebdb4b4a3199fb2655f9533f4a6680db
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Mar 20 17:20:35 2016 +0100

    Fix unpredictable reselections of result items in search view when the current selection was destroyed or hidden while updating results.
    
    We check if the current selection is the first selectable item at the provider result container which contains the current selection _before_ updating the results. If it is the first selectable then remember the selection and the provider containing the selection. After updating the results we check if the current selection now is still the same as before updating result. If the selection has changed and we knew which provider contained the old selection then we select the first selectable item at provider's result container.
    
    This commit should fix GH #119

commit 02cf5d2ec4b740ccb2aae487549c4fe0c83df9c5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Mar 20 15:17:12 2016 +0100

    Remove ununsed enumeration XFDASHBOARD_SELECTION_TARGET_NONE
    
    It was only used internally to check if given function parameter is in range. This was replacable by checking if value is greater or equal to zero.

commit 8c60e9d90cf893812202cf795cd9b823c3663ebd
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 18 20:39:01 2016 +0100

    I18n: Updated translations es, fr, he, it_IT, lt and sr

commit 2de7c34c2f81eb2bd897b10e2399a801d86d97f3
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 18 20:30:40 2016 +0100

    Add GTK_CFLAGS and GTK_LIBS to Makefile.am of xfdashboard. At least distributions derived from upcoming Ubuntu 16.04 need these two statements to compile and link xfdashboard main application successfully. Otherwise the compiler cries for missing gtk_* symbols.

commit 7ee7e6490d558c216280c45bb5c4997eda69aa6a
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 16 22:25:39 2016 +0100

    Implement our own model class and replace ClutterModel with new XfdashboardModel because ClutterModel is deprecated since Clutter version 1.24. This new model implementation should be compatible to all Clutter version and silence compiler warnings when compiled agaist Clutter 1.24 or higher.
    
    This commit should finally fix for issue GH #117

commit 1262a79a8330cf7bf23c78245135df5a6375e362
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Mar 11 11:23:18 2016 +0100

    Silence compiler warning about using deprecated actor state access macros by using functions introduced with Clutter 1.23.4
    
    We update the source code to use state access functions, e.g. clutter_actor_is_visible(), instead of the old macros, e.g. CLUTTER_ACTOR_IS_VISIBLE(). But also implement a compatibility layer which "redirects" functions to macros again when compiling and linking against Clutter older than 1.23.4.
    
    This is the first fix for issue GH #117

commit 748e6d280724391e505e3b9f7295aaf1c0a79205
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Mar 10 22:05:13 2016 +0100

    Rewrote application class and main() function to make use of main loop in g_application_run() which is needed since Glib 2.47.4+ because it will deregister application from D-BUS as soon as this function exits. So the old implementation does not "see" any running instance (regardless if running as daemon or not) anymore and cannot neither quit nor restart the running instance. So several instances can run simultaneously, e.g. two daemon instances, instead of toggling the state of application.
    
    This commit should fix GH #116

commit 9674b21804cae82f4efc368ff8dce7d94b1d8ab3
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 2 19:10:44 2016 +0100

    Fix typo

commit 8d923b99a7517af767f81d93d0cf85b5d1a3b79d
Merge: 1181d65 338dc7c
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 2 10:21:10 2016 +0100

    Merge branch 'master' of ssh://git.xfce.org/apps/xfdashboard

commit 1181d65063096e05458f6a4c18d769b1012efcf0
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Mar 2 10:19:41 2016 +0100

    Do not use an uninitialized application instance.
    
    Fixes GH #115

commit 338dc7c570427b48ce138eece202ed2a8bb9bf47
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Mar 1 11:19:15 2016 +0100

    Check if window is "visible" before trying to find the running application it belongs to in application tracker. "Visible" windows are windows that have not set 'skip-pager' or 'skip-tasklist' flags set but may be hidden or minimized.
    
    This commit should fix issue GH #114

commit 924915a96662043b5af5efc6a40c69250bc02926
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 28 12:43:29 2016 +0100

    Post-release version bump to 0.5.91

commit be437ea297b4863f837a73a01835bda62b1e1acf
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 28 12:42:20 2016 +0100

    Bump version to 0.5.90

commit 577fad650088473e321505beb56159201dc12efa
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 28 08:55:24 2016 +0100

    Updated POTFILES.in

commit 06ba2e2dd4c5cddf84118139e181090642464a58
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 27 14:36:48 2016 +0100

    Set title in plugin preferences dialog to let user know which plugin he will configure now ;)

commit fc14c1e161fb4d5bb225c505dbfb049264a177bb
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 27 14:22:03 2016 +0100

    Let plugin decide which widget should be visible and do not enfore all widgets to be visible in settings application. Doing so could make widgets visible which shouldn't ... at least not unconditionally.

commit 86517cf40b94fc0e1cfdaa0614020f5f7e7dbbea
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 27 14:17:52 2016 +0100

    Completed configuration dialog for hot corner plugin

commit c8d7a43f72a2d19527a2e6b2cbffc434d4abaaf8
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 15:11:39 2016 +0100

    Implemented most parts of configuration dialog for hot corner plugin

commit 53de6b0fed50b4b29e00e94ead03abe9b59ba553
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 13:02:53 2016 +0100

    Register additional GValue transformation function from libxfdashboard to transform values stored in Xfconf when getting or setting such a "transform-needed" value

commit 8df1aa731dc4da6ac51d2f409c6f8a2c0856c02b
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 12:58:03 2016 +0100

    A little bit of nicer configuration dialog for clock view plugin

commit 2f68659c2c23a9404ca544047d7010db5eba8258
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 12:41:22 2016 +0100

    Add missing registration of XfdashboardHotCornerSettings class in plugin

commit 4899b2002b4715739660daec8688bc0143f973e6
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 12:36:30 2016 +0100

    Fix memory leak in configure function of clock view plugin

commit 8fa7f400b26e184c5eca12ca5beb400fdc1c7d2f
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 12:12:49 2016 +0100

    Move settings of hot corner plugin into a seperate object class to share it, e.g. with configure function of hot corner plugin which is not implemented yet

commit 91daf36fc8ddcda6e5a57aaad000378c95aa1aeb
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 25 08:45:53 2016 +0100

    Change usage and inclusion of libxfdashboard.
    
    Like many other libraries we only allow to include the new created file libxfdashboard.h with "#include <libxfdashboard/libxfdashboard.h>" when not within the library itself or the main and settings applications. Plugins must now include <libxfdashboard/libxfdashboard.h> instead of each used header file directly.

commit f23d69335dd5acffe80412305ce794668604ccba
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 21:37:07 2016 +0100

    Rename __XFDASHBOARD_* to __LIBXFDASHBOARD_* also in template to generate enums.{h,c}

commit 0b441551622e4fec48b62969a89342506129dc67
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 21:35:15 2016 +0100

    Rename __XFDASHBOARD_* to __LIBXFDASHBOARD_* in definitions to prevent recursive header inclusions

commit f761ab3aa66872426ff616d307213d41ba8bdd61
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 24 19:14:33 2016 +0100

    Replace some left-overs of XFOVERVIEW (the very very very very old name) with current one - XFDASHBOARD

commit cabd591662f9084513342bd4b4fe86d6b42841c9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 23 22:34:52 2016 +0100

    Just a cosmetical correction ;)

commit c67768aa8b6b7025611ebcd2ac7ca1602e9c88a3
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 23 22:33:39 2016 +0100

    Fix compiler warnings

commit 486914b7e97a5b3bba2e78123817cf445bfa32f1
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 23 22:32:33 2016 +0100

    Add compile-time switches for deprecated functions at GTK+

commit af246d5d9458e71bef2cef0eb8ecf9d5a6451d71
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 23 22:28:28 2016 +0100

    Implement full configuration dialog for clock view plugin

commit 3cca65c529168c69154d4370fb405b189e006f3f
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 23 21:26:11 2016 +0100

    Move settings of clock view into a seperate object class to share it, e.g. with configure function of clock-view plugin

commit 52515185cedf2c3b23cdfe2a40f62aa30eb79eca
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 13:17:08 2016 +0100

    Fix compiler warnings

commit 6b971bfd46c13c6052d65fd59482cdeeb4ca5eb3
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 22 12:58:01 2016 +0100

    Implement plugin preferences dialog in settings application
    
    The plugins do not have any preferences widgets yet and only plugin "clock-view" shows a "not yet implemented" label.

commit f1db0eeeda071748e6f212685f30117ca9196c3e
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 19 20:58:37 2016 +0100

    We check already that the signal handlers 'enable' and 'disable' are connected we do not need default handlers and we do not need the boolean return value to check if it was handled so change it to void.

commit 2fc34032344ca661f3735aa7f4da29f5dd495898
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 22:13:04 2016 +0100

    I18n: Updated translations es, fr, he, it_IT, lt and sr

commit a76ceae99e875375cbb1de327db27e7ae1124a44
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 22:06:37 2016 +0100

    Turn g_message into debug or warning messages

commit 5094bcda25e9976a1579fe8cf382531298225b29
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 22:03:28 2016 +0100

    Enable (or load) and disable plugins at runtime depending on changes at Xfconf property "/enabled-plugin" in channel xfdashboard

commit 144d09d511736480f26fc3f3e15ce9a59da482eb
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 16:15:53 2016 +0100

    Set check flag for each plugin enabled when initializing plugins tab in settings application

commit 914f710112122c7ebcdea088a48ad2a9630428de
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 16:11:59 2016 +0100

    The plugin ID should be unique but not configurable by developer. So let ID be determine from filename - exactly: Get basename of filename and strip off the file extension. This way it's the old behaviour but the ID is set automatically.

commit b2b813eb245b9ddbbaafd71953c2e88db678828e
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Feb 18 15:42:06 2016 +0100

    Configure list of enabled plugins in settings application

commit 6819d47f46fcd2e3485ae8e0427cf94a007f2479
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 17 13:13:12 2016 +0100

    As the shared library libxfdashboard is more or less the "application" and xfdashboard is (more or less) just a wrapper around it the library should include the version as library "version-info". I tried to use the calculation of current, revision and age for this library version information as GTK+ does. I really hope it make sense and works ... on all platforms.

commit 100dcbb99d94ed71a38cee006cc919bb882eedc2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 17 09:39:26 2016 +0100

    Install header files for libxfdashboard shared library and API

commit 95d81b21b5bb2a4a1cc6524ca8e0932f42cc83bb
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 17 08:59:29 2016 +0100

    Split application into core library (shared library libxfdashboard.so) and simple application to make objects reusable (e.g. plugin object in settings application) and to have an API

commit e4406d58d089be05d6d70bf9af37a3652902c1f4
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 20:47:06 2016 +0100

    Fix typos

commit 60f85a3090d68a2afa942d22b7c7572d3212de3d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 20:45:54 2016 +0100

    Split creation and handling of tab 'General' into seperate files at xfdashboard settings application

commit 57b4bc4642436108218ccff65a0f69004d22fef4
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 15:07:53 2016 +0100

    Split creation and handling of tab 'Themes' into seperate files at xfdashboard settings application

commit 73e7b2a24771f7226f3a4638ed76795d8a2d06e9
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 14:28:50 2016 +0100

    Fix typo

commit 328067b45c9e0fac39eeaa6c86b95358ce7e2e42
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 11:43:10 2016 +0100

    Remove unused code

commit 426b12118af0faedbcaf9e3f773ba9e23d14a684
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 11:40:18 2016 +0100

    Ensure view is visible when allocation changes and scrollbar ranges might have changed.
    
    Scrollbar ranges might get smaller, e.g. in search view when view is greater than viewpad and a new search is started. Then only the scrollbar ranges are adjusted to new size but view's clipping is not. This commit should ensure that the clipping is adjusted to position of scrollbars.
    
    Hopefully fixes GH #112

commit fb4b56dad0b305d4d5fb960c68a1b2dd52ff620e
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 09:41:34 2016 +0100

    Fix calculation of number of columns and rows and the largest width and/or height in XfdashboardDynamicTableLayout to prevent recursive and infinite calls to the same function again (and again and again) and also correct number of columns or rows when we need to reduce them to fit into given allocation.
    
    This commit should finally fix issue GH #111

commit 2929b13715f4cf003bb311e48f230d684d537ca4
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 15 09:10:50 2016 +0100

    Do not set allocation on container within the layout manager's allocation function at XfdashboardDynamicTableLayout.
    
    That is a nasty bug as it will call the allocation function recursive in an infinite loop because setting the allocation on the container will call the layout manager's allocation function again and again and again ...

commit 5d23581562685a14538c7d40339161090ecdbe6a
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 14 16:13:08 2016 +0100

    Make hot-corner plugin configurable

commit 27845e3097021718a7e3ad5d10d34f00cc0887cb
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 14 14:20:09 2016 +0100

    Make plugin ID a definition specified in Makefile instead of source files also at hot-corner plugin

commit af2f5285ed101fb98999e080094aa4e611e8aad5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 14 14:18:43 2016 +0100

    Make plugin ID a definition specified in Makefile instead of source files

commit af556647a381455f2a2e9ee06a5f1830a0933e03
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Feb 14 14:16:17 2016 +0100

    Make colors to draw each element in clock view with configurable.

commit 6fb58018ce868198942300f7735db3c00baaabab
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 13 09:34:49 2016 +0100

    Add a utility function to view manager to check if a view with a specific ID was already registered

commit 273d5d9a4247f4d0d90ae25453cb231c3529605f
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 13 09:27:00 2016 +0100

    Add a utility function to search manager to check if a search provider with a specific ID was already registered

commit 5ecd8226869bba767401f757da33cf28edc6a9ef
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Feb 13 09:18:37 2016 +0100

    Implement file monitor to Gnome-Shell search provider plugin to get notified about new, modified or removed providers during run-time.

commit b2195fb94094a0651f4de0c0ebdc6ed2fedf54b5
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Feb 12 08:23:18 2016 +0100

    Fix signal definition for action to enable, disable or configure a XfdashboardPlugin instance

commit 878dfc995349a78ac990ce4f3641edc71850844b
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 14:20:36 2016 +0100

    Only lookup view by ID when ID is available

commit 12ce19ec031b1e2a2874a3dfdcd5130adc97679d
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 14:13:36 2016 +0100

    Add hot-corner plugin
    
    This is a plugin of the "other" category as it does not extend xfdashboard with any new views or search providers. It will check the pointer position and if it stays in an configured hot-corner (currently statically set to top-left corner) for a configured time interval (currently statically set to 350ms) it will switch the application's state. That means it will suspend the application if is active at that moment or activate it if was suspended. To do this xfdashboard must be running in daemon mode.

commit 2e17bd75258fb95e2e6a0c23f703d863d8b81d81
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 09:24:20 2016 +0100

    Add function to check if a window is fullscreen

commit ca122f4599553fa41d28c08b3630166dcff1a6b7
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 09:14:50 2016 +0100

    Ensure that minimized flag is not set besides the maximized flags at window to consider it is maximized.
    
    In my point of view it should be an error when the minimized flag is set along with the (both) flags for being maximized. But maybe it is just not a good name and it should be a 'hide' flag instead of 'minimized' flag. Then it makes sense that all these flags at set at once and we have to check additionally that the minimized (hide) flag is *not* set to consider that window is maximized.

commit 2a0fb47a2dc017e218b3931a9b1c5f332cc26ba0
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 09:11:28 2016 +0100

    Add class '.window-state-maximized' to actors of type XfdashboardLiveWindow when the associated window is maximized.
    
    That's just a new class added to the already present classes '.window-state-pinned', '.window-state-minimized' and '.window-state-urgent'.

commit 8f4af294efa3d27364fdb91cc72126df95b5f219
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 09:08:14 2016 +0100

    Fix typo by renaming function name xfdashboard_window_tracker_window_is_m(in|ax)ized to xfdashboard_window_tracker_window_is_m(in|ax)imized

commit 7afdcec08a047f1ad707aafa7a13f9cdf15951e2
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Feb 10 09:04:57 2016 +0100

    Add missing function for public API function to check if a window is maximized

commit 69890b54838f782ee9c2d2307ae2979e40b10a4d
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 9 07:46:22 2016 +0100

    Use a macro for plugin ID in Gnome-Shell search provider plugin to ensure to use always the same ID at all places

commit 40c8a2f4340d17e1f0b691042c8dd67a45c6fdf6
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 9 07:41:05 2016 +0100

    Use a macro for plugin ID in clock view to ensure to use always the same ID at all places

commit 8b39782007575570917035d9aa478dd946e67c59
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 9 07:39:20 2016 +0100

    Keep search providers at search view listed in order as they were registered

commit ac8d1f0875edf24ff06c7c2d6e9e73a7695e6217
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 8 20:47:55 2016 +0100

    Fix actors of applications view filling whole horizontal space

commit f1a6c0c5156289b761b23aec109a4211d61cff6c
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 8 20:42:09 2016 +0100

    Chnage IDs of plugins to be prefixed with "de.froevel.xfdashboard."

commit 8539ae3b7172e9f1ff8ff20396d3906b7a06da06
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Feb 8 20:40:01 2016 +0100

    Change IDs of builtin "plugins" to be prefixed with "builtin."

commit cf492bb3211da3f48e3c6cbb4a87904a8ab5f032
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 2 14:49:26 2016 +0100

    Merge commits

commit 0ab88e19aa6cc147910178e7922822eec7628a46
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Feb 2 14:41:00 2016 +0100

    Unify API of XfdashboardApplication to match other single instance APIs

commit 8c58c6c6e9d2ccb4ff9fb634f0c475bf3dff4d34
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 20:43:08 2016 +0100

    Post-release version bump to 0.5.6

commit a89c2e647bbb407471807cbf0fb3af7e04761954
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 20:42:00 2016 +0100

    Bump version to 0.5.5

commit ea28ea0c9e3aaf6f76e920702fe9994d7f303cb5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 20:40:36 2016 +0100

    Update AppData

commit edfcd29bde3c81f07bb10ec4bcba8c1cb48bbd97
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 20:16:40 2016 +0100

    I18n: Update POTFILES.in to include new files

commit 2cf2b07eac5ee529780a5c54eff2dd38b2eb8603
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 20:09:37 2016 +0100

    Remove unused definitions

commit 4eb77d9704980d95bd9f5431401bd027364308bb
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 19:53:34 2016 +0100

    Let plugins use signal action handlers instead of overriding virtual class functions

commit 0b81e8da1e768972f88b8008cafb62d67f76b8dd
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 18:42:09 2016 +0100

    Simple correction to fix overriding virtual functions in class XfdashboardPlugin when more than one plugin is registered.
    
    But it would be better to define signals and let the plugins connect to them.

commit 43b341b06afa117b5a9fb600c410c0666a9051c3
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 17:30:32 2016 +0100

    Add new plugin gnome-shell-search-providers which uses all search providers used by Gnome-Shell

commit d2d2023a545fd4022a6c08895acd999f7923d19e
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 31 16:13:36 2016 +0100

    Fix moving selection beyond limits of search result container, e.g. select first item in next search provider if moving selection in current provider would be "behind" last item.

commit b828c2fbe5387d3670aa27ac9468ed90b94f63b9
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 29 14:20:05 2016 +0100

    Fix again the check if scrolling is needed to get a child visible in a view

commit f1726c560ad3442769db7cba649f5b94ba1577a0
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 28 16:27:51 2016 +0100

    Fix visual error at applications view when using icon mode.
    
    Previously the applications view allocated all available space for a child actor what is ok when in list view mode but in icon view mode emblems etc. are aligned wrongly. So set up child actors different depending on view mode.

commit cbb4b330b84abde03f5faca678e7f6cfe42c6e07
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 28 14:54:05 2016 +0100

    Fix a division by zero bug when calculating x and y coordinates of each cell in _xfdashboard_dynamic_table_layout_update_layout_data() and correct allocation of container to get scroll bars visible if neccessary (the allocation of container was not set at all and that was the bug).

commit 99178d95346ae6bd2b721f23175ed2b58b78d697
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 26 13:52:31 2016 +0100

    Add/remove pseudo-class ':insensitive' when actor changes its reactive state

commit 24c143fd959919e6d275303339a19ee88c953ef9
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 26 13:43:41 2016 +0100

    Fix starting a real new application instance when environment variable XFDASHBOARD_FORCE_NEW_INSTANCE is set to any (even empty) value. Needs xfdashboard being built with DEBUG enabled.

commit 22da40f367b91a7966256c93628bd582345f21fc
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 26 13:42:40 2016 +0100

    Correct values for enums used as flags

commit 53cad0b01a5f9b5d8331276f42408aa9a2931cd1
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 26 09:19:02 2016 +0100

    Rename 'match mode' to 'sort mode' as it affects the sorting of the results and not the match algorithm and rename 'launch count' to 'used counter' and 'most used'. Also fix results not being displayed when sort mode is 'most used'. At least fix typos.

commit e5629552bb4d082128fff23a28fdea008079de2a
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 13:19:10 2016 +0100

    Add missing annotiations to enums to skip while creating enums.h and enums.c

commit f9c07454d4e19a9c15f95eef1e462d3042d154ec
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 13:13:02 2016 +0100

    Allow configuration how matching applications are sorted when searching. This behaviour is controlled via an unsigned integer property called "/components/applications-search-provider/match-mode" in channel "xfdashboard" at Xfconf which represents a flag.
    
    The default is "none" (with value zero) which is the old behaviour by just sorting them by title in alphabetical order. It is possible to sort them by relevance or score (with value one) and/or number of application launches (with value two).
    
    This commit addresses also issue GH #106

commit 8d988509115e9ddd7a2c6d98e4fa843574fab743
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 11:44:32 2016 +0100

    Fix typo

commit 06af6d07757661444adfcc5abec5308ebab47d75
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 11:43:45 2016 +0100

    Correct calculation of score if number of application launches should be included in score calculation.

commit 5ba001585d60cb2d8c869a5f4779ec1bbfe20b7d
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 11:42:59 2016 +0100

    Respect score of items in result set when sorting.
    
    This should complete issue GH #106

commit e028bd16cae9300aac9a3db44bbf6795ef271e84
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 10:21:33 2016 +0100

    Allow storing the score (so called relevance) of an item also in the result set.
    
    This commit addresses issue GH #106

commit 2b175198e1893776fd04991b12159b468c0def42
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 09:40:09 2016 +0100

    Use renamed function _xfdashboard_applications_search_provider_score() instead of _xfdashboard_applications_search_provider_match()

commit 8398e4548d59f2850447da91ef0ec27f44bdb648
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 25 09:38:58 2016 +0100

    Rename relevance to score

commit 9aa8fbc59bb88fb052251ff2da8f9767052cf5e5
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 24 14:55:41 2016 +0100

    Add missing new-line in g_print

commit 4ea33c505f14177c89fd9fd510b67455bdbf3221
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 24 14:53:50 2016 +0100

    Simplify usage of global statistics variable by using a struct including all variables instead of declaring thousands of single global variables.

commit 11f855a21f9a80f364c2d2beda4f0e92ba51b75d
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 24 14:34:40 2016 +0100

    Calculate relevance of each matching application to search terms in applications search provider
    
    It does only the calculation but the result set is still ordered alphabetically.
    
    This commit addresses isseu GH #106

commit 540c01306290be8105c87f55631bc27225400e7e
Author: Stephan Haller <nomad@froevel.de>
Date:   Sun Jan 24 13:37:09 2016 +0100

    Add keywords to AppData

commit 7128b3dc9b1325bf0b7748b1e5f6f00405b52cc9
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jan 23 15:50:37 2016 +0100

    Move utility functions to get paths to config files, cache files or data files for plugins to XfdashboardPlugin class

commit 153c3d926f8b46a030982366abd0dc05804709ae
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jan 23 13:09:34 2016 +0100

    Build filename to statistics file in initialization and do not rely on utility functions anymore reverted with the commit before

commit db7a3e0ca29f6bd1425363e0516f8cf589a5a1d3
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jan 23 13:02:46 2016 +0100

    Revert "Add utility functions to get paths to config files, cache files or data files for any object..."
    
    This reverts commit 024817df48c6be842b28af7d6fbbb6dbf8ddad02.

commit 2d58da5051646071b8b4d33c6c5906d4820244ec
Author: Stephan Haller <nomad@froevel.de>
Date:   Sat Jan 23 12:10:05 2016 +0100

    Add project group to AppData

commit 3d583b44fc4ea6b91803c946efab0ede9b64f1d3
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 22 13:43:58 2016 +0100

    Use _xfdashboard_applications_search_provider_statistics_get() to get statistics data for an application instead of doing a lookup by ourselve

commit f7d406750f0174c6a309fa75b8e5921340aff84b
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 22 12:02:31 2016 +0100

    Make loading and saving statistics file of XfdashboardApplicationsSearchProvider more robust.

commit b3c84eddbfbe44f97086aef17a1cb33bf92f6c9c
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 21 08:46:45 2016 +0100

    Rename "app-data" etc. to statistics at XfdashboardApplicationsSearchProvider

commit 96c42fa2d0095b82a988c99e94fdc4dbd6d80128
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 20 15:37:21 2016 +0100

    Count how often an application was launched by xfdashboard. It can be used to calculate the relevance of an application in a search.
    
    This is a preparation work for issue GH #106

commit 68f73b327c655169ce0be85896260b198acc0a62
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 20 08:33:59 2016 +0100

    Removed unused code

commit 67353ce414b06121fea4a3bcab3c2566fdabfbb3
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 20 08:31:16 2016 +0100

    Make use of new signal "application-launched" at XfdashboardApplication in actor XfdashboardApplicationButton

commit 3c2524ca84b6d5b8897c2d29b7849e1f3c9236ec
Author: Stephan Haller <nomad@froevel.de>
Date:   Wed Jan 20 08:23:25 2016 +0100

    Add new signal "application-launched" to XfdashboardApplication which can be used by any object to indicate that it launched an application successfully. It just has to provide the corresponding GAppInfo for the launched application.

commit 024817df48c6be842b28af7d6fbbb6dbf8ddad02
Author: Stephan Haller <nomad@froevel.de>
Date:   Tue Jan 19 14:46:25 2016 +0100

    Add utility functions to get paths to config files, cache files or data files for any object. This is useful for views, search providers and plugins of any kind to store their datas or configurations (if Xfconf is not an option).

commit bce77d52c007ebe304248baccabcf90a6da61b7a
Author: Stephan Haller <nomad@froevel.de>
Date:   Mon Jan 18 14:03:16 2016 +0100

    Implement a new actor in XfdashboardLiveWorkspace showing the workspace's name
    
    This new actor is hidden by default but can be turned on at a theme. The workspace name actor gets the class ".title" added so that the actor (a XfdashboardButton) can also be themed.
    
    This commit addresses issue GH #105

commit 78916ca8dda3e6df606aa9fb4c6bc0bdef9e4164
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 15 23:31:00 2016 +0100

    Fix scrolling to ensure a view's child is visible in viewpad especially when view changed its size that is will now fits into viewpad completely.

commit bde79247310026dd1672e686d962cef83bf97025
Author: Stephan Haller <nomad@froevel.de>
Date:   Fri Jan 15 22:59:36 2016 +0100

    Fix returning void for function expecting a pointer

commit 15798733722d78e3a485b37853d8a9b0bb9550ad
Author: Stephan Haller <nomad@froevel.de>
Date:   Thu Jan 14 13:59:56 2016 +0100

    I forgot to rename variables inside new seperate function :(

